KM-KW Documentation and Training

Purpose

The Knowledge Warehouse is an integrated environment for creating, translating, presenting, distributing and managing multimedia contents.

Implementation Considerations

The Knowledge Warehouse provides a number of tools and functions for supporting the management and transfer of knowledge.

It also permits you to use and change SAP training material and online documentation in the SAP Library so that you can

  • provide customized training material for your in-house training
  • provide customized online help for your R/3 systems.

Integration

To provide a context-sensitive R/3 online help (application help), you can link Knowledge Warehouse contents with repository objects of the R/3 System.

Features

Three separate areas, each with its own content models for creating contents, are delivered with the Knowledge Warehouse. A fourth area (Management) is used to store various files containing help functions for editing documents, defining access to the contents, etc.

The Knowledge Warehouse supports all the tasks occurring when you create, translate, present and deliver multimedia contents. The Knowledge Warehouse functions can be accessed from three front ends:

SAPgui Front End

These components provide all the functions required for editing, managing and presenting contents. Most of these functions can be found in the PC-based authoring environment Knowledge Workbench. The following functions, however, can only be accessed from the SAPgui Front end:

  • Linking contents with R/3 System application objects for context-sensitive display of the R/3 online help
  • Creating offline translation packages
  • Printing training courses
  • Creating offline presentations of training courses

Most of the management functions of the Knowledge Warehouse can also be accessed with these components. This includes functions for configuring the Knowledge Warehouse, controlling the contents creation process, managing authorizations, etc.

Knowledge Workbench

The PC-based authoring environment Knowledge Workbench provides functions for most of the tasks connected with creating contents that are easier to use than those of the SAPgui front end. For example you can edit structures with Drag&Drop interaction techniques. The Knowledge Workbench also offers useful functions that are not provided in the SAPgui front end. For example you can:

  • Create Knowledge Warehouse contents based on existing MS PowerPoint presentations
  • Define default values for attribute values of new documents in the Knowledge Warehouse.

Web Browser

The Web Browser front end is used primarily to present contents. All the documents of the Knowledge Warehouse can be displayed in the Web Browser.

Contents of the Intranet Management area cannot only be displayed in the Browser; they can also be edited using a linked HTML Edit Control.

Special Components

There are two further PC components in the Knowledge Warehouse in addition to the three front ends:

Presentation Viewer SAP Show

The PC application SAP Show is a viewer for offline presentations of individual training courses that have been created with the SAPgui front end.

Offline Translation

Translation packages are created from the SAPgui front end and then edited with MS Word and MS PowerPoint. Both applications have been enhanced with special Add-Ins to handle the management data of the Knowledge Warehouse documents contained in the translation package.


Contents in the Knowledge Warehouse

All the contents managed in the Knowledge Warehouse are stored there as information objects.

Using structures, a special kind of information object, and hyperlinks you can assemble information objects in multimedia hyperdocuments, for example, in training courses.

Information objects with a common subject domain are collected and managed in folders.

Information objects and folders belong to one of the following Areas:

  • Training
  • Documentation
  • Intranet Management
  • Management

The different areas in the Knowledge Warehouse denote the purpose for which the contents are used. Generally, information objects within an area can be linked with each other using hyperlinks and structures, but information objects of different areas cannot be linked. There is one exception to this rule: You can link from training objects to documentation objects.


Info Objects

Definition

There are two basic kinds of info objects in the Knowledge Warehouse:

  • Content objects
  • Structure objects

Content objects are independent units of information containing different kinds of information contents (text, graphs, audio-visual). They are displayed in the Web Browser in a dedicated frame called the Content Frame.

Structure objects contain hierarchically organized links to other info objects. They are also displayed in the Browser in a dedicated frame called the Structure Frame or TOC (Table of Contents) Frame. The root node of a structure always refers to a content object that is displayed in the Content Frame. Structures are used to create a structured presentation of a set of info objects and to navigate in these contents. Since structures, in contrast to content objects, do not contain any language information, they are not language-specific.

TOC Frame and Content Frame in the Web Browser

Use

Since content objects can be referenced in structures and with hyperlinks in other content objects, they can be used as often as required.

Since structures can be referenced in other structures as a substructure, they can also be used more than once. A structure can be referenced with either a link or an include. In the latter case, the structure display is transparent, i.e. when you navigate from the starting structure to the included structure the entire structure remains visible in the Browser. When you reference a structure with a structure link, however, only the referenced structure is displayed.

Each info object is assigned to exactly one folder containing all the versions of the object. Info objects can be referenced in the info objects of any other folders, even if they are not themselves contained in that folder.

Structure

Content objects are not assigned a technical, internal structure. However, the content objects of certain info object classes can be classified with the Content type attribute and assigned the corresponding formatting with the appropriate content templates.


Folders

Definition

A folder is a Knowledge Warehouse container in which information objects (structures and content objects) are stored. Each folder belongs to a given area of the Knowledge Warehouse: Training, Documentation, Intranet Management or Administration. Each info object is assigned to exactly one folder.

A folder contains all versions of an info object (release versions, language versions, etc.). Only the versions for the current context can be seen and changed in the Knowledge Warehouse.

Folders have the attributes:

  • Title (short description of the folder of up to 50 characters)
  • Technical name (language-independent folder name)
  • Owner
  • Folder group
  • Translation memory

Unlike info objects, folders have no versions: Folders are release-independent, language-independent, etc.

Use

Folders are used to structure info object storage according to contents and organization.

Folders are assigned to folder groups according to their folder-specific user authorizations.

Only empty folders can be deleted.

The assignment of information objects and structures to a folder does nor prevent them being used in other folders: they can be used in any number of structures in other folders.


Structure Links and Hyperlinks

Use

The Knowledge Warehouse structures contents in two ways:

  • A structure hierarchically defines a set of information objects and give users an overview of the contents available.

Links in structures (structure links) can refer to content objects or to other structures.

You can set a link to another structure in two different ways: as a normal structure link or as a structure include. In contrast to normal structure links, for included structures there is no structure change in the Web Browser when the user navigates to this substructure.
  • A hyperlink can represent a relationship between two content objects and can provide paths through the available contents for users.

The hyperlinks contained in content objects always refer to other content objects, but not to structures.

Both hyperlinks and structure links refer to logical info objects. The context parameters control which version of such a logical link to a physical link is used. The user of the Knowledge Warehouse sets these context parameters, which are then analyzed when the information objects are displayed.

Integration

The logical links are replaced with physical links when a static variant of the display of information objects is created (e.g. for display with the HTML Help Viewer). All links then point to physical info objects in a particular context (e.g. Language: English, Release: AB). This procedure is known as instantiation of the links.

Activities

You create and delete structure links by editing structures.

You create a hyperlink by inserting it into the particular content object being edited and remove it by deleting the hotspot from the content object.


Areas, Info Object Classes and Content Types

The Knowledge Warehouse is delivered with the content models for the Training, Documentation, Intranet Management and Management areas. There are a number of info object classes, i.e. types of info objects that can be used to create contents, in each of these areas.

The Management area is used to store navigation structures and other utilities such as macro files for online editing and printing documents with the SAPgui frontend.

Additional areas and content models can be defined to meet specific requirements.

Info Object Classes

The class of an information object defines various properties of the object, such as

  • the attributes of the object
  • the relationships possible between the object and objects of other classes
  • the file formats in which the object can exist.

Information objects of class Slide (in the Training area) have the attribute Language, but information objects of class Structure do not.

Objects of class Slide can have hyperlinks to other objects, but objects of class Multimedia object cannot.

Objects of class Slide have MS PowerPoint as source format, but objects of class Text have MS Word as source format.

Content Types

Content objects of classes Slide and Text in the Training area and class Topic in the Documentation area are assigned to different content classes depending on the contents. Templates that define the block titles and other layout elements (e.g. standard graphics) when the document is created are linked with these content types.

Information objects of class Slide in the Training area can have content types Title, Goal, etc.

Information objects of class Topic in the Documentation area can have content types Object, Procedure, etc.


Info Object Classes in the Documentation Area

Definition

The following info object classes can be used for creating documentation:

  • Structure ( IWB_STRUCT )

Structures are used to combine content objects into a hierarchically organized table of contents in which the user can navigate. They are displayed in the Browser in the frame for tables of contents (TOC Frame). Structures are not language-specific.
  • Topic ( IWB_EXTHLP )

Topics are the only type of content object in the Documentation area. The source format (i.e. editing format) for topics is MS Word (DOC). The presentation format is HTML. The contents of a topic are categorized with the Content type attribute.


Info Object Classes in the Training Area

Definition

The following info object classes can be used for creating training material:

  • Structure ( IWB2STRUCT )

Structures are used here too to combine content objects into a hierarchically organized table of contents in which the user can navigate. Structures are not language-specific.
  • Slide ( IWB2PPT )

Slides are the main type of content objects used in training courses. The source format (i.e. editing format) for slides is MS PowerPoint (PPT). The presentation format is HTML. The contents of a slide are categorized with the Content type attribute.
  • Text ( IWB2PPT )

Texts are content objects that contain exercises and solutions in training courses. The source format (i.e. editing format) for text is MS Word (DOC). The presentation format is HTML. The contents of texts are categorized with the Content type attribute.
  • Multimedia object ( IWB2GEN )

Multimedia objects are all the remaining content objects in training courses that are neither slides nor text. Typically they comprise Lotus ScreenCams, Videos and other multimedia objects. Multimedia objects can be created and edited with any MS Windows application whose format is registered as a valid format for this object class in the Knowledge Warehouse. The source and presentation format of multimedia objects is the same. The editor (or a dedicated viewer) is also used for the presentation.


Info Object Classes in the Intranet Management Area

Definition

Contents

The following info object classes can be used for creating Web contents:

  • Structure ( KWN_STRUCT )

As in the other areas, structures are used to combine content objects into a hierarchically organized table of contents in which the user can navigate. They are displayed in the Browser in the frame for tables of contents (TOC Frame). Structures are not language-specific.
  • Directory ( KWN_DIR )

Directories are a special type of structure. They have only one hierarchy level below the root object. In contrast to the objects of class KWN_STRUCT, directories are displayed in the frame for content objects (Content Frame) and not in the TOC Frame.
  • HTML ( KWN_HTML )

HTML objects are the most frequently used content objects in the Intranet Management area. The editing format and presentation format are identical for this info object class. The contents of HTML objects are categorized with the Content type attribute.

To categorize the contents of HTML objects, you must create the appropriate content templates .
  • Multimedia object ( KWN_GEN )

Multimedia objects are also content objects. They have the same properties as the multimedia objects of other areas: They can be created and edited with any MS Windows application whose file format is registered as a valid format for this object class in the Knowledge Warehouse. The source and presentation format of multimedia objects is the same. Depending on the MIME type of the application, the Browser configuration and the local installation of the application, multimedia objects are displayed either in the frame for content objects or by the application in a separate window.

Layout and Format

In addition to the above classes, the Intranet Management area provides other info object classes that control the layout and format of the contents in the Web Browser. These include:

  • Frameset layout ( KWN_FRAME )

Info objects of this class define the number, size and frame arrangement in the Browser.
  • Style sheet ( KWN_STYLE )

Info objects of this class define the format (background color, font, etc.) of the different frames.
  • Content layout (Javascript) ( KWN_LAYOUT )

Info objects of this class define the way in which contents are output in the Content Frame. They are only needed if there are complex display requirements for certain info objects, such as dividing the Content Frame into subframes depending on defined conditions. An example of this is the info objects of class Slide in the Training area: Here the user can divide the Content Frame into two subframes so that he can display a training slide and the relevant notes at the same time.


Info Object Classes in the Management Area

Definition

Information objects of the following classes are stored in the Management area:

  • Navigation structure ( IWB0ENTRY )

Navigation structures are used to combine and impose a hierarchical structure on a set of folders. Different Knowledge Warehouse user groups can thus be presented with different content hierarchies tailored to their specific needs.
  • Topic ( IWB0NOD )

Topics are content objects that can be inserted in navigation structures as a short description of a subhierarchy. The source format (i.e. editing format) for topics is MS Word (DOC). The presentation format is HTML.
  • Multimedia object ( IWB0GEN )

Multimedia objects created with any MS Windows application can also be inserted in navigation structures.

The other info object classes Macros and similar ( IWB0MACRO ), Language-independent miscellaneous ( IWB0MSC ) and Language-specific miscellaneous ( IWB0MSL ) are used for storing macros and templates used for creating contents in the Training and Documentation areas.


Versioning of Info Objects

Use

Different versions are created when info objects are maintained in the Knowledge Warehouse:

  • When an information object is edited to correct, improve or update it for a new release, content versions are created
  • Translation of a content object into other languages creates language versions

Structures have no language versions.
  • Modification of a standard SAP information object for an enhancement creates enhancement versions (e.g. industry versions and customer versions). This is a specialized form of content versions.
  • The use of different document formats for maintaining and displaying content objects means that various format versions are maintained

All versions of an info object refer to the same topic, in the case of online documentation to a particular aspect of the R/3 System and its use (e.g. a certain function, procedure, etc.).

The Knowledge Warehouse distinguishes between a logical info object and the associated physical info objects:

The logical info object (LOIO) represents all info objects that have the same topic. However, it does not have any attributes such as language, format, file size, etc.

The physical info objects (PHIO) belonging to a logical info object are the info objects that represent the contents, language and format versions of the topic.

The following graphic shows the relationship between logical and physical info objects in the Knowledge Warehouse:

Integration

The context settings determine the version chosen in the Knowledge Warehouse.

All the contents except for those of the SAP standard are maintained in enhancement contexts: Maintaining Enhancement Contents . Enhancement contexts are created with the IMG activity Knowledge Management ® Settings in the Knowledge Warehouse system ® Development of info objects ® Contexts for version maintenance ® Enhancement contexts.

Activities

Every time an information object that has been edited is checked in (again), a new version, i.e. a new physical information object is automatically created in the Knowledge Warehouse. A new (HTML) display format version is created at check-in as well as the new contents or language version.

No new version is created when an information object that was checked out but not changed or saved is checked back in.

During online processing with the SAPgui frontend, the versions (content or language version and format version) are created each time they are saved.

To create a version for a new release, you must check the information object out in the new release context and save it. When you check it back in, the new release version is stored in the Knowledge Warehouse.

During online processing, you have to edit and save the information object in the new release context. The new release version is stored in the Knowledge Warehouse after it has been saved.

Once you have created a version for a new release, the changes that you make in the previous release do not affect the versions created in the new release.

You must maintain the changes in both releases if they are to take effect in both releases.

Maintain your information objects in the previous release if they are to be used in the next release as well.

See also: Versioning of Enhancements


Enhancement Contents

Definition

Contents that are maintained in enhancement contents are called enhancement contents. Enhancement contents can refer to a functional enhancement of the R/3 System, such as an R/3 Add-On, or to an application developed by the customer, but this need not be the case. Enhancement documentation created by the customer can document the standard system, emphasizing the customer-specific processes more than the SAP documentation and training can do. Enhancement contents can also have no reference to SAP applications.

Examples of enhancements:

  • Contents of an Intranet, created by the customer in the Intranet Management area
  • Customer-specific online help for R/3 applications, created by the customer in the Training area using SAP contents in the Documentation and Training areas
  • Online help for a customer application, created by the customer in the Documentation area
  • Customer-specific training courses created by the customer in the Training area using SAP contents in the Training area
  • SAP online help for an industry solution created by SAP and partners using SAP contents in the Documentation area

Use

Customers maintain all enhancement context contents in the customer namespace. They can use the general Knowledge Warehouse customer namespace /kwcust/ or another customer namespace.

The contents delivered by SAP include the online documentation (SAP Library) for the standard release and the industry solutions as well as the SAP training courses. Customers can use these contents either with links to info objects or by creating enhancement versions of info objects.

Integration

If a new enhancement context is created when Customizing the Knowledge Warehouse, a SAP standard release must always be specified as base release for this context. If existing info objects of the SAP standard release are used when creating contents in an enhancement context, these must be info object versions of the relevant base release.

Displaying enhancements in online help

The contents standardly displayed in the SAP online help can be overwritten with enhancement contents from the Documentation and Training areas. SAP and partners overwrite standard documentation with enhancements to document industry solutions.

To display enhancements in the online help in an R/3 System, the information must be available, and the relevant enhancement context must be set up in a customizing activity in the R/3 System (see IMG activity Knowledge Management ® Settings in the application system ® Sequence of enhancements). The R/3 System help processor displays the appropriate info object versions for the existing configuration of enhancement contexts when the online help is called. This applies to both the display of info objects in the Application help and the display of the SAP Library.

  • Standard R/3 links can be overwritten in the Application help by R/3 links that were created for the enhancement.
  • When you display the SAP Library, an enhancement-specific version of the SAP Library might also be displayed.


Maintaining Enhancements

Use

When creating contents in an enhancement context, you can use different methods depending on whether and how info objects from other enhancement contexts or from the SAP standard are to be reused.

  • Do not reuse contents from other contexts

You only use new info objects in the enhancement context.
  • Reuse contents from another enhancement context

You also reference info objects from another enhancement context and/or create enhancement versions of such info objects. To do so the other enhancement context must have been entered as base enhancement context of the current enhancement context with an IMG activity. (See IMG activity Knowledge Management ® Settings in the Knowledge Warehouse system ® Development of info objects ® Contexts for version maintenance ® Enhancement chains).
  • Reuse SAP contents

You also reference info objects from another standard SAP context (e.g. 4.5B) and/or create enhancement versions of such info objects. The standard SAP context is defined by the base release of the enhancement (see below).

Prerequisites

To create information in an enhancement context, you must maintain the context parameters Enhancement and (Enhancement) Release and the enhancement Basis release with a customizing activity in the Knowledge Warehouse R/3 System. (See IMG activity Knowledge Management ® Settings in the Knowledge Warehouse system ® Development of info objects ® Contexts for version maintenance ® Enhancements).

Procedure

You can create and edit info objects in enhancement contexts with both the SAPgui frontend of the Knowledge Warehouse and with the Knowledge Workbench.

Reuse SAP Contents

The process with the SAPgui frontend is described below. The process with the Knowledge Workbench is similar, but the functions for maintaining R/3 links and for indexes (steps 9 and 10) are not available.

  1. You call the transaction SI80 in the Knowledge Warehouse R/3 System.
  2. You go to the maintenance of the area (e.g. Training), in which you want to maintain info objects in an enhancement context (e.g. Knowledge Warehouse ® Training ® Change).
  3. Set the enhancement context:
    1. the (original) language of the info objects
    2. the enhancement name and release for which want to editing info objects

The enhancement name and release must be selected from a list of existing enhancements and their releases.

To display all existing enhancements in the Enhancement field, you must clear the Enhancement release field.
  1. Choose the folders in which you want to edit info objects. These folders can contain only enhancement context info objects, or also standard info objects for which you want to create enhancement versions and then modify them.
  2. You create the Info Object List for the selected folders.
  3. You create info objects as required, and structure the folder contents by putting the info objects in a (main) structure in the (enhancement) folder which contains the enhancement info objects. You can link to standard info objects by hyperlinks or by including them in structures.
  4. You create enhancement versions of the info objects which you want to use and change them as required in the (standard) folder which contains standard info objects.

    5. If you enhance a structure from the Documentation area and remove content objects from them, you can destroy standard R/3 links. If the enhancement is to be displayed in the Application help of an R/3 System, you must overwrite any defective standard R/3 links with enhancement R/3 links.

  5. You integrate enhanced standard folder info objects in the enhancement folder with hyperlinks and structure links to these objects.
  6. You link info objects to R/3 Repository objects, e.g. a transaction, with R/3 links. This is only necessary when the information is to be displayed in the Application help of an R/3 System. If the information is also to appear in the SAP Library, create an enhancement-specific version of the SAP Library and put the main structure of your enhancement in it

    7. R/3 links of the enhancement context are processed before the R/3 links of the standard context. This is only the case, however, if the enhancement context was registered in the system with an IMG activity.

  7. You create keywords for topics (content objects in the Documentation area).
  8. You check the contents and formatting of info objects, the hyperlinks between them, and the context-sensitive display in Application help.
  9. You release the info objects in the enhancement folder and the standard folder for translation and transport to other R/3 systems.

Do not Reuse Contents from Other Contexts

This procedure differs from the one above in that you only maintain Info Objects which were originally created in the enhancement and are not enhanced versions of Standard objects. The only exception to this is the SAP Library (a book structure in the Documentation area delivered by SAP): To display your information in the SAP Library of an R/3 System, you must create an enhancement-specific version of this structure and put the main structure of your enhancement in it.

Omit steps 7 and 8 in the procedure described above.


Enhancement of Info Objects

Use

In enhancements you can use SAP information objects or information objects of other basic Basis contexts by:

  • linking to SAP information objects or information objects of other basic Basis contexts

You can link to or include structures.
  • creating enhancements to information objects and modifying these enhancements to meet your requirements

The following diagram shows how you can use SAP structures.

To reuse standard SAP structures unchanged in your enhancement, either link to it (I.a) or include it (I.b). If a subsequent enhancement release is based on a more recent SAP release, this kind of reuse automatically uses the most recent SAP structure version.

If you only want to use a SAP structure in your enhancements in modified form, you must first create an enhancement version of the structure. This can then be modified and if necessary referenced with a link (II.a) or an include (II.b).

Enhancing SAP objects has the following advantages compared to creating information objects:

  • It saves the effort required to create the structure and topics. This is particularly significant when only minor modifications should be made to the standard system.
  • Standard R/3 links remain valid. These links can thus be used unchanged in an enhancement.
  • Links to the info objects remain valid and the enhancement object now appears in the enhancement context in all places that link to the SAP object on which it is based.

Activities

You link enhancement objects to SAP objects with Hyperlinks (see Maintaining Hyperlinks ).

You link enhancement structures to SAP objects by putting them in the structure (see Putting Info Objects in a Structure ).

You link enhancement structures to SAP structures by putting them in the structure as a link or an include (see Putting Info Objects in a Structure ).

You create and modify enhancement versions of SAP objects.

The next time the SAP contents are updated, you can check which SAP information objects were changed using the structure comparison and with the modification list .


Versioning of Enhancements

Use

Enhancement versions work exactly like standard versions: Every time you save or check in an info object in a context, a new version is created. Only the last saved or checked in version is accessible for display and maintenance.

Enhancement contexts are always based on a certain R/3 standard release. This base release of an enhancement context is significant if info objects of the standard SAP release from the Documentation and Training areas are used in the enhancement context, either by referencing using hyperlinks and in structures or by enhancing standard objects.

Enhancements in the Documentation and Training areas can contain enhancement and standard info objects. If standard objects are used, these are versions of a particular release; this standard release is determined as the base release of this enhancement context when the enhancement context is created when Customizing the Knowledge Warehouse.

In the Knowledge Warehouse you maintain training contents that you want to display in a 4.0B R/3 System in enhancement context /KWCUST/TG, 1.0 and use components of the SAP training contents of Release 4.0B. The base release of the enhancement context in the SAP standard release is 4.0B.

All info objects in an enhancement context that were created as enhancements of standard objects, are based on standard objects in this release.

All links to standard info objects in the enhancement point to the versions in this release.

The following table shows examples of possible constellations of enhancement context and underlying standard release.

Enhancement | Enhancement release | Standard release
/kwcust/fx | 1.0 | 4.0B
/kwcust/fx | 2.0 | 4.0B
/kwcust/fx | 3.0 | 4.5A
IS-Insurance | 2.0A | 4.0B

If a standard info object is "enhanced" in an enhancement context (e.g. /kwcust/fx, 1.0), a copy of the standard object is created. This is an independent (physical) info object that is separate from the standard object and only exists in the enhancement context. It can be modified without affecting the standard object. Subsequent changes to the standard object do not reach the enhancement object.

However, if the enhancement in a later release (e.g. /kwcust/fx, 3.0) is based on a later standard release than the base release, changes to the standard object are copied to the enhancement context in the meantime. Changes made to the enhancement object in the meantime are lost. With the Display modification list function, the user can check the info objects of an enhancement context for which a base standard object was changed after creating the enhancement version.

The contents of enhancement structures are not linked with the underlying standard structure. However, there is still a connection with the logical info object that is common to both structures. This causes the standard structure to be overwritten by the enhancement structure in R/3 links (application help) and in references to the structure.

Versions of an Enhancement Structure Object

See also:

Versioning of Info Objects

Displaying Contexts (Versions) of Info Objects


Displaying Information Objects

Use

The Knowledge Warehouse provides a number of ways to display information objects.

Functionality

The Knowledge Warehouse functions for displaying information objects include:

Presentation

  • Display of information objects in the preview or in the Web Browser
  • Online presentation of courses with a W eb B rowser
  • Creation of offline course presentations for SAPShow

Quality Assurance

  • Display of courses or of ind ividual content objects in the W eb B rowser
  • Display of individual content objects in the maintenance format


Preview

Use

Display the information objects contained in a given structure.

The GIF version (Training) or HTML version (Documentation) of the information objects is displayed in the preview.

The display does not depend on the processing status.

You can also maintain R/3 links to the displayed content objects.

Integration

You can call the Web Browser from the preview.

Prerequisites

You are in the R/3 System of the Knowledge Warehouse.

You selected a structure.

Functionality

This function includes:

  • Display of the selected structure
  • Display of the GIF or HTML version of the information objects
    •
  • R/3 link maintenance (also to content objects within a structure include)
  • Web Browser call


Displaying Information Objects in the Preview

Use

This procedure displays information objects in your display format.

In contrast to the Web Browser, you can see the attributes of the information objects in the preview.

Prerequisites

You are in the R/3 System of the SAP Knowledge Warehouse.

  • in the initial screen
  • in the Info Object List
  • in online processing

Procedure

Initial Screen

To display information objects in the preview:

  1. Select a structure.
  2. Choose Structure ® Display ® Preview.

Info Object List

To display information objects in the preview:

  1. Select a structure.
  2. Choose Goto ® Preview.

Online Editing

To display information objects in the preview:

  1. Select an information object.
  2. Choose Structure ® Display ® Preview.

Result

The structure is displayed in the display format with all the information objects it contains.


Web Browser or HTML Help Viewer

Use

A web browser or the HTML Help Viewer is used to display information objects.

The HTML Help Viewer is only used in the Documentation area.

The HTML Help Viewer can only be used on Windows 32-bit frontend PCs.

Prerequisites

One of the following two HTML browsers must be installed on your frontend PC:

  • Microsoft Internet Explorer 3.02 or later version
  • Netscape Navigator 3.0 or later version.

Documentation area: The profile parameters of your application server that are relevant for the online help must be maintained.

Functionality

Documentation area:

The following information objects are displayed in the web browser or HTML Help Viewer:

  • Application help

When you call the Application help, an information object that is relevant for the particular R/3 context (transaction, screen, etc.) is displayed. The structure containing the information object is displayed on the left-hand side.

  • SAP library

When you call the SAP library you can navigate to the desired information objects by a hierarchy of the R/3 applications.

  • Glossary

You can search for and display Glossary entries with Help ® Glossary.

The user is provided with a full text search in the web browser and HTML Help Viewer.

You can also search for content objects with index entries in the HTML Help Viewer.

Training area

The following information objects are displayed in the web browser:

  • Application help

When you call the Application help, an information object that is relevant for the particular R/3 context (transaction, screen, etc.) is displayed. The structure containing the information object is displayed on the left-hand side.

The user is provided with a full text search in the web browser.


Displaying Information Objects in the Web Browser

Use

With this procedure you can display information objects in the Web Browser and hereby check whether they are displayed correctly.

Prerequisites

You are in the R/3 System of the SAP Knowledge Warehouse.

  • in the initial screen
  • In the Info Object List/modification list
  • in online processing
  • In translation using structures

Procedure

Initial Screen

To display information objects in the Web Browser:

  1. Choose a structure.
  2. Choose Structure ® Display ® Web Browser.

Info Object List/Modification List

To display information objects in the Web Browser:

  1. Choose an information object.
  2. Choose Goto ® Web Browser.

Online Editing

To display information objects in the Web Browser:

  1. Choose an information object.
  2. Choose Structure ® Display ® Web Browser.

Translation using Structures

To display content objects in the Web Browser:

  1. Choose a content object.
  2. Choose Web Browser.

Result

If you chose a structure, it is displayed in the display format with all the information objects it contains.

If you chose a content object, it is displayed in the display format without a structure.


Navigation in the Web Browser (Documentation Area)

Use

You can navigate between the displayed information objects in the Web Browser with this function.

Prerequisites

You are in the Web Browser of the SAP Knowledge Warehouse.

Functionality

You have the following navigation options:

Blue Banner

  • SAP Library

The initial screen of the SAP Library is displayed and you can navigate from there to the documentation of the individual application components.
  • Getting Started

The initial screen of the documentation Introduction to the R/3 System appears. It describes how you can work with the R/3 System.
  • Release Notes

The initial screen of the Release Notes is displayed and you can navigate from there to the Release Notes for the individual releases.
  • IMG

The initial screen of the R/3 Customizing IMG is displayed and you can navigate from there to the documentation of the individual activities.
  • Glossary

The initial screen of the R/3 Customizing IMG is displayed and you can navigate from there to the documentation of the individual glossary definitions.
  • Search

You go to the initial screen for the full-text search and can search for content objects of the Knowledge Warehouse using search terms.
  • Application help

You go to the initial screen for documentation about the online help. This documentation describes the information you can find in the online help.

Gray Banner

  • Hide/Show Structure

You can hide the structure displayed in the left frame with this function.
  • Area

You can navigate in the documentation of a selected application component with this function.

Navigation Area

  • Open all

The structure displayed in the left frame is opened with this function. You see the expanded structure with all its subnodes.
  • Close all

The structure displayed in the left frame is closed with this function. You see the expanded structure with all its subnodes.
  • Back

You can navigate upward step-by-step within the structure displayed in the left frame with this function.
  • Forward

You can navigate downward step-by-step within the structure displayed in the left frame with this function.
  • Synchronize

You can display the corresponding structure for the displayed content object with this function.

For example, if you got to a Basis content object from a content object in Logistics using hyperlinks and you select Synchronize, the corresponding structure for Basis is also displayed for the content object in Basis.

Activities

Click once on the desired function.


Navigation in the Web Browser (Training Area)

Use

You can navigate between the displayed information objects in the Web Browser with this function.

Prerequisites

You are in the Web Browser of the SAP Knowledge Warehouse.

Functionality

You have the following navigation options:

Blue Banner

  • Home

The initial screen of the Knowledge Warehouse appears. You can navigate from there in the training area to the training material and in the documentation area to the documentation of the individual application components.
  • Context selection

You can define the context (language, release). The training material is displayed in the given context.
  • Search

You go to the initial screen for the full-text search and can search for content objects of the Knowledge Warehouse using search terms.

Gray Banner

  • Hide/Show Structure

You can hide the structure displayed in the left frame with this function.
  • Select a chapter:

You can navigate between the individual chapters in level 2 courses with this function.
  • Notes

You can show the notes for a slide in an additional frame with this function.

Navigation Area

  • Open all

The structure displayed in the left frame is opened with this function. You see the expanded structure with all its subnodes.
  • Close all

The structure displayed in the left frame is closed with this function. You see the expanded structure with all its subnodes.
  • Back

You can navigate upward step-by-step within the structure displayed in the left frame with this function.
  • Forward

You can navigate downward step-by-step within the structure displayed in the left frame with this function.
  • Synchronize

You can display the corresponding structure for the displayed content object with this function.

<Insert note icon here>

For example, if you got to a Basis content object from a content object in Logistics using hyperlinks and you select Synchronize, the corresponding structure for Basis is also displayed for the content object in Basis.

Activities

Click once on the desired function.


The SAPShow Presentation Viewer

Use

SAPShow is an application for viewing offline presentations of individual training courses on Windows 32-bit PCs. You need SAPShow if you want to present a training course in a system environment where you do not have access to the Knowledge Warehouse R/3 System. You may also want to use SAPShow for regular presentations of a consolidated version of a training course.

Integration

You can create offline presentations with the Knowledge Warehouse R/3 System.

Prerequisites

SAPShow must be installed on the PC on which you want to show the offline presentation.

Functionality

The SAPShow presentation viewer has a menu bar and a split-screen window for displaying information objects.

Structure Navigation

In the left part of the split-screen window, the course structure is displayed as a tree whose nodes can be expanded and compressed.

Slides are depicted in the structure as blue-and-yellow slide icons and all other content objects are depicted as document icons with horizontal lines. Slides with notes are depicted as slide icons that are partially covered by document icons.

You can navigate in the presentation by:

  • clicking on nodes in the structure
  • clicking on the Next or the Previous button in the standard toolbar (or by using the Up and Down arrow keys)
  • clicking on the History Next or the History Previous button in the standard toolbar to step through the chronological sequence of nodes you visited.

The currently shown content object is marked in the structure by a red dot next to the structure node.

Display of Content Objects

The content objects are displayed in the right-hand pane of the split-screen window. Slides are always displayed here. Other content objects such as exercises and solutions, videos, ScreenCams are displayed in the content pane only if they appear as nodes in the course structure. If they are referenced by hyperlinks these content objects are shown in a separate window.

If a video is displayed in the content pane, use the Play toolbar for starting and stopping the video. To show (or hide) this toolbar choose View ® Toolbars ® Play.

To open (or close) the window for displaying the notes that are associated with slides, navigate to a slide with notes and choose View ® Notes.

To view the presentation in full screen mode choose View ® Full Screen. No course structure is visible in full screen mode. Use the and PgUp and PgDn keys to step through the presentation. Press ESC to return to normal mode.

To run the presentation automatically choose View ® Auto run and specify the time interval between successive slides.

Activities

To start SAPShow choose Programs ® SAPShow from the Windows Start menu, or double-click on an offline presentation file in the Windows Explorer.


Creating an Offline Presentation

Use

You can create an offline presentation of a training course with this procedure. You use offline presentations for viewing and presenting courses in situations where you do not have access to the Knowledge Warehouse R/3 System or if you frequently want to present a particular course.

Offline presentations are created in a special file format (KEP) that can be viewed with the SAPShow presentation viewer .

Prerequisites

You are in the R/3 System of the Knowledge Warehouse.

SAPShow must be installed on the PC on which you want to create the offline presentation.

Procedure

To create an offline presentation:

  1. Select a structure in the initial screen of the Knowledge Warehouse.
  2. Choose Structure ® Training ® Create offline presentation.
  3. In the following dialog box, choose if you just want to create the presentation or if you want to create and view it immediately, and then choose Continue. Choose Continue.
  4. In the following dialog box, enter the directory and file name for the offline presentation file.
  5. Choose Save.

    6. A dialog box appears which informs you about the path under which the presentation file was created.

    If you chose to view the presentation immediately, SAPShow is started and the presentation is opened.

  6. Choose Enter to acknowledge the system message in the dialog box.

You can also create an offline presentation from the Info Object List (Info object ® Miscellaneous ® Create Offline Presentation).

Result

The offline presentation file (*.KEP) is stored under the path you specified.

Depending on the settings you chose for the display of information objects, the offline presentation contains either the current versions of the information objects regardless of their status or the most recent versions that have status Released. You can change the settings for the display of information objects in the initial screen, in the Info Object List, and while editing a structure in the Knowledge Warehouse.


Navigating in Fullscreen Mode

Use

You can navigate in SAPShow’s full-screen mode with this procedure.

Prerequisites

You opened an offline presentation in SAPShow.

You are in fullscreen mode.

Procedure

To navigate in fullscreen mode, move the splitter bar (at the right or left edge of the screen).

Result

You see the structure of the presentation and can navigate in it.


Searching for Content Objects

Use

You can look for content objects within the Knowledge Warehouse. The content objects found are displayed.

Integration

Via the info button you are offered functions to display and change content objects. These functions depend on your authorization.

Prerequisites

You are in the Web Browser and have opened a Web page.

Features

The following search options are available:

  • Full-text search
  • Attribute search
  • Combined full-text and attribute search
  • Search for similar content objects

Activities

Call up search using the appropriate button.


Full-Text Search

Use

Using search strings you can search within all content objects in the Knowledge Warehouse.

Prerequisites

You are in the Web Browser and have opened a Web page.

Procedure

To do a full-text search:

  1. Call up the search function.

    2. A dialog box appears for the search for content objects.

  2. In the field Search For enter search strings

    3. Using operators you can string together several search strings and also search generically.

  3. Choose the language and area in which you want to search for the entered search string.

    4. If you choose Display Feature List you get information on each content object found. This information characterizes the content of the content object.

  4. Start the search.

Result

The content objects found are displayed. Using the info button you reach the Info Object Dialog which offers you functions on the respective content objects.

If there are more than 10 hits the Next Hits function is active and you can navigate between the search results.


Searching Using Attributes

Use

Using attributes you can search for all content objects in the Knowledge Warehouse.

Prerequisites

You are in the Web Browser and have opened a Web page.

Procedure

To search using attributes:

  1. Call up the search function.

    2. A dialog box appears for the search for content objects.

  2. Call up the enhanced search function.

    3. A dialog box appears in which you can enter attributes:

  3. In the left-hand field enter the attributes.
  4. Enter the values for the appropriate attribute.

    5. Using operators you can string together several search strings and also search generically.

  5. Choose the language and area in which you want to search for the entered search string.

    6. If you choose Display Feature List you get information on each content object found. This information characterizes the content of the content object.

  6. Start the search.

Result

The content objects found are displayed. Using the info button you reach the Info Object Dialog which offers you functions on the respective content objects.

If there are more than 10 hits the Next Hits function is active and you can navigate between the search results.


Full-Text and Attribute-Based Search

Use

You can carry out a combined search in which you enter search strings and attributes.

Prerequisites

You are in the Web Browser and have opened a Web page.

Procedure

To find content objects using a combined search:

  1. Call up the search function.

    2. A dialog box appears for the search for content objects.

  2. Call up the enhanced search function.

    3. A dialog box appears in which you can enter attributes:

  3. In the field Search For enter search strings
  4. In the lower part of the dialog box enter the attributes in the left-hand field.
  5. Enter the values for the appropriate attribute.

    6. Using operators you can string together several search strings and also search generically.

  6. Choose the language and area in which you want to search for the entered search string.

    7. If you choose Display Feature List you get information on each content object found. This information characterizes the content of the content object.

  7. Start the search.

Result

The content objects found are displayed. Using the info button you reach the Info Object Dialog which offers you functions on the respective content objects.

If there are more than 10 hits the Next Hits function is active and you can navigate between the search results.


Searching for Similar Content Objects

Use

You can find content objects that are similar to the ones already found.

Prerequisites

You have searched for content objects in the Web browser and have obtained a list of content objects found.

Procedure

To find similar content objects:

  1. In the search results list mark the content objects for which you want to find similar content objects.
  2. Choose Similar Documents.

Result

The content objects found are displayed. Using the info button you reach the Info Object Dialog which offers you functions on the respective content objects.

If there are more than 10 hits the Next Hits function is active and you can navigate between the search results.


Print information objects

Use

You can print structures, substructures or individual content objects.

Features

Different print functions are provided in the components of the SAP Knowledge Warehouse.

  • Printing a structure
  • Printing a structure with information objects
  • Printing content objects


Printing a Content Object in the Web Browser

Prerequisites

You are in the Web Browser.

A content object is displayed in the right-hand window of the Web Browser.

Procedure

To print a content object in the Web Browser use the print function of the appropriate Web Browser.

Result

The content object is printed.


Printing a Content Object in the Editor

Prerequisites

You have opened a content object for editing.

Procedure

To print a content object in the Editor, choose the print function of the appropriate editor.

Result

The chosen content object is printed.


Printing a Structure

Prerequisites

You are in online processing or in the Web Browser.

Procedure

In Online Processing

To print a structure, choose Print Structure.

In the Web Browser

To print a structure, click on the structure window and choose File ® Print.

Result

The displayed structure is printed.


Printing a Structure with Information Objects in the SAP System

Use

You can print structures or substructures with all the information objects they contain.

If there are further structures within the structure to be printed, then only the structures which are includes are printed.

Your printout contains:

  • cover sheet
  • table of contents
  • header and footer
  • expanded structure includes
  • hyperlinks within the structure as page link [See...]
  • hyperlinks to other (non-included) structures as external link [External]

Prerequisites

You are

  • in the initial screen of the SAP Knowledge Warehouse or
  • in the Info Object List or
  • in online processing or
  • In the Preview

Procedure

In the initial screen of the SAP Knowledge Warehouse

To print a structure with information objects:

  1. Choose the structure.
  2. Choose Structure ® Print with Info Objects.
  3. Check the results and choose Continue.

In the Info Object List

To print a structure:

  1. Choose the structure.
  2. Choose Info Object ® Print ® Structure with Info Objects
  3. Check the results and choose Continue.

In Online Structure Maintenance and in the Preview

To print a structure or substructure:

  1. Select the nodes in the structure whose information objects are to be printed.
  2. Choose Structure ® Print with Info Objects.
  3. Check the results and choose Continue.

Result

The structure is prepared for printing.

Go to Word and print the document.

You can also save the Word document you have created and forward it as a file.

Then confirm the dialog box in the SAP System.


Changing Information Objects

This procedure is used to create information objects in the Knowledge Workbench. These information objects are displayed with the SAPShow Presentation Viewer or the Info Object Viewer .

Procedure

  1. Start the Knowledge Workbench.

    2. When you work online, you can access the information objects stored in the Knowledge Warehouse.

    When you work offline, you can only access the information objects in the Local Repository.

  2. Set the required context:
    • the language in which you create information objects.
    • the enhancement name and release
  1. Create a folder for the information objects.
  2. Create a structure.

    3. A content object is created as placeholder for the structure title.

  3. Edit the information objects.

    4. Create new content objects and insert them in the structure.

    Edit the structure.

    Edit the content objects and insert hyperlinks to other content objects.

  6. Check in the new and revised information objects.
  7. Assign index entries for the content objects in the Documentation area.

    8. The information objects can then be found by other Knowledge Warehouse and online help users with an index search.

  8. Link information objects with R/3 contexts using R/3 links , e.g. with a certain transaction or screen.

    9. This permits a context-sensitive display of the information objects.

  9. Check the following for the folders:
    • Hyperlinks between content objects using the consistency checks
    • R/3 links with the R/3 link check
    • Content and format of content objects in the Web Browser
    • Context-sensitive display when calling Application help
  10. Correct the information objects in online processing .
  11. Release the information objects in the folder for subsequent translation .

    12. You can only assign For release status once the release has been activated.

  12. Transport the released information objects to the consolidation system.
  13. Check the following for the transported information objects:
    • Completeness
    • Hyperlinks between content objects using the consistency checks
    • Context-sensitive display when calling Application help


Workflow in the Knowledge Warehouse

Use

The Knowledge Warehouse supports the Approval Procedure and Copy Editing workflows.

Integration

The organizational plan defines the employees who are part of the workflow.

Prerequisites

The organizational plan was maintained and the workflow for the individual areas of the Knowledge Warehouse activated in Customizing.

Functionality

There are two kinds of workflow:

  • Approval Procedure:

The release of information objects is controlled with the Approval Procedure.

The author cannot release the information objects directly, but must set their status to For release.

The approving person can display the information objects to be released and release (status Released) or reject the release (status Not released) of the information objects.
  • Copy Editing

The author can pass the information objects on to Copy Editing (status Copy Editing).

The Copy Editor can revise the information objets and then resubmit the information objects to the author (status Resubmit).

The workitems for both procedures are created based on the folders.

Activities

To use the workflow in the Knowledge Warehouse, you must make the following Customizing settings:

  1. You maintain the standard settings for the SAP Business Workflow.
  2. You edit the organizational plan.
  3. You maintain the task-specific Customizing settings for the Approval Procedure or for Copy Editing.
  4. You activate the workflow for the areas of the Knowledge Warehouse.

See also:

SAP Business Workflow


Approval Procedure

Use

The release of information objects is controlled with the Approval Procedure.

Prerequisites

The workflow for the Knowledge Warehouse was set up in Customizing.

The Approval Procedure was activated for the particular area.

Procedure

  1. The author sets the status for information objects to For release.

    2. A workitem is created for the corresponding folder that appears in the Inbox of the approving person.

  2. The approving person checks the information objects and decides whether they should be released.

    3. If an information object is not released, the approving person sets the status to Not released. He can also include a note telling the author why the information object was not released.

    Once all the information objects of a workitem have been looked at, the person responsible for the folder is sent a workitem in his Inbox.

  3. The person responsible for the folder can revise the information objects that were not released or send them on to the relevant authors.

The revised information objects can then be marked again for release.


Copy Editing

Use

With Copy Editing, information objects can be revised by a copy editor.

Prerequisites

The workflow for the Knowledge Warehouse was set up in Customizing.

Copy Editing was activated for the particular area.

Procedure

  1. The author sets the status for information objects to Copy Editing.

    2. A workitem is created for the corresponding folder that appears in the Inbox of the approving person.

  2. The approving person checks the information objects and revises the information objects.

    3. Once an information object has been revised, the copy editor sets the status to Resubmit. He can also include a note telling the author which changes were made to the information object.

    Once all the information objects of a workitem have been looked at, the person responsible for the folder is sent a workitem in his Inbox.

  3. The person responsible for the folder can release the information objects or send them on to the relevant authors.


Working with the Knowledge Workbench

Use

The Knowledge Workbench is a PC application of the SAP Knowledge Warehouse that provides all the functions authors need for creating information objects. You can use it for creating and editing information objects, maintaining attributes, and displaying information objects in a web browser.

Integration

With the Knowledge Workbench you can work either online or offline.

When you work online, you have access to the information objects in the Knowledge Warehouse.

When you work offline, you only have access to the information objects stored on your local PC or in the file system.

Prerequisites

The Knowledge Workbench must be installed on your PC.

You need a user in the SAP System of the SAP Knowledge Warehouse

Features

Three content repositories

In the Knowledge Workbench, you use three content repositories when you create information objects:

  • Knowledge Warehouse

The Knowledge Warehouse contains all the information objects stored in the Knowledge Warehouse. You only have access to the Knowledge Warehouse when you are working with the Knowledge Workbench in online mode and are logged onto the Knowledge Warehouse R/3 System.

You can add folders of the Knowledge Warehouse to your favorites.

When you choose information objects in the Knowledge Warehouse and call the editing function, the information objects are downloaded to the Local Repository on your PC and locked for other users. Other users can only view the information objects that are checked out.
  • Local Repository on the PC

The Local Repository contains all the information objects you checked out of the Knowledge Warehouse for editing.

It also contains the information objects you created anew, either from scratch or by importing files from the Local System.

When you work with the Knowledge Workbench in offline mode, all the new and changed information objects are stored in the Local Repository.

When you check the changed information objects back into the Knowledge Warehouse, these objects are removed from the Local Repository and unlocked in the Knowledge Warehouse.
  • Local System

The Local System gives you access to all files on your PC and network that you may want to use as source material for information objects in the Knowledge Warehouse. You can create information objects from files in your Local System by checking them into the Knowledge Warehouse either directly or using the Local Repository.

Online and Offline Mode

In online mode you have access to all information objects in the Knowledge Warehouse. This means you can view all information objects, you can set links to them, change their attributes, and edit them. Editing and changing attributes is not possible if the information objects are checked out by another user.

In offline mode you have access only to the information objects in the Local Repository and to data in the Local System.

Navigation in Explorer Windows

In the Knowledge Workbench you access folders and information objects in Explorer windows. Navigation in Explorer windows works in much the same way as in the Microsoft Windows Explorer.

In each Explorer window a context bar (below the title bar) displays the current settings of the version context (language, release).

The color of the context bar depends on the content repository in which you are navigating:

  • Green in the Knowledge Warehouse
  • Blue in the Local Repository
    •
  • Gray in the Local System

By opening several Explorer windows you can simultaneously look at and work on different parts of the Knowledge Warehouse, Local Repository and Local System. You can also use the Drag&Drop technique for various functions, such as inserting information objects in a structure.

Functions for Information Objects

The functions provided for the information object chosen are offered from the menu or with the right mouse button.

Constraints

You cannot use all the authoring functions in the Knowledge Workbench. The following functions are only available in the SAP Knowledge Warehouse R/3 System.

  • Set and check R/3 links between R/3 application objects and information objects of the Knowledge Warehouse
  • Print structures with information objects
  • Create offline presentations of training courses
  • Maintain index entries (area: Documentation)
  • Check information objects (area: Documentation)

You can only execute these functions if you are logged onto the SAP System of the Knowledge Warehouse.

Activities

You can start the Knowledge Workbench with Programs ® SAP Front end ® Knowledge Workbench from the Windows Start Menu.

To work in online mode enter the required data in the Work Online tab page of the logon dialog box.

To work offline choose a content in the Work Offline tab page of the logon dialog box.


Starting the Knowledge Workbench

Prerequisites

You installed the Knowledge Workbench from the SAPGui CD.

Procedure

To start the Knowledge Workbench:

  1. Choose Start ® Programs ® SAP Frontend ® Knowledge Workbench.

    2. The initial screen of the Knowledge Workbench appears.

  2. Select the mode in which you want to start the Knowledge Workbench.
    • To work in online mode, enter the required data in the Work online tab page of the logon dialog box.
    • To work offline, select a content in the Work offline tab page of the logon dialog box.
  1. Choose Log on.

Result

The Knowledge Workbench is started. An Explorer window with the available content spaces is displayed.


Configuration of the Knowledge Workbench

Use

In the Knowledge Workbench you can adjust a number of settings that control

  • the context (language, enhancement, release) in which you can maintain and display the information object versions
  • the information object attributes to be displayed in the Explorer windows you open in the Knowledge Workbench
  • the attribute values to be used as default values when you create new information objects.

Functionality

You can configure the following areas in the Knowledge Workbench:

  • Maintenance of information objects

You control which versions of an information object should be used or created by selecting a context (language, enhancement, release).

If you want to access information objects from different contexts, you can change the set context for each open Explorer window.

You can also define an initial context for the new Explorer window.
  • Information display

You can control which information object attributes should be displayed in the Knowledge Warehouse and Local Repository by defining display settings.

You can show or hide the structure view and object preview in the active Explorer window.
  • Default values for new information objects

You can reduce the amount of data required for creating new information objects by defining default values for the attributes of new information objects.

You can define the default values for all information objects in an area of the Knowledge Warehouse.


Entering the Context for the Active Explorer Window

Use

This procedure controls the information object versions to be accessed with the active Explorer window of the Knowledge Workbench.

Procedure

To enter the context for the active Explorer window:

  1. Choose the Explorer window to be used to display the folder contents.
  2. Choose Context ® Change the Current Context...

    3. A dialog box appears.

  3. Choose the context parameter and choose OK.

Result

The display of the folders and information objects of the active Explorer window is updated. Only the information objects having a version in the context you chose are displayed.


Setting the Initial Context

Use

With the initial context you can control which context is displayed when you open a new Explorer window.

Procedure

To set a standard context:

  1. Choose Settings ® Knowledge Warehouse ...
  2. Choose tab page Initial Context.
  3. Enter your context parameters and choose OK.

Result

The context you set is used as the initial context when you open a new Explorer window.


Setting the Display of Information Object Attributes

Use

This procedure defines the information object attributes to be displayed in the Explorer windows.

Procedure

To set the attributes to be displayed:

  1. Choose View ® Settings ® Knowledge Warehouse...
  2. On the following tab choose tab page Display Attributes.
  3. To display an attribute, choose it from the list of Available Properties and choose Add.

    4. To remove an attribute from the current display, choose it from the list of Selected properties and choose Remove.

  4. Choose OK.

Result

When you display folder contents in Explorer windows, the information objects are shown with the attributes you included in the Selected Properties list.


Defining Default Values for New Information Objects

Use

This procedure defines attribute values that are automatically assigned to new information objects. You do not have to maintain so many attributes when you create new information objects if you define default values.

Procedure

  1. Choose Settings ® Default Values ...

    2. A dialog box appears in which you can specify default attribute values for information objects of the different info object classes in the various areas.

  2. Choose an area.

    3. The info object classes of the chosen area are displayed.

  3. Choose an info object class.

    4. The information object attributes of the chosen info object class are displayed.

  4. Choose an information object attribute.
  5. Choose Specify a default value and enter an attribute value in the corresponding text field.

    6. You can choose the option Special Default Value for some attributes, such as Person Responsible, and then enter your user name as default value.

    You cannot maintain a default value for the Status if the authorization procedure is activated.

  6. Save the default values with OK.

Result

The default values you defined are used when you create an information object.


Display Settings

Use

The Knowledge Workbench includes a number of settings for defining the amount and type of information to be displayed in an Explorer window. Some of these settings apply to all Explorer windows and others apply only to the active window.

Prerequisites

You are in the Knowledge Workbench and have opened an Explorer window.

Functionality

You can show or hide the following information in the Knowledge Workbench:

  • Favorites

All the folders in the list of favorites are displayed.
  • Tips

A number of tips that support your work with the Knowledge Workbench are displayed.

You can show or hide the following information in the Explorer window:

  • Structure of the content spaces

The structure of the individual content spaces is displayed.
  • Object preview for information objects

The contents are displayed for content objects.

Only the short information is displayed for structures.
  • How the information objects are displayed

If you choose Detail, all the attributes selected for display are shown.
  • How the information objects are sorted in the display

The information objects displayed are sorted according to your selection.

Activities

Select the display options in the View menu.


Showing and Hiding Favorites

Prerequisites

You are in the Knowledge Workbench.

Procedure

To show or hide the favorites, choose View ® Favorites.

Result

The favorites are displayed in a separate window.

The favorites are shown if Favorites is marked. Otherwise they are hidden.


Showing and Hiding Tips

Prerequisites

You are in the Knowledge Workbench.

Procedure

To show or hide the tips for working with the Knowledge Workbench, choose View ® Tips.

To display the next tip, click with the right mouse key and choose Next tip.

Result

The tips are displayed in a separate window.

The tips are shown if Tips is marked. Otherwise they are hidden.


Showing and Hiding the Structure of the Content Spaces

Prerequisites

You are in the Knowledge Workbench and have opened an Explorer window.

Procedure

To hide the structure of the content spaces, choose View ® Structure view.

Result

The structure of the content spaces is displayed in the left part of the Explorer window.

The structure is shown if Structure view is marked. Otherwise it is hidden.


Showing and Hiding the Information Object Preview

Prerequisites

You are in the Knowledge Workbench and have opened an Explorer window.

Procedure

To show the preview of the information objects, choose View ® Object preview.

Result

The contents of a selected content object are displayed in the lower part of the Explorer window.

Only short information is displayed for structures.

The preview is shown if Object preview is marked. Otherwise it is hidden.


Setting the Display View for the Information Objects

Use

This procedure defines how the list of information objects should be displayed.

You can select:

  • Small icons
  • List
  • Detail

Prerequisites

You are in the Knowledge Workbench and have opened an Explorer window.

Procedure

To set the display view, choose View ® Small icons/List/Detail.

Result

The list is set up as you requested. The display view is marked in the menu.

If you selected Detail, all the attributes you selected with the function Settings ® Knowledge Warehouse ® Display attributes are displayed.


Sorting the List of Information Objects

Use

You can sort the list of information objects with this procedure.

The attributes that you selected with the Display Attributes function are offered as sort criteria.

Prerequisites

You are in the Knowledge Workbench and have opened an Explorer window.

Procedure

To sort the list of information objects, choose View ® Arrange icons by ® ....

Result

The list of information objects is sorted according to your selection.

Once you have sorted the list, the attribute is marked in the menu.


Management of Folders

Use

You can create and manage folders that are used as a container for groups of information objects in the Knowledge Workbench. With a few exceptions (for example, deleting folders), the same functions are available in the Knowledge Workbench as are with the SAP Knowledge Warehouse System.

Integration

When you work with the Knowledge Workbench in online mode, you have access to all the folders of the Knowledge Warehouse.

Your favorites are stored in the Knowledge Warehouse SAP System.

Features

In the Knowledge Workbench you can:

  • create new folders
  • find folders
  • add folders to your favorites
  • remove folders from your favorites
  • display folder attributes


Creating a Folder

Use

You can create a new folder directly in the Knowledge Warehouse or first create it in the Local Repository and then add it to your favorites.

You should always create a new folder when you create a new project.

Prerequisites

You are in the Knowledge Workbench.

You have authorization to create folders.

Procedure

To create a folder:

  1. Place the cursor on any node in the Knowledge Warehouse or Local Repository.
  2. Choose Info object ® New ® Folder...

    3. The Create Folder Wizard appears to support you in creating the folder.

  3. Choose Continue.
  4. Enter the area in which your folder should be created and choose Continue.
  5. Specify the folder attributes.

    6. If you maintained default values for info object class Folder in the area chosen, the fields are already defined.

  6. Choose Finish.

Result

A new folder created in the Knowledge Warehouse is inserted as the uppermost node in the structure of your favorites. When you refresh the favorites, the folders are sorted in alphabetical order.

A new folder created in the Local Repository is stored in the Local Repository. In this case the folder only appears in the Knowledge Warehouse once you have checked it in and added it to your favorites.

You can only check in folders containing information objects.


Finding a Folder and Displaying it in the Explorer Window

Use

You can find folders in the Knowledge Warehouse and then display a folder in an Explorer window.

Prerequisites

You are in the Knowledge Workbench.

Procedure

To find a folder in the Knowledge Warehouse:

  1. Choose Edit ® Find ® Folders in the Knowledge Warehouse...

The Find Folder dialog box appears.
  2. Choose the area where you want to search for the folder.
  3. To improve system performance, restrict the search with selection criteria.

SAP recommends that you use the technical name for the search since it is the fastest.
  4. Start the search.

    5. The folders found are listed.

  5. Choose the folder to be displayed in the Explorer window.

    6. The Select Folder Context dialog box appears.

  6. Choose the folder context.

Result

An Explorer window is opened.

The folder chosen and the information objects it contains in the given context are displayed in this Explorer window.


Organization of the Favorites

Use

You can add folders you use regularly to the favorites.

Integration

The Favorites are stored user-specifically.

Prerequisites

You are in the Knowledge Workbench.

Features

You can add folders to your Favorites or remove them from the Favorites.

You can create folders in the Knowledge Warehouse and insert them in your Favorites.

You can insert folders from the entry structure in your Favorites.


Creating Folders and Adding them to the Favorites

Prerequisites

You are in the Knowledge Workbench.

You have authorization to create a folder.

Procedure

To create a folder and add it to the Favorites:

  1. Choose Tools ® Organize Favorites.

The Organization of Favorites dialog box appears.
  2. Choose Create folder.

The Create Folder Wizard appears to support you in creating the folder.

  3. Choose Continue.
  4. Enter the area in which your folder should be created and choose Continue.
  5. Specify the folder attributes.

    6. If you maintained default values for info object class Folder in the selected area, the fields are already defined.

  6. Choose Finish.

Result

The folder is created and added to the favorites.


Adding Folders to the Favorites

Use

You want to add folders that you access regularly to your favorites.

Prerequisites

You are in the Knowledge Workbench.

Procedure

Add a Selected Folder from the Entry Structure

To add a folder to the favorites from the displayed entry structure:

  1. Select a folder in the initial structure.
  2. Choose Info object ® Add to favorites.

Add a Folder

To add a folder to the favorites from the Knowledge Warehouse:

  1. Choose Tools ® Organize favorites.

The Organization of Favorites dialog box appears.
  2. Choose Insert folder.

The Select a Folder dialog box appears.
  3. Select the area where you want to search for the folder.
  4. To improve system performance, restrict the search with selection criteria.

SAP recommends that you use the technical name for the search since it is the fastest.
  5. Start the search.

    6. The folders found are listed.

  6. Select the folder to be added to the favorites.

Result

The selected folder is added to the favorites.


Removing Folders from the Favorites

Prerequisites

You are in the Knowledge Workbench.

Procedure

To remove a folder from the favorites:

  1. Mark the folder you want to remove from the favorites.
  2. Choose Info Object ® Remove from favorites.

Result

The selected folder is removed from the favorites.


Displaying Folder Attributes

Prerequisites

You are in the Knowledge Workbench.

A folder is open in the Explorer window.

Procedure

To display the folder attributes:

  1. Select a folder.
  2. Choose Info object ® Display info object attributes.

The Info Object Attributes dialog box appears:

Result

The attributes of the selected folder are displayed on different tab pages.


Searching for Folders or Information Objects

Use

You can find folders or information objects.

Integration

This function is provided:

  • as a separate function from the menu
  • when you insert hyperlinks into content objects
  • when you insert existing information objects into a structure

Prerequisites

You must be working in online mode in the Knowledge Workbench in order to search for folders or information objects in the Knowledge Warehouse.

Features

You can search for

  • information objects in the Local Repository
  • information objects in the Knowledge Warehouse
  • folders in the Knowledge Warehouse

Activities

Choose Edit ® Find and then one of the search options offered.


Finding Information Objects in the Local Repository

Use

You can find checked out information objects in the Local Repository.

Prerequisites

There are information objects in the Local Repository.

Procedure

To find information objects in the Local Repository:

  1. Choose Edit ® Find ® Info Objects in the Local Repository

    2. A dialog box appears in which you can set the context in which you want to search for the information objects.

  2. Set the required context:

    3. You go to a dialog box in which you can enter the search criteria.

  3. Enter suitable search criteria and choose Find.

The information objects corresponding to your search criteria are displayed.

Result

The information objects found are displayed in an Explorer window where they can be viewed or edited.


Finding Information Objects in the Knowledge Warehouse

Use

You can find information objects in the Knowledge Warehouse.

Prerequisites

To search the Knowledge Warehouse, you must be logged onto the Knowledge Warehouse SAP System.

Procedure

To find information objects:

  1. Choose Edit ® Find ® Info Objects in the Knowledge Warehouse

    2. A dialog box appears in which you can set the context in which you want to search for the information objects.

  2. Set the required context:

    3. You go to a dialog box in which you can enter the search criteria.

  3. Enter suitable search criteria and choose Find.

The information objects corresponding to your search criteria are displayed.

Result

The information objects found are displayed in an Explorer window where they can be viewed or edited.


Finding Folders in the Knowledge Warehouse

Prerequisites

To search the Knowledge Warehouse, you must be logged onto the Knowledge Warehouse SAP System.

Procedure

To find folders:

  1. Choose Edit ® Find ® Folders in the Knowledge Warehouse.
  2. Select the area where you want to search for the folder.
  3. Enter suitable search criteria and choose Find.

    4. A list containing the folders corresponding to your search criteria is displayed.

  4. Select a folder.

A diolog box appears in which you can enter the context. The information objects of the folder are displayed in the selected context.

Result

The information objects of the selected folder are displayed in an Explorer window where they can be viewed or edited.


Creation of New Information Objects

Use

With the Knowledge Workbench you can create all kinds of information objects that are available in the Knowledge Warehouse.

Features

The information objects you create are stored in your Local Repository until you check them into the Knowledge Warehouse . Only then can they be accessed by other Knowledge Warehouse users.

Information objects are always created in folders. Each folder is assigned to an area. You can only create information objects in the info object classes that exist in the particular area.

In addition to the functions for creating individual information objects, the Knowledge Workbench offers a function for creating several information objects at once from an existing PowerPoint presentation or Web page.


Creating Structures

Procedure

To create a structure:

  1. Select the folder in which you want to create the structure.

    2. This can be a folder in the Knowledge Warehouse or in the Local Repository. In any case, the structure will be created in the Local Repository.

  2. Choose Info Object ® New ® Structure Object...

    3. The Create New Structure Object wizard appears.

  3. Choose Continue.

    4. If you create a structure in the Intranet Management area, choose info object class Structure and then Continue.

  4. Assign the structure a content object as root object by creating a content object or using an existing content object.

To create a new content object as root object:
    1. Choose Create Root Object >>>.

      2. The Create New Content Object wizard appears.

    2. Choose Continue.
    3. Choose the content type for the new content object and continue.
    4. Choose Finish.

To use an existing content object as root object:
    1. Choose Select root object >>>.

      2. The Find Info Object dialog box appears.

    2. Specify how you want to search for the information object and choose Continue.
    3. To improve performance, enter suitable search criteria.
    4. Start the search.

      5. The information objects found are displayed.

    5. Choose the information object to be used as root object of your structure and choose Ok.

The Create New Structure Object wizard appears again.

  5. Choose Continue.
  6. Enter the attributes for the new structure.

    7. If you maintained default values, the fields are already defined.

  7. Choose Finish.

Result

The structure is created in the Local Repository in the folder chosen.

If you chose a folder in the Knowledge Warehouse, the structure is created in the (temporary) folder of the same name in the Local Repository.

The root object is now defined as the content object you created or chose.


Creating Content Objects

Use

Use this procedure to create new content objects in info class Slide, Text, Topic or HTML.

HTML objects are used in the Intranet Management area. They are edited with an HTML editor.

Slides are the most common type of content object used in the Training area. They are edited with MS PowerPoint.

Texts are used in the Training area while topics are used in the Documentation area. Both are edited with MS Word.

Procedure

To create a content object:

  1. Open the folder in which you want to create the new content object.
  2. Check that the context is set correctly.
  3. Choose Info Object ® New ® Info Object...

    4. The Create New Content Object wizard appears.

  4. Choose Continue.
  5. Choose the content type for the new content object and continue.
  6. Enter the attributes for the new content object.

    7. If you maintained default values, the fields are already defined.

  7. Choose Finish.

Result

The content object is created in the Local Repository.


Creating a Multimedia Object

Use

Use this procedure to create a new content object of info object class Multimedia Object.

You can check in any document that has been modeled with the Document Modeling Workshop as a multimedia object.

In contrast to content objects of info object classes Slide, Text, and Topic, no editing functions are provided in the Knowledge Warehouse for editing the content of multimedia objects. Content editing of multimedia objects is done outside the Knowledge Warehouse with any MS Windows application. Therefore you can link to multimedia objects from slides, texts, topics, and structures, but you cannot link from multimedia objects to other content objects.

Prerequisites

To be able to check in a multimedia file as a multimedia object, its file format must be registered as a format in the Knowledge Warehouse. Also, the application for editing or viewing the object must be installed on the PC.

Procedure

To create a multimedia object:

  1. Open the folder in which you want to create the new multimedia object.
  2. Check that the context is set correctly.
  3. Choose Info Object ® New ® Info Object from Existing File.

    4. You go to a dialog box where you can navigate in your file system.

  4. Go to the directory containing the multimedia file.
  5. Choose the file and choose Open.

The Create Information Objects wizard appears.

The multimedia file is assigned info object class Multimedia object.
  5. Enter the attributes for the new multimedia object.

    6. If you maintained default values, the fields are already defined.

    A list appears containing the multimedia file created as multimedia object.

  6. Choose Finish.

Result

The multimedia object is created in the Local Repository.


Creating Information Objects from an Existing File

Use

Use this procedure to take a Web page and all its components or PowerPoint presentation containing any number of slides and check them in to the Knowledge Warehouse as individual information objects.

When you check in a PowerPoint presentation a structure is created which references the slide objects in the same sequence as they appear in the PowerPoint presentation.

Procedure

To create information objects from a PowerPoint presentation or Web page:

  1. In the Local Repository or Knowledge Warehouse, open the folder to contain the information objects you want to create from the PowerPoint presentation or Web page.
  2. Check that the context is set correctly.
  3. Mark the PowerPoint files or Web page in the local file system and drag them to the folder that is to contain the information objects.

The Create Info Object wizard appears.
  4. Choose Continue.

The selected file(s) appear.

You can change the info object class when you import the files (Change Info Object Class Assignment >>>).

Choose this option only if you want to check in the PowerPoint presentation or Web page as an individual general information object.
  5. Choose Continue.

    6. The files are edited.

  6. Enter the attributes for the new information objects by choosing the relevant information object.

    7. If you maintained default values, the fields are already defined.

    The list of information objects to be created from the Web page or PowerPoint presentation is displayed.

  7. Choose Finish.

Result

The system creates the information objects in the Local Repository using the file(s) you chose.


Exporting a Training Unit

Use

You can chose your own PowerPoint presentations using the exported training unit.

Prerequisites

You are in the Knowledge Workbench.

A training unit only has one sublevel.

Procedure

To export a unit:

  1. In the Knowledge Warehouse choose the structure that contains the unit to be exported.
  2. Choose Info Object ® Display Maintenance Format.

    3. The structure is checked out for display and stored in the Local Repository. Then it is opened write protected in the Structure Editor.

  3. Position the cursor on the first slide of the training unit.
  4. Choose Info Object ® Export Unit to Local File System.

    5. A dialog box appears in which you can enter the path where you can store the unit as a PowerPoint file.

  5. Set the path.
  6. Enter the name of a file and choose Save.

Result

The unit is exported and stored in the entered path as a PowerPoint file.

The individual objects are checked out for display and stored in the Local Repository.


Checking Out Information Objects

Use

As well as checking out information objects automatically through editing them, you can check them out without editing them immediately.

This function is useful for work scheduling.

When they are checked out, information objects are stored on the PC so that they can access all objects having the same context .

The following context parameters are used in local storage:

  • Language
  • Release
  • User
  • Processing mode
  • R/3 System from which the information objects were checked out

The context is enhanced by these attributes to define a local worklist on the PC.

You cannot access information objects that have been
  • checked out by different users
  • checked out in different processing modes
  • checked out in different SAP Systems.

Information objects checked out of different folders are stored in the same local context (work package) if they have its attributes.

In the Knowledge Warehouse you can access all information objects of one local context at the same time. Information objects can only be edited by the user who checked them out.

Integration

When you check information objects back in, the SAP System and user must be the same as in the local context.

Prerequisites

You are in the initial screen and want to check out information objects for offline editing on the PC.

The information objects are not currently checked out changeably by another user.

Features

Information objects can be checked out as changeable or for viewing only

  • Information objects that are checked out changeably can be edited. Other users cannot change them. But they can display these objects and link to them.
  • Information objects that are checked out for viewing only can be displayed, but not changed.

You can check out a selection of information objects, or all information objects that belong to a structure (only in the Structure Editor)


Checking Out Information Objects Changeably

Use

You want to check out several information objects at a time without editing them immediately.

Prerequisites

You have opened the Info Object List of the folder containing the information objects that should be checked out.

The information objects are not currently checked out changeably by another user.

Procedure

  1. Choose the information objects you want to check out (use Shift or Ctrl).
  2. Choose Info Object ® Check out ® To Change

Result

The selected information objects are checked out and stored in a local context on the PC.

You can now edit the information objects even without a link to the Knowledge Warehouse.


Checking Out Information Objects to View

Use

You want to check out several information objects at once to use them in your structure or content objects without having to access the Knowledge Warehouse.

Prerequisites

You have opened the Info Object List of the folder containing the information objects that should be checked out.

Procedure

  1. Choose the information objects you want to check out (use Shift or Ctrl).
  2. Choose Info Object ® Check Out ® To View

Result

The chosen information objects are checked out and stored in a local context on the PC. They are not locked in the Knowledge Warehouse and can be edited by another author.

You can now display the information objects or set links to them even without a link to the Knowledge Warehouse.


Checking Out Information Objects from a Structure

Use

You want to check out all of the information objects in a structure to change them or view them.

Prerequisites

You have opened a structure in the Structure Editor.

Procedure

All information objects

In the Structure Editor choose Info Object ® Check Out ® Change Entire Structure or Info Object ® Check Out ® View Entire Structure.

Selection of information objects

To check out several information objects:

  1. Using Shift or Ctrl choose the information objects that should be checked out in the right hand side of the window.
  2. In the Structure Editor choose Info Object ® Check Out ® Change, or Info Object ® Check Out ® View

Result

The information objects chosen are checked out and stored in the Local Repository.


Editing Content Objects

Use

In the Knowledge Workbench you edit content objects of info object classes Slide, Text and Topic using MS PowerPoint or MS Word. Both editors are integrated in the Knowledge Workbench and are automatically called when you edit content objects. They were enhanced with special Knowledge Warehouse editing functions.

Content objects of info object class HTML can be edited in a special HTML editor provided by the Knowledge Warehouse.

You can also and edit multimedia objects (info object class Multimedia object) that were created with Windows applications (such as Lotus ScreenCam). However, no special Knowledge Warehouse editing functions are provided for these info objects.

Integration

With the Knowledge Workbench, all the contents are edited locally on your PC in the Local Repository.

When you select objects in the Knowledge Warehouse and call the editing function, the objects are automatically downloaded to the Local Repository on your PC and locked for changes by other users.

Once you have finished editing the content objects in the Local Repository, you must check them in.

Prerequisites

If you want to edit content objects from the Knowledge Warehouse and you have not yet downloaded these objects to the Local Repository, you must work with the Knowledge Workbench in online mode.

The content objects to be edited may not have been checked out of the Knowledge Warehouse by another user. Content objects that were checked out by other users may only be viewed.

Functionality

The following editing functions are available for the different types of content objects:

Slide, Text and Topic (Editors: PowerPoint and Word)

  • Edit contents
  • Insert standard icons
  • Insert hyperlinks to other content objects , including IMG documents and SAP glossary terms (that are delivered as part of the Knowledge Warehouse)

HTML (Editor: HTML editor of the Knowledge Warehouse)

  • Edit contents
  • Insert graphics
  • Insert hyperlinks to other content objects

Multimedia Object (Editor: MS Windows Application)

  • Edit contents (if relevant application is installed locally) or else update info object by checking in new object file

Activities

You can edit a selection of content objects directly from a folder's Info Object List, or you can edit them while maintaining a structure with the Knowledge Workbench structure editor.


Creating an Information Object Enhancement

Use

Create enhancements to reuse SAP information objects in modified form in your maintained enhancement content.

Prerequisites

  • You are in an enhancement context in an Info Object List (SAPgui front end) or in an Explorer window (Knowledge Workbench).
  • The structure objects have not already been enhanced in the current context. Only the enhancement (name), and not the enhancement release, is relevant here.

Procedure

Knowledge Workbench

  1. Choose an information object.
  2. Choose Info Object(s) ® Edit

    3. A message appears that the info object does not exist in the current context and you must first create an enhancement before you can edit it.

  3. Choose Continue.

SAPgui Front end

  1. Choose one or more information objects.
  2. Choose Info Object ® Enhancement ® Create.

The chosen information objects are now highlighted in gray, and not yellow ("not changeable in the current context").

The enhancement context values (enhancement name and release) are assigned to the information object attributes Enhancement and Change Release.

Result

Copies of the chosen info objects are created as enhancement context versions.

You cannot create another enhancement of an enhanced information object in the same enhancement context. To reset an enhanced and modified Info Object to its previous state, or to use an updated version of the SAP object, you can copy the version into the enhancement context .


Editing and Saving Slides

Use

You can edit content objects of info object class Slide in PowerPoint.

You can edit slides that are in the Knowledge Warehouse or Local Repository. The slides are stored in the Local Repository during editing.

There are the following functions:

  • Edit one or more slides
  • Edit the slides of a chapter
  • Set hyperlinks

Prerequisites

To have access to slides in the Knowledge Warehouse, you must start the Knowledge Workbench in online mode.

Procedure

Select one or more slides and choose Info object ® Edit info object(s).

In the structure editor, select a chapter (structure nodes with a lower level) and choose Info object ® Edit chapter.

Result

The slide was edited.

  • If you did not finish the editing process, it stays open and is displayed in the folder at the end of the Info Object List.

It is marked with the following icon:

When you refresh the display, all the open editing processes are at the beginning of the Info Object List.

You can continue the editing process.
  • If you finished the editing process, the following actions are taken:
    • New content objects were created in the Local Repository.
    • Modified content objects were updated in the Local Repository.
    • The modified structure was updated in the Local Repository.


Editing Slides

Prerequisites

If the content objects are not yet downloaded to the Local Repository on your PC, you have to start the Knowledge Workbench in online mode to have access to the Knowledge Warehouse.

You have opened the folder with the content objects in an Explorer window or you are editing a structure that contains the content objects.

Procedure

Editing Slides from the Info Object List of the Folder

  1. In the Knowledge Warehouse, choose the slides to be edited.

    2. If you want to edit slides that have already been checked out , choose the slides in the local repository.

  2. Choose Info Object ® Edit Info Object(s).

    3. The chosen content objects are downloaded from the Knowledge Warehouse to the Local Repository. PowerPoint is opened with a file containing the slides.

    To view the content objects together with their folder in the Local Repository, select the node of the Local Repository in the Explorer window and refresh the display.

  3. Edit the slides in PowerPoint.
  4. Save your changes.

    5. For more information on saving the file see Saving the File .

  5. Close the file.

    6. For more information on closing the file see Closing the File .

  6. Close PowerPoint.

For more information on closing PowerPoint see Closing PowerPoint .

Editing Slides with the Structure Editor during Structure Maintenance

You can also edit slides from the Structure Editor:

  • To edit individual slides, choose a slide of the structure that you are just editing, and continue as described above.
  • To edit all the slides of a unit of the training course, follow the instructions in Editing a Unit of a Training Course .

If you have only checked out the structure, and not the slides it contains, then you can start the check out of all the slides it contains in the Structure Editor.

Result

The slides are saved and PowerPoint is closed. The Changed attribute is given the value Yes for the edited slides in the Local Repository.


Editing a Unit of a Training Course

Prerequisites

You are editing the course structure in the Structure Editor.

A unit can only have one sublevel.

Procedure

To edit a unit:

  1. Check that the context is set correctly.
  2. Choose the initial node of a unit in the structure.

    3. The nodes below the initial node all have to be end nodes.

  3. Choose Info Object ® Edit Unit.

    4. The content object of the initial node and all subordinate content objects are opened.

    If you choose Info Object ® Edit Info Object(s), only the initial node of the unit is opened.

  4. Edit the contents of the slides and change the order of the slides in the PowerPoint file as required.
  1. Save your changes.

    2. For more information on saving the file see Saving the File .

  6. Close the file.

    7. For more information on closing the file see Closing the File .

  7. Close PowerPoint.

For more information on closing PowerPoint see Closing PowerPoint .

Result

The slides are saved and PowerPoint is closed.

The Changed attribute is given the value Yes in the Local Repository for the edited slides and structure.


Maintaining Hyperlinks in Slides

Prerequisites

You are in the Knowledge Workbench.

You opened a slide.

Procedure

Inserting Hyperlinks

To insert a hyperlink:

  1. Mark where the hyperlink or text to be used as hotspot for the hyperlink should be inserted.
  2. Choose SAP ® Insert Link to Info Object.

    3. A dialog box appears in which you can define how you want to search for the content object.

    If the Find Info Object dialog box does not appear, use ALT+Tab to bring it to the foreground.

  3. Navigate to the folder containing the desired content object or enter search criteria for finding the content object.
  4. Select the content object and choose OK.

A hyperlink to the selected content object is inserted. If no text was selected, the title of the object is used as hotspot for the hyperlink.

The hyperlink is highlighted in yellow and underscored.

Deleting a Hyperlink

To delete a hyperlink:

  1. Select the hotspot of the hyperlink.
  2. Choose Edit ® Cut or press ENTF .

The hyperlink is deleted from the document together with the hotspot.

Changing a Hyperlink Hotspot

To change a hyperlink hotspot:

  1. Select the hotspot of the hyperlink.
  2. Overwrite the text.


Saving a File

Use

You can save new or modified slides with this procedure.

Prerequisites

You are in the Knowledge Workbench and have opened a PowerPoint slide.

Procedure

To save a file once you have finished editing it:

  1. Choose SAP ® Save and Finish.

    2. A dialog box appears in which you can confirm that you want to save each of the content objects.

  2. Select the content objects to be created or saved.
  3. Choose Continue.

The changes were saved. The PowerPoint file was closed. The editing process was finished:
    • New content objects were created in the Local Repository.
    • Modified content objects were updated in the Local Repository.
    • The modified structure was updated in the Local Repository.

If you want to save the file and then continue editing it:

  1. Choose SAP ® Save.

    2. The changes are saved.

    The editing process stays open and is displayed in the folder at the end of the Info Object List.

    It is marked with the following icon:

    When you refresh the display, all the open editing processes are at the beginning of the Info Object List.

    The file stays open in PowerPoint and you can continue your work.

  2. To close the file, choose SAP ® Close.

The file is closed.

You can find further information about closing the file in Closing the File .


Closing a File

Use

This procedure closes a PowerPoint file.

Prerequisites

You are in the Knowledge Workbench and have opened a PowerPoint file.

Procedure

To close the file:

  1. Choose SAP ® Close.

    2. Do not use the MS PowerPoint functions to close the file.

    They do not correctly close the editing process for slides in the Knowledge Workbench.

  2. Specify whether you want to save the changes.
  3. Specify whether you want to finish the editing process.

Result

The results for the Close function are shown in the following graphic:
  • If you answer the questions on saving the file and finishing the editing process with Yes, the changes are saved.

If you opened more than one slide or a chapter in a file, a dialog box appears in which you can confirm whether you want to save the changes for each content object.

The PowerPoint file was closed.

The editing process was finished:
    • New content objects were created in the Local Repository.
    • Modified content objects were updated in the Local Repository.
    • The modified structure was updated in the Local Repository.
  • If you answer the questions on saving the file and finishing the editing process with No, the changes are not saved.

The PowerPoint file was closed.

The editing process stays open and is displayed in the folder at the end of the Info Object List.

It is marked with the following icon:

When you refresh the display, all the open editing processes are at the beginning of the Info Object List.

You can continue editing the file at a later time.

  • If you answered the question about finishing the editing process with No, it stays open and is displayed in the folder at the end of the Info Object List.

It is marked with the following icon:

When you refresh the display, all the open editing processes are at the beginning of the Info Object List.

You can continue editing the file at a later time.


Closing PowerPoint

Use

This procedure closes a PowerPoint application.

Prerequisites

You are in the Knowledge Workbench.

You closed all files in PowerPoint.

Procedure

To close the PowerPoint application choose File ® Close.

Result

The PowerPoint application is closed.


Continuing File Editing

Use

This procedure is used to continue file editing if you

  • have not finished the file editing process
  • have not yet checked the content objects into the Knowledge Warehouse.

Prerequisites

You are in the Knowledge Workbench.

Procedure

Continue editing if the editing process has not been finished

To continue the file editing process:

  1. Choose the relevant editing process.

It is marked with the following icon:

You can only select one editing process at a time to continue editing in PowerPoint.
  2. Choose Info object ® Edit info object(s).

Continue editing if the content objects have not yet been checked into the Knowledge Warehouse

To continue editing the content objects, choose the relevant content objects and choose Info Object ® Edit Info Object(s).

The content objects are opened again in PowerPoint. You can continue editing.

Result

The file is opened again in PowerPoint. You can continue editing.


Terminating the Editing Process

Use

If the files can no longer be opened in PowerPoint, you can terminate the editing process.

All the changes are deleted, even if they were already saved.

To terminate an open editing process whose file can be opened, use the functions for editing slides .

Prerequisites

You are in the Knowledge Workbench.

There is an editing process that has not been finished.

It is marked with the following icon:

This editing process cannot be continued because the file cannot be opened

Procedure

To terminate an editing process without opening the file in PowerPoint:

  1. Choose the editing process whose file cannot be opened in PowerPoint.
  2. Choose Info Object ® Display Attributes.

    3. The Attributes of the Editing Process dialog box appears.

  3. Choose tab page Tools.
  4. Choose End Now in the End Editing Process frame.

    5. All the changes are deleted, even if they were already saved.

  5. Confirm.

Result

The editing process is terminated.


Editing Texts and Topics

Use

This procedure can be used to edit texts of the Training area and topics of the Documentation area.

Prerequisites

You are in the Knowledge Workbench.

If the content objects are not yet downloaded to the Local Repository on your PC, you have to start the Knowledge Workbench in online mode to have access to the Knowledge Warehouse.

Procedure

Editing Texts and Topics from the Info Object List of the Folder

To edit content objects of info object class Text and Topic:

  1. In the Knowledge Warehouse, choose the text or topic to be edited.
  2. Choose Info Object ® Edit Info Object(s).

    3. If the content object chosen has not yet been checked out it is now downloaded from the Knowledge Warehouse to the Local Repository.

    To display the content object together with its folder in the Local Repository, choose the node of the Local Repository in the Explorer window and refresh the display.

    Word is opened.

  3. Edit the content object.
  4. Save your changes.
  5. Close the file.

A dialog box appears in which you can confirm that you want to save your changes to the content object.
  6. Choose the content object to be created or saved.
  7. Choose Continue.

Editing Texts and Topics with the Structure Editor during Structure Maintenance

To edit content objects of info object class Text and Topic within the Structure Editor:

If you have only checked out the structure, and not the content objects it contains, then you can start the check out of all the content objects it contains in the Structure Editor.
  1. Select the text or topic to be edited.
  2. Choose Info Object ® Edit Info Object(s).

If the content object chosen has not yet been checked out it is now downloaded from the Knowledge Warehouse to the Local Repository.

Word is opened.
  3. Edit the content object.
  4. Save your changes.
  5. Close the file.

A dialog box appears in which you can confirm that you want to save your changes to the content object.
  6. Select the content object to be created or saved.
  7. Choose Continue.

Result

The content object is saved and closed. The Changed attribute is given the value Yes for the edited content object in the Local Repository.


Inserting Hyperlinks in Texts and Topics

Use

You can insert hyperlinks to other content objects

Prerequisites

You are in the Knowledge Workbench.

You are editing a text or topic in MS Word.

Procedure

Inserting Hyperlinks

To insert a hyperlink:

  1. Choose where the hyperlink or text to be used as hotspot for the hyperlink should be inserted.
  2. Choose SAPKW ® Insert Link.

    3. A dialog box is displayed offering several ways to find the content object you want to define as hyperlink target.

    If the Find Info Object dialog box does not appear, use ALT+Tab to bring it to the foreground.

  3. Navigate to the folder containing the desired content object or enter search criteria for finding the content object.
  4. Choose the content object and choose OK.

A hyperlink to the content object chosen is inserted. If no text has been chosen, the title of the object is used as hotspot for the hyperlink.

The hyperlink is highlighted in blue and underscored.

Result

A hyperlink to the content object chosen is inserted in the Word document.

The link hotspot is highlighted in blue and underscored.

Hyperlinks to glossary definitions can also be inserted in the same way.


Changing a Hyperlink

Use

You can change the hyperlink target or hotspot text.

Prerequisites

You have opened a content object containing hyperlinks.

Procedure

Changing the Hyperlink Target

To change the hyperlink target:

  1. Delete the hyperlink.
    • If you want to delete all the hyperlinks in a paragraph, select the entire paragraph and choose Ctrl 6 .
    • If there are multiple hyperlinks in the paragraph and you only want to delete one hyperlink, place the cursor in front of this hyperlink and choose Ctrl 6 .
  1. Set the new hyperlink.

Changing the Hyperlink Hotspot

To change a hyperlink hotspot:

  1. Select the hyperlink.
  2. Overwrite the hotspot with the new text.

Result

The hyperlink target or hotspot was changed.


Deleting a Hyperlink

Prerequisites

You have opened a content object containing hyperlinks in Word.

Procedure

To delete a hyperlink:

  • If you want to delete all the hyperlinks in a paragraph, choose the entire paragraph and choose Ctrl 6 .
  • If there are multiple hyperlinks in the paragraph and you only want to delete one hyperlink, place the cursor in front of this hyperlink and choose Ctrl 6 .

Result

The hyperlink is deleted.


Inserting Graphics in Texts or Topics

Use

You can insert graphics into your Texts and Topics. You can use all the graphic formats that are known to the Knowledge Warehouse.

Integration

During check in the graphics are converted into Web compatible formats.

Features

You can:

  • Insert a graphic from a file containing several graphics

You have a PowerPoint presentation with several graphics. In this PowerPoint presentation there is a graphic that you want to reuse in a Text or Topic.
  • Insert graphic file

In this PowerPoint presentation there is a graphic that you want to reuse in a Text or Topic.

Insert graphic objects

In this PowerPoint presentation there is a Bitmap graphic or GIF file which you want to reuse in a Text or Topic.

Activities

You insert the desired graphics.


Inserting a Graphic from a File Containing Several Graphics

Use

In topics or in text, you can detach a PowerPoint graphic from a file containing several graphics and insert it in your content object.

Prerequisites

You have opened a content object in Word.

You opened PowerPoint.

Procedure

To insert a graphic in the content object from a file containing several graphics:

  1. In the PowerPoint sort view, select the graphic you want to insert in your content object and copy it to the clipboard.
  2. Go to your content object in Word.
  3. Place the cursor where the graphic should be inserted.
  4. Choose Edit ® Insert contents.
  5. Select Microsoft PowerPoint slide object.
  6. Deactivate the options Put over text and As symbol.
  7. Choose OK.

Result

The PowerPoint graphic is inserted in your content object.


Inserting a Graphic File in Topics or Text

Prerequisites

You opened a content object.

You want to insert a graphic file, e.g. in bit map format (BMP).

If you want to translate your content objects, only use graphic files for which there is an editor (e.g. PowerPoint).

In this case use the procedure Inserting a Graphic Object in Topics or Text .

Procedure

  1. Choose the insertion position.
  2. Choose Insert ® Graphic ® from file ...

    3. The Insert Graphic dialog box appears.

  3. Deselect the options Link to file and Put over text.
  4. Select a file and choose Insert.
  5. Position the graphic by aligning the paragraph as left or right-justified or centered.

Result

The graphic file is embedded in the content object and is saved with the content object.

Graphics created in another application can only be inserted in a Word document if the appropriate graphic filter is installed. BMP files do not need a graphic filter.


Inserting a Graphic Object in Topics or Text

Prerequisites

You have opened a content object in Word. You want to insert a graphic file that was created with a Microsoft Windows application (e.g. PowerPoint) as an object in the content object.

The PowerPoint application is open.

Procedure

  1. Choose the insertion position.
  2. Choose Insert ® Object.

    3. The Object dialog box appears:

  3. Choose the tab page Create from file and deselect the options Link, Put over text and As symbol.
  4. Select a file and choose OK.
  5. Position the graphic by aligning the paragraph as left or right-justified or centered.

Result

The graphic file is embedded as an object in the content object and saved with the content object.

A graphic that is embedded as an object in a content object can be edited directly from Word with Edit ® <Application> object ® Open.


Inserting Standard Symbols in Topics

Prerequisites

You have opened a changeably checked out content object in Word.

Procedure

Inserting a Content Type Symbol in a Title

  1. Position the cursor in front of the first letter of the title.
  2. Choose SAPKW ® Insert Standard Symbol.

    3. The dialog box for choosing a standard symbol appears.

  3. Choose the symbol for the content type and choose OK.

Inserting a Symbol for a Note, Example or Caution

  1. Choose the insertion position.
  2. Choose SAPKW ® Insert Standard Symbol.

    3. The dialog box for choosing a standard symbol appears.

  3. Choose a symbol and choose OK.

Result

The symbol is inserted at the cursor position.


Editing HTML Objects

Use

With this procedure you can edit HTML objects in the Intranet Management area.

Prerequisites

You are in the Knowledge Workbench.

Procedure

Editing HTML Objects from the Info Object List of the Folder

To edit content objects of info object class HTML:

  1. In the Knowledge Warehouse, choose the HTML object to be edited.
  2. Choose Info Object ® Edit Info Object(s).

    3. If the content object chosen has not yet been checked out it is now downloaded from the Knowledge Warehouse to the Local Repository.

    To view the content object together with its folder in the Local Repository, choose the node of the Local Repository in the Explorer window and refresh the display.

    The HTML Editor provided in the Knowledge Warehouse is opened.

  3. Edit the content object.
  4. Save your changes.
  5. Close the file.

A dialog box appears in which you can confirm that you want to save your changes to the content object.
  6. Choose the content object to be created or saved.
  7. Choose Continue.

Editing HTML Objects in Structure or Directory Maintenance using the Structure Editor

To edit content objects of info object class HTML within the structure editor:

If you have only checked out the structure, and not the content objects it contains, then you can start the check out of all the content objects it contains in the Structure Editor.
  1. Choose the HTML object to be edited.
  2. Choose Info Object ® Edit Info Object(s).

The HTML Editor provided in the Knowledge Warehouse is opened.
  3. Edit the content object.
  4. Save your changes.
  5. Close the file.

A dialog box appears in which you can confirm that you want to save your changes to the content object.
  6. Choose the content object to be created or saved.
  7. Choose Continue.

Result

The content object is saved and closed. The Changed attribute is given the value Yes for the edited content object in the Local Repository.


Inserting a Table

Use

You can insert tables in HTML objects in the HTML Editor of the Knowledge Warehouse with this procedure.

Prerequisites

You are in the HTML Editor of the Knowledge Warehouse and have opened an HTML object.

Procedure

Proceed as follows to insert a table in an HTML object:

  1. Place the cursor where the table should be inserted.
  2. Choose Insert Table.

    3. A dialog box appears.

  3. Enter the number of rows and columns and choose OK.

Result

The table is inserted at the given position.


Inserting a Web Page or Graphic as Hyperlink

Use

You can insert hyperlinks in HTML objects in the HTML Editor of the Knowledge Warehouse with this procedure.

Prerequisites

You are in the HTML Editor of the Knowledge Warehouse and have opened an HTML object.

The web page or graphic you want to use as target object is displayed in the Web Browser.

Procedure

To insert a hyperlink:

  1. Copy the address of the web page or graphic to the clipboard.

To copy the address to the clipboard:
    1. Click on the web page or graphic and with the right mouse key choose Properties.
    2. Mark the entire address.
    3. Click on the marked address and choose Copy with the right mouse key.

The address is copied to the clipboard.
  1. Insert the hyperlink in the HTML object.

To insert the hyperlink in the HTML object:
    1. Mark the text to be used as a hotspot in the HTML Editor.
    2. Choose Insert hyperlink.

      3. The Hyperlink dialog box appears.

    3. Click on the empty field URL with the right mouse key and choose Paste.
    4. Check that the hyperlink is complete.
    5. Choose OK.

Result

The hyperlink is inserted.


Changing a Hyperlink

Use

You can change hyperlinks in HTML objects in the HTML Editor of the Knowledge Warehouse with this procedure.

Prerequisites

You are in the HTML Editor of the Knowledge Warehouse and have opened an HTML object.

Procedure

To change a hyperlink:

  1. Mark the text used as a hotspot.
  2. Choose Insert hyperlink.

    3. The Hyperlink dialog box appears.

  3. Enter the new hyperlink information and choose OK.

Result

The hyperlink target is changed.


Deleting a Hyperlink

Use

You can delete hyperlinks in HTML objects in the HTML Editor of the Knowledge Warehouse with this procedure.

Prerequisites

You are in the HTML Editor of the Knowledge Warehouse and have opened an HTML object.

Procedure

To delete a hyperlink:

  1. Place the cursor on the text containing the hyperlink.
  2. Choose Insert Hyperlink.

    3. The Hyperlink dialog box appears.

  3. Delete the hyperlink information and choose OK.

Result

The hyperlink is deleted. The text is no longer marked as a hotspot.


Inserting a Graphic

Use

You can insert graphics in HTML objects in the HTML Editor of the Knowledge Warehouse with this procedure.

Prerequisites

You are in the HTML Editor of the Knowledge Warehouse and have opened an HTML object.

Procedure

To insert a graphic:

  1. Position the cursor where the graphic should be inserted.
  2. Choose Insert Image.

    3. The Picture dialog box appears.

  3. Define the source of the graphic or choose it with Browse.
  4. Enter a text that is to appear if the graphic is not available.
  5. Enter the attributes for Layout and Spacing.
  6. Choose OK.

Result

The graphic is inserted at the cursor position.


Editing Multimedia Objects

Use

This procedure can be used to edit a multimedia object, e.g. a video or ScreenCam.

Prerequisites

The required software for editing multimedia objects must be installed on your PC.

You are in the Knowledge Workbench.

If the content objects are not yet downloaded to the Local Repository on your PC, you have to start the Knowledge Workbench in online mode to have access to the Knowledge Warehouse.

Procedure

  1. In the Knowledge Warehouse, choose the multimedia object to be edited.
  2. Choose Info Object ® Edit Info Object(s).

    3. If the content object chosen has not yet been checked out it is now downloaded from the Knowledge Warehouse to the Local Repository.

    If the required software for editing the multimedia object is installed on your PC, the software is started.

    To display the content object together with its folder in the Local Repository, choose the node of the Local Repository in the Explorer window and refresh the display.

  3. Edit the multimedia object.
  4. Save your changes.

Result

The content object is saved and the application is closed. The Changed attribute is given the value Yes for the edited content object in the Local Repository.


Structure Editing

Use

You can structure your information objects and edit directories in the Intranet Management area.

Directories in the Intranet Management area are edited just like structures. For this reason only structure editing is described in the following sections.

Integration

With the Knowledge Workbench, all the structures are edited locally on your PC in the Local Repository.

When you choose objects in the Knowledge Warehouse and call the editing function, the objects are automatically downloaded to the Local Repository on your PC and locked for changes by other users.

The information about the content objects referred to in the structure is also downloaded.

The content objects themselves are only downloaded if you

  • call up the editing function for content objects
  • check out the information objects

Structures are edited with the Structure Editor in the Knowledge Workbench. If you choose a structure or a directory for editing in the Knowledge Warehouse or Local Repository, the Structure Editor is started and the structure chosen is displayed.

Once you have finished editing the information objects in the Local Repository, you must check in the information objects.

Prerequisites

If you want to edit information objects from the Knowledge Warehouse and you have not yet downloaded these objects to the Local Repository, you must work with the Knowledge Workbench in online mode.

The information objects to be edited may not have been checked out of the Knowledge Warehouse by another user. Information objects that have been checked out by other users may only be viewed.

Features

A separate window of the Structure Editor is opened for each structure.

The window has two frames:

  • In the left frame, the structure is displayed as a tree whose nodes can be expanded and compressed. Actions for individual information objects can be executed in the tree view in the left frame.
  • In the right frame, the information objects of the node that is currently selected are displayed. If you want to perform actions for several objects at the same time, you must choose the objects in the right frame.

In the Structure Editor you can:

  • check out information objects of the structure to change or view them
  • insert information objects into a structure
    • from a folder in the Knowledge Warehouse or Local Repository
    • from a hit list created by searching the Knowledge Warehouse or Local Repository
  • remove information objects from a structure
  • move information objects within a structure
  • copy information objects within a structure
  • change the link type of an embedded structure (structure include to structure link or vice versa)
  • change and display attribute values of information objects

Activities

Choose the structure to be edited.

Start the Structure Editor with Info Object ® Edit Info Object(s).


Inserting a New Content Object in a Structure

Prerequisites

You are in the Knowledge Workbench.

You opened a structure in the Structure Editor.

Procedure

To insert a new content object in the structure:

  1. Position the cursor where the new content object should be inserted.
  2. Choose Edit ® New info object ® Before node ... or After node ... or As first subnode ... or As last subnode ...

    3. The Create New Content Object wizard appears.

  3. Choose Continue.
  4. Select the content type for the new content object and continue.
  5. Enter the attributes for the new content object.

    6. If you maintained default values, the fields are already defined.

  6. Choose Finish.

Result

The new content object is inserted in the structure.


Inserting Information Objects into a Structure

Use

You can insert any information objects that belong to the same area as the structure (for example Training).

Prerequisites

You are in the Knowledge Workbench.

You have opened the structure in which the information objects should be inserted in the Structure Editor.

Procedure

To insert an information object in the structure:

  1. Place the cursor where the information object should be inserted.
  2. Choose Edit ® New Info Object ® Before Node ... or After Node ... or As First Subnode ... or As Last Subnode ...

    3. The Find Info Object dialog box appears.

  3. Choose how you want to search for information objects.
  4. Choose Continue.
    • If you chose By Searching for a Folder, choose the folder to be searched in the Select a folder dialog box.
    • If you have chosen By Searching in the Local Repository, choose the local context to be searched in the Local Context dialog box.
    • If you have chosen By Searching for Info Objects in the Knowledge Warehouse, enter suitable search criteria in the Find Info Objects in the Knowledge Warehouse dialog box.
    • If you have chosen By Searching for a Folder in the Knowledge Warehouse, enter suitable search criteria in the Select A Folder dialog box.

The information objects found are displayed.
  5. Choose the information object to be inserted in the structure.
  6. Choose OK.

Result

The information object is inserted in the structure.

Only references to the information objects are inserted. No physical copies of the actual information objects are created.

The structure is inserted as a structure include.

The advantage of structure includes is that the screen does not change in the structure when the information objects are displayed.


Changing a Structure Include to a Structure Link

Use

A structure is inserted in a structure as a structure include.

You can change a structure include to a structure link with this procedure.

Prerequisites

You are in the Knowledge Workbench.

You have opened the structure containing the structure include in the Structure Editor.

Procedure

To change a structure include to a structure link:

  1. Choose the structure that was inserted as a structure include.
  2. Choose Edit ® Node Properties.

    3. The Node Properties dialog box appears.

  3. Choose Structure Link.

Result

The structure include was changed to a structure link.


Moving Information Objects Within a Structure

Prerequisites

You are in the Knowledge Workbench.

The structure is open in the Structure Editor.

Procedure

To move information objects within a structure:

  1. Choose the information objects to be moved.

    2. If you want to move one information object, choose this information object in the left frame of the Structure Editor.

    If you want to move more than one information object, choose this information object in the right frame of the Structure Editor.

  2. Pressing the left mouse key, drag the information objects chosen to the target position within the structure in the left frame of the Structure Editor.

When you let go of the mouse, a dialog box appears with the following entries:
    • Insert Before Node
    • Insert After Node
    • Insert as First Subnode
    • Insert as Last Subnode
  3. Choose an entry.

Result

The information object is moved to the new position in the structure.


Copying Information Objects Within a Structure

Prerequisites

You are in the Knowledge Workbench.

The structure is open in the Structure Editor.

Procedure

To copy information objects within a structure:

  1. Choose the information objects to be copied.

    2. If you want to copy an information object, choose it in the left frame of the Structure Editor.

    If you want to copy more than one information object, choose them in the right frame of the Structure Editor.

  2. Choose Edit ® Copy.
  3. Place the cursor within the structure in the left frame of the Structure Editor.
  4. Choose Edit ® Paste.

A dialog box appears with the following entries:
    • Before the Currently Selected Node
    • After the Currently Selected Node
    • As First Subnode of the Currently Selected Node
    • As Last Subnode of the Currently Selected Node
  5. Choose an entry.

Result

The information object is copied and inserted at the chosen position in the structure.

Only references to the information objects are inserted. No physical copies of the information objects are created.


Copying Information Objects between Structures

Prerequisites

You are in the Knowledge Workbench.

The source and target structures are each open in a window of the Structure Editor.

Procedure

To copy information objects between structures:

  1. Choose the information objects to be copied.

If you want to copy an information object, choose it in the left frame of the Structure Editor.

If you want to copy more than one information object, choose them in the right frame of the Structure Editor.
  2. Choose Edit ® Copy.
  3. Place the cursor in the other structure in the left frame of the Structure Editor.
  4. Choose Edit ® Paste.

A dialog box appears with the following entries:
    • Before the Currently Selected Node
    • After the Currently Selected Node
    • As First Subnode of the Currently Selected Node
    • As Last Subnode of the Currently Selected Node
  5. Choose an entry.

Result

The information object is copied between the structures and inserted at the chosen position in the other structure.

Only references to the information objects are inserted. No physical copies of the information objects are created.


Replacing Information Objects in the Structure

Prerequisites

You are in the Knowledge Workbench.

You have opened a structure in the Structure Editor.

Procedure

To replace a content object in the structure:

  1. Choose the content object to be replaced.
  2. Choose Edit ® Replace Selected Nodes.

The Find Info Object dialog box appears.
  3. Choose how you want to search for information objects.
  4. Choose Continue.
    • If you chose By Searching for a Folder, choose the folder to be searched in the Select a folder dialog box.
    • If you have chosen By Searching in the Local Repository, choose the local context to be searched in the Local Context dialog box.
    • If you have chosen By Searching for Info Objects in the Knowledge Warehouse, enter suitable search criteria in the Find Info Objects in the Knowledge Warehouse dialog box.
    • If you have chosen By Searching for a Folder in the Knowledge Warehouse, enter suitable search criteria in the Select A Folder dialog box.

The information objects found are displayed.
  5. Choose an information object.
  6. Choose OK.

Result

The information object is replaced by the information object chosen. The previous object is removed from the structure and the information object chosen is inserted.

The information object that you have removed is still available in the Knowledge Warehouse.


Removing Information Objects from a Structure

Prerequisites

You are in the Knowledge Workbench.

The structure is open in the Structure Editor.

Procedure

To remove information objects from the structure:

  1. Choose the information objects to be removed.

    2. If you want to remove one information object, choose this information object in the left frame of the Structure Editor.

    If you want to remove more than one information object, choose these information objects in the right frame of the Structure Editor.

  2. Choose Edit ® Remove Nodes or press Del .

Result

The information object is removed from the structure.

Only the reference to the information object is removed. The physical information object is not deleted and is still available in the Knowledge Warehouse.


Maintaining Information Object Attributes in Structures

Use

You can maintain and display the following information object attributes:

  • the type of link between a structure and another structure object that is embedded in the structure (structure link or structure include)
  • general attributes of information objects in a structure

Prerequisites

You are in the Knowledge Workbench.

The structure with the information objects is open in the Structure Editor.

Procedure

To call the individual functions listed in the below table, choose the information object in the structure and open the context menu with the right mouse key.

Function | Entry in context menu
Change type of link for chosen embedded structure | Node properties ...
Display attribute values of information objects chosen | Display attributes ...
Change attribute values of information objects chosen | Change attributes …
Display contexts in which there are versions of the information objects chosen | Display context list ...
Display information objects having a link to the information object chosen | Where-used list ...


Editing Directories

Use

With this procedure you can edit Web directories in the Intranet Management area.

The functions for editing directories are the same as those for editing structures. You should therefore read the documentation about editing structures .

In contrast to structures, directories can only have one level below the root object.


Checking Information Objects into the Knowledge Warehouse

Use

You can check information objects that you created or edited in the Local Repository into the Knowledge Warehouse with this procedure.

The (updated) contents of these objects are available to other Knowledge Warehouse users once you have checked in the information objects.

Prerequisites

You are working with the Knowledge Workbench in online mode.

The information objects have been newly created or changed.

Procedure

To check information objects into the Knowledge Warehouse:

  1. In the Local Repository, choose the information objects to be checked into the Knowledge Warehouse.

    2. You can only check in information objects having the value Yes for the attribute Changed.

  2. Choose Info Object ® Update Info Object(s).

    3. The information objects chosen are checked into the Knowledge Warehouse.

    A dialog box appears confirming that the check-in was successful.

  3. Choose OK.

Result

The information objects were checked into the Knowledge Warehouse.

If you previously checked the objects out of the Knowledge Warehouse for editing, the new (updated) versions of these objects are now available in the Knowledge Warehouse.

Only the information objects that you have not changed and have not created anew are still available in the Local Repository. You can continue working on these objects without checking them out again. If you no longer want to edit these information objects, you can remove them from the local repository.


Displaying and Changing Information Object Attributes

Use

The information objects in the Knowledge Warehouse have a number of attributes that describe the information objects or their development process, e.g. content type, status, and creation date.

Some attributes are assigned by the Knowledge Warehouse user and some by the R/3 System, depending on their functions.

Integration

All attributes can be used to search for information objects.

Features

You can display all the info object attributes of a chosen information object.

You can change the following info object attributes in the Knowledge Workbench:

  • Structures
    • Usage type
    • Status
  • Content objects
    • Status

If you created an information object in the Local Repository and have not yet checked it into the Knowledge Warehouse, you can change the person responsible and the technical name.

Otherwise you can maintain the info object attributes (such as the content type, technical name, person responsible) in the SAP System.


Displaying Info Object Attributes

Procedure

To display the info object attributes for a selected information object:

  1. Select an information object.
  2. Choose Info object ® Display info object attributes.

Result

The info object attributes for the selected information object are displayed in the Info Object Attributes dialog box on tab Attributes.


Changing Info Object Attributes

Use

You can change the following info object attributes in the Knowledge Workbench:

  • Structures
    • Usage type
    • Status
  • Content objects
    • Status

If you created an information object in the Local Repository and have not yet checked it into the Knowledge Warehouse, you can change the person responsible and the technical name.

Otherwise you can maintain the info object attributes (such as the content type, technical name, person responsible) in the SAP System.

Procedure

To change the info object attributes for a structure or for content objects:

  1. Choose an information object.
  2. Choose Info Object ® Change Info Object Attributes.

    3. The Info Object Attributes dialog box appears displaying the attributes that can be changed.

  3. Change the attributes and save your entries.

Result

The info object attributes for the information object chosen have been changed.


Info Object Status

Use

The Status attribute defines the processing status of an information object. It is maintained by authors and translators.

In processing mode Change, this attribute shows the processing status of an information object in the original language.

Features

There are the following info object statuses:

Status | Meaning
Migrated | Information object (IO) has been migrated to the Knowledge Warehouse and has not been changed.
Editing | IO has not yet been released in the current context for translation and delivery. It is not accessible for translation. This status is set automatically when an information object is checked out. It can also be set manually.
For release | This status is displayed when the authorization procedure is activated. IO was planned for release in the current context. This status is set manually when the author has completed work. This information object appears automatically in the Business Workflow inbox of the approving person. The approving person can set Released or Not Released status.
Not released | This status is displayed when the authorization procedure is activated. The author must revise the info object. This status is set manually when the approving person has completed work. This information object appears automatically in the Business Workflow inbox of the person responsible for the folder.
Released | IO has been released in the current context for translation and delivery. This status is set manually when the author or the approving person has completed work. This information object then appears automatically for translation. A translation status specifying if the information object is new (translation status: new) or has been changed (translation status: to be translated
Copy Editing | IO is being copy edited. This status is set manually. If the copy editing procedure is activated, the information object is sent to the copy editor via the Business Workflow. Otherwise this status is only for documentation purposes. The copy editor can set Released or Resubmit status.
Resubmit | This status is displayed when the copy editing procedure is activated. IO has not been copy edited. This status is set manually if the copy editor did not check the information object. This information object appears automatically in the Business Workflow inbox of the person responsible for the folder.
Review | IO is being reviewed. This status is set manually and is only for documentation purposes.


Changing the Info Object Status

Procedure

To change the info object status:

  1. Select an information object.
  2. Choose Info object ® Change info object attributes.

    3. The Info Object Attributes dialog box appears displaying the attributes that can be changed.

  3. Select a value for the info object status and save your entries.

Result

The status for the selected information object was changed.


Changing the Usage Type of Structures

Use

You can change the usage type of a structure.

The usage types are:

  • Book structure

You can display a book structure independently of other structures.

A book structure can be used as a structure link or a structure include.

An HTML help file (.chm) is created for each book structure when the static help is generated.
  • Substructure

You can only display a substructure from another structure.

A substructure can only be used as a structure include.

Procedure

To change the usage type for structures:

  1. Choose a structure.
  2. Choose Info Object ® Change Info Object Attributes.

    3. The Info Object Attributes dialog box appears displaying the attributes that can be changed.

  3. Choose a value for the usage type and save your entries.

Result

The usage type for the structure chosen was changed.


Displaying Information Objects from the Knowledge Workbench

Use

You can display information objects from the Knowledge Workbench.

Integration

The Web Browser is started when you choose information objects from the Knowledge Warehouse for display.

Prerequisites

You are in the Knowledge Workbench.

Features

There are the following display options:

Display Information Objects

  • Knowledge Warehouse

The information objects chosen are displayed in the Web Browser.
  • Local Repository

Only content objects can be displayed in the Local Repository. The relevant editor is started. The content object is read only.

Display Maintenance Format

  • Knowledge Warehouse

The information objects chosen are displayed in the relevant editor and cannot be changed. They are checked out for viewing and stored in the Local Repository with Display status.

  • Local Repository

The information objects chosen are displayed in the relevant editor and cannot be changed.

Activities

Choose Info Object ® Display Info Object(s) or Info Object ® Display Maintenance Format.


Displaying Information Objects in the Web Browser

Use

This procedure displays the current version of an information object in the Knowledge Warehouse in the Web Browser.

If the information object is currently checked out and being edited by another author, you will not see the changes that this author made to the information object in his Local Repository.

Prerequisites

You are working with the Knowledge Workbench in online mode.

Procedure

To display information objects in the Web Browser:

  1. In the Knowledge Warehouse, choose the information object you want to display in the Web Browser.
  2. Choose Info Object ® Display Info Object(s).

Result

The information object is displayed in the Web Browser.


Displaying Content Objects in the Local Repository

Use

You can display a content object that has been checked out for editing in the Local Repository.

Procedure

  1. Choose a content object in the Local Repository.
  2. Choose Info Object ® Display Info Object(s).

Result

The content object is displayed in the editor corresponding to the info object class of the object.

Since the HTML versions of content objects are only created when the objects are check into the Knowledge Warehouse, the content objects in the Local Repository are displayed in their maintenance format.


Displaying Information Objects in Maintenance Format

Prerequisites

You are in the Knowledge Workbench.

Procedure

  1. Choose an information object.
  2. Choose Info Object ® Display Maintenance Format.

Result

The information object chosen is checked out for viewing and stored in the Local Repository. Moreover it is displayed write-protected in the relevant Editor


Displaying the Where-Used List for Information Objects

Use

You can check where the information object is used.

Prerequisites

You have called up the Knowledge Workbench in online mode.

Procedure

To call up the where-used list for an information object:

  1. In the Knowledge Warehouse position the cursor on the information object whose where-used list you wish to display.
  2. Choose Info Object ® Where-Used List.

Result

The information objects in which the chosen information object is used are displayed.


Displaying Free Content Objects

Use

You can display content objects that are not used in any structure.

Prerequisites

You have called up the Knowledge Workbench in online mode.

Procedure

To display free content objects:

  1. In the Knowledge Warehouse open the folder in which you want to search for the free content object.
  2. Choose Tools ® Search in List for Information Objects Without Structure Usage.

Result

A list is created in which the free content objects are displayed.


Context List for Information Objects

Use

You can display which contexts have versions of an information object.

Prerequisites

You have called up the Knowledge Workbench in online mode.

Features

The following functions are offered in the context list:

  • Display which contexts have versions of an information object
  • Display the version in the Web Browser
  • Display the attributes of the information object version

Activities

Call up Context List .

Choose the required function with the right mouse key.


Displaying a Context List for an Information Object

Use

You can display which contexts have versions of an information object.

Prerequisites

You have called up the Knowledge Workbench in online mode.

Procedure

To display the contexts of an information object:

  1. In the Knowledge Warehouse position the cursor on the information object whose contexts you wish to display.
  2. Choose Info Object ® Display Context List.

Result

The contexts in which there are versions of the chosen information object are displayed.


Displaying a Version of an Information Object

Use

You can display a version in the Web Browser.

Prerequisites

You have called up the Knowledge Workbench in online mode.

You are in the context list of an information object.

Procedure

To display the version of an information object in the Web Browser:

  1. Position the cursor on the version you want to display in the Web Browser.
  2. Choose Display with the right mouse key.

Result

The Web Browser is started. The chosen version is displayed.


Displaying Attributes of the Info Object Version

Use

You can display the attributes of a version.

Prerequisites

You have called up the Knowledge Workbench in online mode.

You are in the context list of an information object.

Procedure

To display the attributes of a version:

  1. Position the cursor on the version whose attributes should be displayed.
  2. Choose Attributes with the right mouse key.

Result

The attributes are displayed.


Refreshing Content Templates

Use

If the content templates have been changed, you can refresh the content templates saved on the PC

Prerequisites

You have called up the Knowledge Workbench in online mode.

Procedure

To refresh the content templates choose Tools ® Local Repository ® Refresh Local Repository Content Templates.

Result

The content templates are refreshed.


Removing Information Objects from the Local Repository

Use

You can remove information objects from the Local Repository if you

  • have checked them out of the Knowledge Warehouse but do not want to update them
  • have created them anew in the Local Repository but do not want to check them in

Prerequisites

You are working with the Knowledge Workbench in online mode.

Procedure

To remove information objects from the Local Repository:

  1. Choose the information objects to be removed.

    2. If you created these information objects anew in the Local Repository, they are deleted and cannot be checked in again.

  2. Choose Info Object ® Remove Info Objects from the Local Repository or press Del .
  3. Confirm.

Result

The information objects chosen are removed from the Local Repository.

  • If you checked these information objects out of the Knowledge Warehouse, they are unlocked in the Knowledge Warehouse and can again be checked out by other authors for editing.
  • If you created these information objects anew in the Local Repository, they are deleted and cannot be checked in again.


Deleting Information Objects in the Knowledge Warehouse

Use

You can delete information objects from the Knowledge Warehouse

The information objects are no longer available in future contexts.

Prerequisites

You are working with the Knowledge Workbench in online mode.

Procedure

To delete information objects in the Knowledge Warehouse:

  1. Check the context.
  2. Choose the information objects to be deleted.
  3. Choose Info Object ® Remove Objects from the Knowledge Warehouse or press Del .
  4. Confirm.

Result

The information objects chosen are deleted from the Knowledge Warehouse and are no longer available in future contexts.


Unlocking Information Objects in the Knowledge Warehouse

Use

This procedure resets the checkout flag in the Knowledge Warehouse for information objects that were checked out but not checked in.

The information objects are unlocked and can be edited by other users.

This could be necessary if you have removed checked out information objects from the Local Repository and the Knowledge Workbench was in offline mode.

Prerequisites

You are working with the Knowledge Workbench in online mode.

Procedure

  1. Choose the information objects to be unlocked in the Knowledge Warehouse.
  2. Choose Info Object ® Reset Checkout.

You can no longer check in the information objects from the Local Repository once you have performed this action. All changes made to these objects are lost.

Result

The information objects are unlocked in the Knowledge Warehouse and can be edited by other users.


Working with the SAP System of the Knowledge Warehouse

Use

You can use the functions provided in the SAP System of the Knowledge Warehouse.

Prerequisites

You need authorization in the Knowledge Warehouse system.

Features

The Knowledge Warehouse SAP System provides the following functions:

  • Manage folders
    • Create and delete folders
    • Organize the Favorites
    • Display and change folder attributes
    • Display the information objects of chosen folders in an Info Object List
  • Maintain information objects
    • Create and delete information objects
    • Change information objects online
  • Maintain info object attributes
    • Display and change info object attributes (e.g. status, person responsible)
    • Maintain index entries created in the terminology database.
  • Version management for information objects
    • Display individual versions
    • Create new versions based on previous versions
  • Maintaining R/3 links
    • Create, change and delete the link between repository objects and information objects
  • Check information objects
    • Quality assurance checks (for example check if the target object called with a hyperlink exists)
  • Display information objects in the preview and in the Web Browser
  • Create offline presentations in the Training area.


Choosing a Role

Use

The role defines the area and processing mode (display, change, translate) in which you want to work in the Knowledge Warehouse.

Different functions are available, depending on your role.

For example, you can delete information objects in processing mode Change, but not in processing mode Translate. In processing mode Translate you can access information objects in the chosen source and target languages.

Prerequisites

You are logged onto the SAP System in which you want to change and translate information objects.

Procedure

In the user menu, choose the role in which you want to use the SAP Knowledge Warehouse.

Result

The initial screen with the functions available for the chosen role is displayed.


Initial Screen

Use

You can organize your work in the initial screen.

Your favorites include all the folders you are editing or are interested in.

You can also call further functions from the initial screen.

Integration

You can call all the R/3 components of the SAP Knowledge Warehouse from the initial screen:

  • Info Object List
  • Online Editing
  • Preview
  • Web Browser

Prerequisites

You are in the initial screen in processing mode Change or Translate.

Features

The following functions are offered in the initial screen:

  • Define settings
  • Create folders and Maintain folder attributes
  • Maintain favorites
  • Find information objects in the Knowledge Warehouse
  • Check folders and Display the check results
  • Check R/3 links
  • Create offline presentations (Training area)
  • Create translation packages for folders (Translation area)
  • Read translation packages (Translation mode)
  • Transport information objects
  • Print structures with information objects
  • Set the display of the Info Object List

The following navigation options are offered in the initial screen:

  • Call the preview and the Web Browser

Choose a structure and choose Structure ® Display ® Preview or Web Browser.

  • Call the Info Object List.

Do this by double-clicking on the folder title or choosing Folder ® Info Object List.
  • Call online processing (Change mode)

Do this by double-clicking on a structure.

If there is no version of the chosen structure in the current context, you go to a dialog box.

You can decide here if you only want to display the structure or if you want to create a new version for editing.
  • Call Translate by structure (Translation mode)

Do this by double-clicking on a structure.


Settings

Use

Use this function to make user-specific settings affecting the display and processing.

Prerequisites

You are in the initial screen of the Knowledge Warehouse.

Features

You can define the following settings:

  • Context
    • Processing mode (Change, Translate)
    • Language, target language (for Translate mode)
    • Show/hide enhancement
    • Release
    • Show/hide country
  • Area
  • Display of information objects in the Web Browser or in the offline presentation
    • All information objects (whatever their status)
    • Only released information objects
  • Display of the Info Object List


Change Context

Use

A set of context parameters in the Knowledge Warehouse specifies the versions of information objects that you can access for display and editing.

Integration

When you use a certain type of information object display (DynamicHelp), these context parameters, e.g. the release of the SAP System used, are also effective in the display: they determine the information object version to be displayed at runtime.

Features

You can define the following context parameters for the version selection in the Knowledge Warehouse:

  • language of the content objects
  • target language of the content objects (in processing mode Translate)
  • SAP System release which the information objects describe
  • country for which the information objects are valid
  • name and release of the enhancement (e.g. for an industry solution) to which the documents refer.

Choose the enhancement name and release from a list of existing enhancements and enhancement releases.

To display all existing enhancements in the Enhancement field, you must first delete the entry in the Release field.

Activities

To change the context choose Settings ® Change context.

The following options are presented in the dialog box Enter context:

  • To go to a different processing mode, choose Processing Mode Change or Processing Mode Translate.
  • In Translate mode the target language is shown as well as the source language.
  • To set an enhancement context, choose Show Enhancement. To go back to the standard context, choose Hide Enhancement.
  • To show or hide the country, choose Show/Hide Country.


Choose Areas

Use

You can define the areas from which you want to be shown the folders in the initial screen

Only the functions that are relevant for the particular area are offered.

If you choose a function that is offered for more than one area, you are asked in which area you want to execute the function.

Prerequisites

You are in the initial screen of the SAP Knowledge Warehouse.

Procedure

To choose an area:

  1. Choose Settings ® Choose areas.

    2. The Choose Area dialog box appears.

  2. Choose the areas in which you want to work and which should be displayed in the initial screen.
  3. Copy the selection.

Result

The folders of the areas chosen are displayed in the initial screen.


Defining the Information Object Display

Use

You can define: which information objects

  • should be displayed in the Web Browser or offline presentation
  • should be printed when you print a structure with information objects

You can define:

  • if only released information objects should be displayed or printed...or
  • if the current version of the information objects should be displayed or printed, whatever their status.

Procedure

To define the information object display:

  1. Choose Settings ® Display Info Objects.

    2. The Display Info Objects dialog box appears.

  2. Choose a kind of display and then Continue.

Result

The information objects are displayed as chosen in the Web Browser and offline presentation.

The information objects are printed as defined.

The selection is valid until the next settings change for the information object display.


Defining the Info Object List Display

Use

You can define how the Info Object List should be displayed.

Prerequisites

You are in the initial screen of the Knowledge Warehouse.

Procedure

To define the Info Object List display:

  1. Choose Settings ® Display Info Object List.

    2. A dialog box appears.

  2. Choose one of the options.

Grid Display
    • Full Display

Only the Info Object List is displayed in the grid display.
    • Under navigation tree of the folder structure

The Info Object List is displayed below the Favorites and the entry structure.
    • Next to navigation tree of the folder structure

The Info Object List is displayed next to the Favorites and the entry structure.

List Display

Only the Info Object List is displayed in the list display.
  1. Choose Continue.

Result

The Info Object List is displayed as you defined it in the settings.


Maintenance of the Favorites

Use

You can add folders you use regularly to the favorites.

Integration

The Favorites are stored user-specifically.

Prerequisites

You are in the initial screen of the SAP Knowledge Warehouse.

Features

You can add folders to or remove folders from your Favorites.

You can choose the folders from the displayed entry structure and add them to your Favorites or choose and insert folders by searching in the Knowledge Warehouse.


Inserting a Folder

Prerequisites

You are in the initial screen of the Knowledge Warehouse.

You want to add folders that you access regularly to your Favorites.

Inserting Selected Folders from the Entry Structure

To add a folder to your Favorites from the displayed entry structure:

  1. Select one or more folders in the entry structure.

    2. To find a folder in the entry structure, use the Find Folder in Entry Structure function.

  2. Choose Folder ® Add to Favorites ® From entry structure.

Inserting Folders

To add a folder to your Favorites from the Knowledge Warehouse:

  1. Choose Folder ® Add to Favorites ® With search.

    2. The Find Folder dialog box appears, in which you can enter search criteria:

    SAP recommends that you use the technical name for the search since it is the fastest.

  2. Enter suitable values and choose Execute.
  3. A list of folders that satisfy the search criteria is displayed.
  4. Select the folders you want to add to your folder selection screen and choose Continue.

Result

The selected folders are added to your Favorites.


Removing Folders

Prerequisites

You are in the initial screen of the SAP Knowledge Warehouse.

Procedure

To remove a folder from the Favorites:

  1. Choose the folders you want to remove in the Favorites screen.
  2. Choose Folder ® Remove Folder from Favorites.

Result

The folder chosen is removed from the Favorites.

It is still kept in the Knowledge Warehouse.


Maintaining Folders

Use

The information objects and the documentation creation and translation processes are organized with folders.

Functionality

The Knowledge Warehouse contains the following functions:

  • Create, manage and delete folders
  • Folder-specific check of information objects
  • Folder-specific check of R/3 links
  • Folder-specific statistics


Creating a Folder

Prerequisites

You want to create information objects in you own folder or divide a large folder into several folders.

You are in the initial screen of the Knowledge Warehouse in processing mode Change.

You have authorization to create folders.

Procedure

  1. Choose Folder ® Create.

    2. The Create Folder dialog box for maintaining the folder attributes appears.

    The default value for the Person responsible is the current user.

  2. Maintain the folder attributes.
  3. Choose Enter.

Result

The folder is created with the specified attributes and added to the Favorites.


Deleting Folders

Prerequisites

You are in the initial screen of the Knowledge Warehouse in processing mode Change.

The folder contains no information objects.

You have authorization to delete folders.

Procedure

  1. Mark the folder to be deleted in the Favorites.
  2. Choose Folder ® Delete.

    3. Confirm or terminate the operation in the next dialog box.

  3. Choose Yes.

Result

The folder is deleted and removed from the Favorites.


Deleting a Folder without Checking

Use

You can delete folders even if they still contain information objects.

Prerequisites

You are in the initial screen of the Knowledge Warehouse in processing mode Change.

You have authorization to delete folders.

Procedure

There is no check whether the information objects are still being used. Only use this procedure if you are sure that the folder with the information objects can be deleted.
  1. Mark the folder to be deleted in the Favorites.
  2. Choose Folder ® Delete Without Check.

    3. Confirm or terminate the operation in the next dialog box.

  3. Choose Yes.

Result

The folder is deleted from the Knowledge Warehouse and removed from the Favorites.


Displaying Folder Attributes

Prerequisites

You are in the initial screen of the Knowledge Warehouse.

Procedure

  1. Mark a folder in the Favorites.
  2. Choose Folder ® Attributes ® Display.

Result

The Display Folder Attributes dialog box appears.


Changing Folder Attributes

Prerequisites

You are in the initial screen of the Knowledge Warehouse in processing mode Change.

You have authorization to change folder attributes.

Procedure

  1. Select a folder in the Favorites.
  2. Choose Folder ® Attributes ® Change.

    3. The Change Folder Attributes dialog box appears.

  3. Maintain the folder attributes. Choose Execute.
  4. Refresh the display of the Favorites.

Result

The changes are made.


Displaying Contexts (Versions) of Information Objects

Display Context of an Information Object

  1. Choose an information object in an Info Object List.
  2. Choose Info object ® Various ® Context list

A list of the contexts in which a version of the information object exists is displayed.

Display Context of Information Objects in a Folder

  1. Choose a folder in the Favorites.
  2. Choose Utilities ® Folder context list.

A list of the contexts/versions in which information objects exist in the folder is displayed.


Finding a Folder in the Entry Structure

Prerequisites

You are in the initial screen of the SAP Knowledge Warehouse.

Procedure

To find a folder in the entry structure:

  1. Choose Utilities ® Find folder in entry structure.

    2. The Find Folder dialog box appears.

  2. Enter the required data and start the search.

Result

The folder found is selected in the entry structure.

To add this folder to your Favorites, choose Folder ® Add to Favorites ® From entry structure.


Find Information Objects

Use

You can look for information objects in the SAP Knowledge Warehouse.

Integration

You can find this function in the initial screen. It is also used to set global hyperlinks.

Functionality

This function provides search results based on the search criteria that you set. The search results are provided in an Info Object List. You can therefore go directly to the maintenance screen from the search result list.

If you started the search in the background, you can store the search results and reuse them.

Activities

If you are working in more than one area, you first have to select the area in which you want to find information objects.

After selecting one or more info object classes, the search criteria offered for the particular info object class are displayed.

To improve system performance, SAP recommends that you use selection criteria (e.g. technical name) to restrict the search.


Finding Information Objects (Online)

Procedure

To find information objects online:

  1. In the initial screen choose Utilities ® Find ® Find info object.

    2. The Area dialog box is displayed if you select more than one area with Settings.

    In this case, select the area in which you want to find the information objects.

    Otherwise the Info Object Class dialog box appears:

  2. Select one or more info object classes and copy the selection.

    3. The Find Info Object dialog box appears.

  3. To improve system performance, restrict the search with selection criteria.

    4. SAP recommends that you use the technical name for the search since it is the fastest.

  4. Start the search.

Result

The results of the search are displayed in an Info Object List. You can continue editing the information objects from this list.


Finding Information Objects (in the Background)

Use

You can search for larger numbers of information objects and store the results.

Prerequisites

You are in the initial screen of the SAP Knowledge Warehouse.

Procedure

To find information objects in the background:

  1. Choose Utilities ® Find ® Find info object.

    2. The Area dialog box is displayed if you select more than one area with Settings.

    In this case, select the area in which you want to find the information objects.

    Otherwise the Info Object Class dialog box appears:

  2. Select one or more info object class and copy the selection.

    3. The Find Info Object dialog box appears.

  3. To improve system performance, restrict the search with selection criteria.

    4. SAP recommends that you use the technical name for the search since it is the fastest.

  4. Start the search in the background.

    5. The Specify Search Result Name dialog box appears.

  5. To improve system performance and the clarity of the list of search result, select the field User-specific.
  6. Enter the name under which the search results should be stored in the Name of extract field.
  7. In the Extract description field, enter a short text for the search results.
  8. Start the search.

Result

The search is started in the background.

The search results are saved under the given name.


Displaying and Reusing Search Results

Use

If you started the search for information objects in the background, you can display the results.

Since the search results are stored under the name you specified, you can still use them.

Prerequisites

The search for information objects was started in the background.

Procedure

To display the results of the search:

  1. In the initial screen, choose Utilities ® Find ® Display search result for info objects.

    2. The Read Search Result dialog box appears.

  2. If you stored the search results as user-specific, select User-specific. Otherwise you have access only to user-independent search results.
  3. Enter the name under which you stored the search results.

    4. All the search results are displayed when you choose the value help.

    Click on the search result you want to copy.

  4. Start reading the search results.

Result

The results of the search are displayed in an Info Object List. You can continue editing the information objects from this list.

An Info Object List created by a search and saved is static: it only contains information objects that correspond to the search when it was made.


Deleting Search Results

Use

To improve system performance and for better clarity of the search results, you can delete obsolete and unnecessary search results.

Prerequisites

You stored the search results with the background search.

Procedure

To delete the search results:

  1. In the initial screen, choose Utilities ® Find ® Display search result for info objects.

    2. The Read Search Result dialog box appears.

  2. If you stored the search results as user-specific, select User-specific. Otherwise you have access only to user-independent search results.
  3. Call the value help.

    4. The Extract: Select dialog box appears.

  4. Choose Extract management.
  5. In the extract management, select the search results to be deleted and delete them with the function bar.
  6. Save your actions.

Result

The selected search results are deleted.


Creating the Info Object List

Prerequisites

You are in the initial screen of the Knowledge Warehouse and want to choose info objects to:

  • edit them online
  • maintain and display the attributes.
  • check them out for offline editing on a PC

Procedure

Creating an Info Object List by Folder Selection

  1. Choose one or more folders in the Favorites.

    2. To select several folders listed one below the other, select the first folder, press the Shift key and select the last folder.

    To select several single folders, use the Ctrl key.

  2. Choose Folder ® Info Object List or double-click on the folder title.

A list of the information objects in the selected folders is displayed. The attributes of each information object are displayed in the current display variant.

The information objects in the folder(s) are only displayed if the Knowledge Warehouse contains information objects for that context.

Creating the Info Object List by Searching

You can create the Info Object List with the Find Info Object function.

Result

The Info Object List is created.

Choose Settings ® Color key for an explanation of the colors used in the Info Object List.


Adjusting the Info Object List

Use

You can adjust an Info Object List to the information you need.

Functionality

Info Object List adjustment functions:

  • Sort a list
  • Set and delete a filter
  • Change, save and delete layouts (display variants)

The Info Object List in the Knowledge Warehouse uses functions of the SAP List Viewer .


Sorting in Ascending/Descending Order

Use

The functions Sort in Ascending Order and Sort in Descending Order sort the report rows in ascending or descending order for one or more columns.

Procedure

Sorting Rows in a Column in the List

  1. Select a column by clicking on the column header.
  2. Choose Sort in Ascending Order or Sort in Descending Order, or Edit ® Sort in Ascending Order or Edit ® Sort in Descending Order.

The rows are sorted in the column selected.

If you use this procedure in a multilevel sequential list, you can sort by a maximum of one header column and one subordinate row.

Sorting According to Multiple Columns or Fields Not Displayed

  1. Choose Sort in Ascending Order or Sort in Descending Order, or Edit ® Sort in Ascending Order or Edit ® Sort in Descending Order. The dialog box Define Sort Order appears.
  2. The dialog box Define Sort Order shows the fields you can sort. Fields are also available that are not shown in the list.
  3. You can limit the fields available in the list for sorting by choosing a field group that contains the desired fields.
  4. To select fields for sorting, select the relevant rows and choose Show Selected Fields (arrow key). The selected fields then appear in the dialog box as sorting fields.

    5. You select the sorting fields in multilevel sequential lists separately for header and item.

  5. The sequence in which the sort fields are shown determines the sequence in which the columns are sorted. To change the sequence of the fields, use the functions Cut and Paste.
  6. Use the radio buttons to specify whether the report rows are to be sorted in ascending or descending order within the column.

    7. You want to sort a list by cost centers and activity types. In the dialog box, choose the cost center and activity type as the sorting criteria. In the list of selected sorting fields, the cost center must be above the activity type. Use the radio buttons to specify ascending sequence. The result is a list sorted by cost center. The activity types are listed in ascending order for every cost center.

  7. Exit the dialog box with Copy.

If you use this procedure in a multilevel sequential list, you can sort by multiple header columns and item columns.

If you have sorted according to particular fields, you can obtain an overview of the current sort with Sort in Ascending Order or Sort in Descending Order. The dialog box Define Sort Order appears. The left half of the window shows all fields that were sorted by.

You can also use the List Status function for an overview of the selected sort criteria.

See also:

After sorting, you can create subtotals on selected fields. (See also: Creating Subtotals )


Setting and Deleting Filters

Use

The Set Filter function enables you to display only those rows that fulfil certain criteria in one or more columns.

Procedure

Setting Filters

  1. To set a filter, select one or more columns by clicking on the column header and by choosing Set Filter or Edit ® Set Filter.
  2. In the Set Filter dialog box, enter the From/To values for each column selected.

    3. Only rows with data within the intervals specified are shown.

  3. Use And Also to enter more than one interval for a column.

    4. To display data for cost centers 4000 to 5000 and 6000 to 7000, select the Cost center column, enter 4000 to 5000 in the dialog box, choose And Also and enter 6000 to 7000.

  4. Use But Not to exclude certain intervals from the display.

    5. To display data for cost centers 4000 to 7000 without the data for cost centers 5000 to 7000, select the Cost center column, enter 4000 to 7000 in the dialog box, choose But Not, and enter 5000 to 6000.

  5. To delete entries for a filter criterium, position the cursor on the appropriate line and choose Delete Condition.
  6. To delete all the entries for the filter, choose Delete Filter.
  7. Choose Copy to copy the filter criteria and exit the dialog box.

Deleting Filters

To go back to the prefiltered list display, choose Edit ® Delete Filter.


Layouts

Use

You change the display of your list using layouts.

Features

The layouts that you can use vary according to the type of list:

  • In all lists, you can do the following:
    • Choose one of the standard layouts supplied with the standard system (see: Choosing Layouts ).
    • Change the current layout of the list (see: Changing Layouts ).
  • In lists that use only the standard layouts in the standard system, you cannot save your changes to the current layout. When you choose the layouts, only the standard layouts will be proposed.
  • In some lists, you can also save the layouts that you have defined as your own layouts (see: Saving Layouts ).

User-defined layouts are generally saved for all users. They can then be used by all users. All users will be able to choose from the user-defined layouts as well as the standard layouts.
  • In some lists, you can also save user-specific layouts that you have defined (see: Saving Layouts ). When you choose the current layout, only these layouts are available to you.

You can delete or transport layouts, or define them as initial layouts (see: Layout Management ).


Changing Layouts

The function Change layout defines the current layout of the list.

Procedure

  1. To change the layout, choose Change layout or Settings ® Layout ® Change.

    2. The Change Layout dialog box shows you which columns are currently displayed and which additional columns can be displayed.

    Multilevel sequential lists also distinguish between the fields in the header rows and those in the item rows. You change the layout in multilevel sequential lists separately for header rows and item rows.

  2. You restrict the list of hidden fields by only entering the fields of a particular group.

    3. Depending on the list, you can also call the change layout mode separately for different field groups. In the standard system, the selected field group is then preset in the dialog box. You can then change the layout for each field group selected.

  3. To show or hide columns in the list, the following functions are available:
    • With Hide All Fields, you can hide all fields with the exception of the key fields. The fields appear under Hidden fields, while the only fields displayed are the key fields.
    • To show all the hidden fields, choose Show All Fields. The fields appear as display fields, while the list of hidden fields is empty.
    • To show separate fields, select the relevant rows of the hidden fields and choose Show Selected Fields. The fields are transferred from the hidden fields to the displayed fields.
    • To hide separate fields, select the relevant rows of the display fields and choose Hide Selected Fields. The fields are transferred from the display fields to the hidden fields.
  4. You can use Sort in Ascending Order and Sort in Descending Order to sort the hidden fields according to the field contents. With the Find function you can search for a field name within the hidden fields.
  5. The sequence of columns in the list is determined by the item number in the Item field. The SAP R/3 System arranges the item numbers in the sequence that you use for the columns.
    • To change the sequence of the columns, overwrite the item numbers.
    • With Refresh, you can sort the display fields according to the item number.

You cannot change the item numbers of key fields.
  6. In the Length of display field column, enter the required length, if this is to be different to the standard setting.
  7. If you have changed the length of the display field and you now want to return this to the standard length, select the column and choose Get Standard Length.
  8. If it is possible to create totals for a column (only for value and quantity columns), you can use the Total column in the display fields to specify whether they can be created in the layout for this column.
  9. Using a clipboard, you can cut a field from the display fields or hidden fields and insert them in the required position.
    • To do this, select a display field or hidden field and choose Cut. The field appears in the clipboard.

Only one field can be placed in the clipboard. As soon as you cut another field, the field in the clipboard is assigned to the hidden field.
    • To transfer a field in the clipboard from a certain position to the display fields, select the field before which the field in the clipboard should be inserted, and choose Paste.
  10. If you want to group the columns into several lines in order to view all the columns in one window without having to scroll through, for example, choose Line 2 or Line 3.

You can group columns in a maximum of three lines. In sequential lists, you can group the column headers as well as the subordinate rows in a maximum of three lines.

For additional lines, all the remaining hidden fields are available, that is, those that have not been assigned to other lines. Assignment of the hidden fields is carried out as described in point 3.

The functions Refresh (see point 5), Cut and Paste (see point 9) are also available.

You can also use the Cut and Paste functions to remove fields from a line and insert them in another line.
  11. Choose Copy to copy the entries and exit the dialog box.

If you exit the SAP List Viewer without saving the layout (see Saving Layouts ), your settings will not be saved. When you next call up the list, the standard settings will appear. You can no longer call up your layout.


Saving Layouts

Use

The list provides the layouts that you can save.

Procedure

  1. Choose Save layout or Settings ® Layout ® Save.
  2. In the dialog box, enter a name and a description for your layout.

    3. You cannot give the layout a name that begins with a number, since this type of name is reserved for the standard layouts in the standard system.

  3. In general, layouts are available for all users as client-specific standard layouts.

    4. In lists in which you can save layouts as user-specific, you can select User-specific.

    User-specific layouts must begin with a letter (A-Z).

    Non-user-specific layouts (client-specific standard layouts) must begin with "/".

  4. If you have entered sort criteria, subtotals criteria or filter conditions, you can save the layout with these criteria by selecting the criteria.
  5. Specify the summation level to which the list should be broken down when calling the layout. With the entry 0, all the non-totals rows are displayed in addition to the totals rows and subtotals rows.
  6. Choose Save to save the layout with the criteria entered and exit the dialog box.
  7. If a layout with the same name already exists, the system will inform you of this and you can either overwrite the existing layout (Continue) or enter another name (New entry).


Choosing Layouts

Procedure

  1. To choose an existing layout for the display of the list, choose Choose layout or Settings ® Display layout ® Choose.

A list of the existing layouts is displayed. In the standard setting, an entry is made for each layout specifying whether this layout was saved as follows:
    • With sorting
    • With subtotals
    • With filter conditions
    • As a user layout

.
  2. You can change the layout list using the following SAP List Viewer functions:
    • First Column/Last Column or Column Left/Column Right (see: Navigating Within the List )
    • Choose Detail (see: Choosing Detail )
    • Sort in Ascending Order or Sort in Descending Order (see Sorting Lists in Ascending or Descending Order )
    • Set Filter or Delete Filter ( Setting and Deleting Filters )
    • Change layout ( Changing Layouts )
    • Find ( Finding Terms )
    • Find Next

If several hits were found with the Find function, and you have gone to one of these positions in the list, you can then use Find Next to go to all of the positions in the list of layouts that contain the term.
  3. In the dialog box, choose a layout either by clicking the layout name or by positioning the cursor on the relevant layout and choosing Copy.


Layout Management

Use

Layout management enables you to do the following:

  • Delete layouts
  • Transport layouts
  • Define layouts as initial layouts

Activities

To call layout management, choose Settings ® Layout ® Management.

A list of layouts appears.

The standard SAP layouts begin with a number.

Non-user-specific layouts (customer-specific standard layouts) begin with /.

User-specific layouts begin with a letter from A to Z.

Features

Processing Lists using SAP List Viewer Functions

You can process the list of layouts using the following SAP List Viewer functions:

  • First Column, Last Column, Column Left, Column Right (see: Navigating Within the List )
  • Choose Detail (see: Choosing Detail )
  • Sort in Ascending Order or Sort in Descending Order (see Sorting Lists in Ascending or Descending Order )
  • Select and deselect rows (see: Selecting and Deselecting Rows )
  • Set or delete filter ( Setting and Deleting the Filter )
  • Change layout ( Changing Layouts )
  • Find ( Finding Terms )
  • Basic list ( Displaying the Basic List )
  • Printing lists ( Printing Lists )
  • Sending lists ( Sending Lists as Documents )
  • Saving lists as local files ( Local File )

Displaying user-defined layouts / standard layouts

If user-defined layouts can be defined in the list (see: Saving Layouts ), you can use User-Defined Layouts / Standard Layouts to switch between the display of the standard layout that is available to all users and the display of the user-defined layouts that are only available to you.

The display of the standard layouts includes the SAP standard layouts as well as the non-user-specific, client-specific layouts.

Deleting layouts

If you want to delete one or more layouts, select it/them and choose Delete layout or Edit ® Delete layout.

Setting initial layouts

If you want the list to display a particular layout instead of a basic list, click the row of the layout in the IL (Initial layout) column, or select the layout and choose Set initial layout or Edit ® Set initial layout.

Saving layouts

Layouts ® Save saves your changes to the list of layouts.

Importing layouts

With Import layouts, you can import one or more layouts from another client.

  1. Choose Environment ® Import layouts.
  2. Enter the source client from which the import should proceed. A list of all the standard layouts in the client appears.
  3. Select the desired layout. To select all the layouts, use Select All.
  4. Choose Import.

Transporting layouts

Layouts ® Transport transports standard layouts from the current system into the target system. The SAP System puts the selected layouts in a Customizing order.

  1. Select one or more standard layouts that you want to transport into another system. To select all the standard layouts, use Select All.

    2. You can only transport standard layouts (the standard layouts or client-specific layouts in the standard system). You cannot transport user-specific layouts.

  2. Choose Layouts ® Transport
  3. To create a new transport request, choose Create request, enter a name for the request, and save the request.

    4. To select an existing transport request, choose Own request and double-click on the desired request.

  4. Exit the dialog box with Continue.
  5. Transport the transport request into the target system using transport system functions. To do this, choose Utilities ® Requests (Organizer).


Refreshing the Info Object List Display

Use

You can refresh the display of the Info Object List when you change the attributes of the information objects.

Prerequisites

You are in the Info Object List.

Procedure

To refresh the display of the Info Object List, choose Refresh.

Only the attributes of the information objects contained in the Info Object List are refreshed.

To display new information objects, you must leave the Info Object List and then call it again.


Maintaining Information Objects in the SAP System

Use

You can maintain information objects in the SAP System without having to check them out.

Prerequisites

You are in the initial screen or in the Info Object List.

The information objects to be edited must be checked in.

Features

With this function you can

  • Create information objects
    • Structures
    • Content objects (assigned or not assigned to a structure)
  • Change information objects
    • Structures (insert, move, copy, delete information objects)
    • Content objects (maintain text and graphics)
  • Delete information objects


Copying an Info Object into Enhancement Context

Use

You copy a particular version of an Info Object into the current enhancement context to use this Info Object in a modified form in your enhancement.

In contrast to enhancing standard objects , where you copy the version from the standard context of the enhancement context, here you can copy any version of the Info Object and base your enhancement version on it.

You can repeat the function, e.g. to discard changes in the enhancement version, or to use an updated standard version.

This function is available in the SAPgui front end of the Knowledge Warehouse but not in the Knowledge Workbench.

Prerequisites

You are in an Info Object List enhancement context.

Procedure

  1. Choose the Info Object of which you want to copy a particular version into the current enhancement context. The Info Object can appear as an enhancement version (with a gray background) or only as a Standard version (with a yellow background) in the Info Object List.
  2. Choose Info Object ® Various ® Context List

    3. A list of existing language and release versions of the object is displayed.

  3. Choose the desired version and choose Copy.

If the chosen Info Object was a Standard object on a yellow background in the Info Object List, it is now on a gray background and has the enhancement context (enhancement name and release) in the Enhancement and Change Release attributes.

If an enhancement version of the object already existed the Info Object List appears unchanged. However, the enhancement version is now the copied version.

Result

A copy of the chosen Info Object is created as the enhancement context version.


Adjusting Information Objects

Use

Once you have imported new contents, you can check if information objects on which you based your information objects enhancements have changed.

Prerequisites

You have enhanced information objects.

You are in the SAP System of the Knowledge Warehouse.

Features

There are two adjustment functions:

  • Modification list

The modification list displays all the information objects that were changed after the enhanced information objects.
  • Structure comparison

In the structure comparison, a structure containing the structural changes is displayed.

Activities

You call both functions in an enhancement context.


Modification list

Use

In the modification list you can display the information objects of the enhancement context that were last changed prior to the last change to the corresponding information objects of the base context.

You can display each information object and decide if you want to copy the new or the changed information objects of the base context.

Integration

If a structure has changed, you can use the structure comparison to find the changes.

Prerequisites

You are in the enhancement context.

Functionality

The following functions are offered in the modification list:

  • Display the information objects in the Web Browser
  • Copy the information objects of the base context to the current enhancement context
  • Copy the information objects of the base context to the current enhancement context and start the processing
  • Copy the information objects of the enhancement context to the current enhancement context
  • Copy the information objects of the enhancement context to the current enhancement context and start the processing

Activities

  1. In the Favorites, you select the folders whose information objects should be checked.
  2. You choose Utilities ® Modification list.


Copying an Information Object from the Base Context

Use

You can copy the modified information objects of the base context in the current enhancement context in the modification list.

The changes in the enhancement information object are overwritten.

Prerequisites

You are in the modification list.

Procedure

To copy information objects of the base context to the current enhancement context:

  1. Note down or save your changes in the enhanced information object.
  2. Choose an information object.
  3. Choose Info Object ® Copy Base Object.

Result

The base object for the chosen information object was copied to the current enhancement context. You can continue with this object.


Copying and Editing an Info Object from the Base Context

Use

You can copy and edit the modified information objects of the base context in the current enhancement context in the modification list.

The changes in the enhancement information object are overwritten.

Prerequisites

You are in the modification list.

Procedure

To copy information objects of the base context to the current enhancement context:

  1. Note down or save your changes in the enhanced information object.
  2. Choose an information object.
  3. Choose Info Object ® Copy Base Object.

    4. The information object is copied to the current enhancement context.

    The relevant editor is also started.

  4. Edit the information object that was copied and save it.


Copying an Information Object of the Enhancement Context

Use

You want to copy the information object you edited in the last enhancement context, and not the modified information object of the base context.

Prerequisites

You are in the modification list.

Procedure

To copy information objects of the enhancement context to the current enhancement context:

  1. Select an information object.
  2. Choose Info object ® Copy enhancement object.

Result

The enhancement object for the selected information object was copied to the current enhancement context.


Copying and Editing an Info Object of the Enhancement Context

Use

You want to copy the information object you edited in the last enhancement context, and not the modified information object of the base context.

Prerequisites

You are in the modification list.

Procedure

To copy information objects of the enhancement context to the current enhancement context:

  1. Select an information object.
  2. Choose Info object ® Copy enhancement object.

    3. The information object is copied to the current enhancement context.

    The relevant editor is also started.

  3. Edit the information object that was copied and save it.


Comparing Structures

Use

You can compare an enhancement structure with a base structure There is a display of which information objects

  • only exist in the comparison context
  • only exist in the enhancement context

If the result of the compare is empty, the information objects exist in both the comparison and enhancement context.

Prerequisites

You are in an enhancement context and have opened a folder in the Info Object List.

Procedure

To compare an enhancement structure with another structure:

  1. Choose the structure.
  2. Choose Info Object ® Various ® Context List

    3. The List of Existing Contexts appears.

  3. Choose the context of the base structure with which you want to compare the enhancement structure.
  4. Choose Structure Comparison.

    5. The structure is displayed.

  5. Expand the structure.

Result

The Result Compare column shows the differences between the comparison and enhancement contexts.

The content objects whose location could not be clearly defined are displayed at the end of the structure.


Creating Information Objects in the Info Object List

Use

You can create info objects in the Info Object List for further editing in the Knowledge Warehouse.

Prerequisites

You are in the Info Object List in the SAP System of the Knowledge Warehouse.

Features

You can create the following information objects in the Info Object List

  • Structures
  • Word documents (Texts, Topics)
  • PowerPoint objects
  • Multimedia objects

The content objects created are not assigned to a structure.

For information about creating information objects that are assigned to a structure, see Inserting New Content Objects .

Activities

You can create an info object in the requested info object class.


Creating a Structure in the Info Object List

Use

To arrange content objects in a particular sequence you can create a structure. You can then insert the content objects in the structure

Prerequisites

You are in the Info Object List.

Procedure

To create a structure in the Info Object List:

  1. Position the cursor in the folder in which you want to create the information object.

    2. This step assigns the information object to the right folder.

    If you omit this step, the Find Folder dialog box is displayed and you must specify the required folder there.

  2. Choose Info Object ® Create.

    3. The Info Object Class dialog box appears:

  3. Choose the info object class Structure.

    4. The Create Attributes dialog box appears.

  4. Enter the required data.

    5. When you create a structure, you can specify in the Usage type field whether it is a book structure or a substructure . You can find the possible values in the value help.

    If the structure to be created is a substructure (for example structure includes), you do not have to make an entry in this field.

    The maintenance screen for the root content object of the structure appears.

    Component is entered as the content type since (according to the information design) it is the content type assigned to the first content object of a structure.

    If you do not want to use this content type, assign the content object a different content type.

  5. Enter and save the required data.

Result

The structure is created.


Creating Free Information Objects in the Info Object List

Use

You can create content objects (Word and PowerPoint objects) without assigning them to a structure.

Prerequisites

You are in the Info Object List.

Procedure

To create a free content object in the Info Object List:

  1. Position the cursor in the folder in which you want to create the content object.

    2. This step assigns the content object to the right folder.

    If you omit this step, the Find Folder dialog box is displayed and you must specify the required folder there.

  2. Choose Info Object ® Create.

    3. The Info Object Class dialog box appears:

  3. Choose the info object class Topic or Slide.

    4. The Create Attributes dialog box appears.

  4. Enter the required data.

    5. The content object online processing screen appears.

  5. Enter and save the required data.

Result

The content object is created. It is not assigned to a structure.


Creating a Multimedia Object in the Info Object List

Use

You can check multimedia objects into the Knowledge Warehouse by creating them in the Info Object List.

Prerequisites

You are in the Info Object List.

Procedure

To create a multimedia object in the Info Object List:

  1. Position the cursor in the folder in which you want to create the content object.

    2. This step assigns the content object to the right folder.

    If you omit this step, the Find Folder dialog box is displayed and you must specify the required folder there.

  2. Choose Info Object ® Create.

    3. The Info Object Class dialog box appears:

  3. Choose the info object class Multimedia Object.

    4. The Select Source Object dialog box appears.

  4. Go to the directory containing the multimedia object.
  5. Choose the object and choose Open.

    6. The Create Attributes dialog box appears.

  6. Enter the required data.

Result

The multimedia object is created in the Info Object List and is thus checked into the Knowledge Warehouse.


Changing Structures in the SAP System

Use

You can change structures in the SAP System without having to check them out explicitly.

Prerequisites

The structure and its content objects must be checked in.

Features

With this function you can

  • Create new information objects and insert them in the structure
  • Insert existing information objects in the structure
  • Insert structures in structures as
    • Link

Changes are automatically made to the structure for structure links.
    • Include

The advantage of structure includes is that the screen does not change in the structure when the information objects are displayed.

Furthermore, changes to the included structure are made automatically.
  • Edit structure includes and structure links
  • Copy information objects within the structure
  • Move Information Objects Within the Structure
  • Replace information objects
  • Remove information objects from the structure

Activities

You go from the initial screen to the structure maintenance screen by double-clicking on the structure to be maintained.

If there is no version of the chosen structure in the current context, you go to a dialog box.

You can decide here if you only want to display the structure or if you want to create a new version for editing.

You go from the Info Object List to the structure maintenance screen by selecting the structure object and choosing Info Object ® Change Contents.


Inserting New Content Objects

Use

You can create content objects and insert them in the structure

Prerequisites

You are in the Edit Structure screen.

Procedure

To insert a new content object:

  1. Position the cursor where the content object should be inserted.
  2. Choose Info object ® Insert ® At same level or As subnode.

    3. The Insert Info Object dialog box appears.

  3. Choose Create new info object.

    4. The Info Object Class dialog box appears:

  4. Select an info object class and copy it.
  5. Enter the required data and choose Enter.

    6. The online processing screen appears.

  6. Enter and save the required data.
  7. Save the structure.

Result

The content object was created and inserted in the structure as a new node.


Inserting a New Multimedia Object

Prerequisites

You are in the Edit Structure screen.

Procedure

To insert a new multimedia object into a structure:

  1. Position the cursor where the new multimedia object should be inserted.
  2. Choose Info Object ® Insert ® At Same Level or As Subnode.

    3. The Insert Info Object dialog box appears.

  3. Choose Create New Info Object.

The Info Object Class dialog box appears:
  4. Choose the info object class Multimedia Object.

    5. The Select Source Object dialog box appears.

  5. Go to the directory containing the multimedia object.
  6. Choose the object and choose Open.

    7. The Create Attributes dialog box appears.

  7. Enter the required data.
  8. Save the structure.

Result

The multimedia object is created in the structure and is thus checked into the Knowledge Warehouse.


Inserting New Structures

Use

You can create a structure and insert it as a link or include.

Prerequisites

You are in the Edit Structure screen.

Procedure

To insert a new structure in the structure:

  1. Place the cursor where the new structure should be inserted.
  2. Choose Info Object ® Insert ® At Same Level or As Subnode.

    3. The Insert Info Object dialog box appears.

  3. Choose Create New Info Object.

    4. The Info Object Class dialog box appears:

  4. Choose an info object class and copy it.

    5. The Create Structure dialog box appears.

  5. Enter the required data and choose Enter.

    6. When creating structures, you can define whether it is a book structure or a substructure in the Usage Type field. You can find the possible values in the value help.

    If the structure to be created is a substructure (e.g. structure includes), you do not have to make an entry in this field.

    The maintenance screen for the root content object of the structure appears.

    Component is entered as the content type since (according to the information design) it is the content type assigned to the first content object of a structure.

    If you do not want to use this content type, assign the content object a different content type.

  6. Enter the required data.
  7. Save your entries and return.

    8. The Structure: <Technical name of the structure> dialog box appears .

  8. Define whether the structure should be inserted as an include or a link.

Structure Include

Use a structure include if
    • you use a structure once in a main structure.

You divided a large structure into several smaller structures so that you can work independently of the others in your team.

Include these smaller structures in the main structure.
    • you want to use smaller structures more than once.

Structures containing general content objects.

Structure link

Use a structure link to provide users with information from another related main structure.
  1. Save the structure.

Result

The structure is created with a content object and inserted in the structure as a new node.


Inserting Existing Information Objects

Use

You can insert already existing content objects and structures in the structure

You can include or link to existing structures.

Prerequisites

You are in the Edit Structure screen.

Procedure

To insert an existing information object in the structure:

  1. Position the cursor where the information object should be inserted.
  2. Choose Info Object ® Insert ® At Same Level or As Subnode.

    3. The Insert Info Object dialog box appears.

  3. Choose Use Existing Info Object.

    4. The Info Object Class dialog box appears:

  4. Choose an info object class.

    5. The Find Info Object dialog box appears.

  5. Enter the selection criteria and start the search.

    6. SAP recommends that you use the technical name for the search since it is the fastest.

    The Select Info Objects dialog box appears.

  6. Select the information objects to be inserted and copy them.

    7. If you have chosen a structure object, the dialog box Structure appears. Enter <Technical Name of the Structure> whether you want to include or link to this structure.

    The advantage of structure includes is that the screen does not change in the structure when the information objects are displayed.

    Furthermore, changes to the included structure are made automatically.

  7. Save the structure.

Result

The content object or structure object was inserted in the structure as a new node.

You can see if a structure object was inserted as include or link.


Editing a Structure Include and a Structure Link

Prerequisites

You are editing the Edit Structure <Structure Name> screen online.

The displayed structure contains structure includes or structure links.

Procedure

To edit a structure include or structure link within the displayed structure, double-click on the title of the structure include or structure link.

Result

You can now edit the chosen structure include or structure link online and can add or change information objects.


Finding Information Objects in a Structure

Use

You can look for information objects within the edited structure.

Prerequisites

You are in the Edit Structure <structure name> screen.

The information object found is assigned to the structure that you are editing.

Procedure

To find an information object in the structure:

  1. Position the cursor on the location within the structure where the search should begin.
  2. Choose Info Object ® Find ® In Structure.

    3. The Find Node dialog box appears.

  3. Enter the title of the information object.

    4. You can also enter the search term generically: *docu*

  4. Start the search.

Result

The first information object that matches the search term is selected.

To continue searching, choose Info Object ® Find ® Next Occurrence.


Copying Information Objects within the Structure

Prerequisites

You are in the Edit Structure screen.

Procedure

To copy information objects within a structure:

  1. Select the information object.
  2. Choose Info object ® Copy to clipboard.

    3. The information object is copied to the clipboard.

  3. Position the cursor on the information object after which the information object should be inserted.
  4. Choose Info object ® Insert from clipboard ® At same level or As subnode.
  5. Save the structure.

Result

The information object was copied and inserted in the new position.


Moving Information Objects Within the Structure

Use

You can move individual information objects and information objects with subordinate information objects.

Prerequisites

You are in the Edit Structure screen.

Procedure

To move information objects within a structure:

  1. Choose the information object.
    1. Place the cursor on the information object.
    2. Choose Info Object ® Mark.

    If the chosen information object has subordinate information objects, these information objects are also marked.

  2. Move the information objects.
    1. Place the cursor on the information object after which the information object should be inserted.
    2. Choose Info Object ® Reassign.

      3. The Reassign Nodes dialog box appears.

    3. Specify if the information object should be inserted on the same level or on a lower level.
    4. Choose Reassign.
  3. Save the structure.

Result

The information object is moved to the new position.


Replacing Content Objects in the Structure

Use

This procedure replaces one content object with another.

Prerequisites

You are in the Edit Structure screen.

Procedure

To replace a content object with another one:

  1. Place the cursor on the content object you want to replace.
  2. Choose Info Object ® Replace.
  3. Decide if you want to replace the content object with a new or an existing content object.
  4. Now follow the instructions for inserting a new content object or inserting an existing information object .

Result

The content object is replaced with the new or chosen content object.


Removing an Info Object from the Structure

Use

You can remove information objects from the structure. The information objects are not deleted. They still exist in the Info Object List of the particular folder.

Unassigned content objects can still be referenced with hyperlinks, even if they are not assigned to any structure.

Prerequisites

You are in the Edit Structure screen.

Procedure

To remove an information object from the structure:

  1. Choose the information object to be removed.
  2. Choose Info Object ® Remove From Structure.
  3. Save the structure.

Result

The information object is removed from the structure. It remains in the Knowledge Warehouse and can be used by other authors.


Deleting an Info Object in the SAP System

Prerequisites

You are in the Info Object List or online processing.

You have checked if the information object is linked with the R/3 System by R/3 links and deleted them.

You have made sure that the information object is not accessed with hyperlinks.

Procedure

  1. Select the information object.
  2. Choose Info Object ® Delete.

The Delete Info Object dialog box appears in which you can confirm or terminate the operation.

If the information object is used in structures or content objects of the current release, the Where-Used List function appears in the dialog box.
  3. Choose Show Use.

The information objects of the current context that refer to the chosen information object are displayed The display is sorted by folder.
  4. Delete the links that refer to the information object to be deleted.
  5. Go back to the Delete Info Object dialog box.
  6. Confirm the deletion.

Result

All language and format versions of the information object as are deleted in the current release. The deleted information object is no longer available in subsequent releases.

If the information object already existed in earlier releases, it is only deleted starting with the release that is set. It still exists in earlier releases.


Changing Content Objects in the SAP System

Use

You can change content objects in the SAP System without having to check them out.

Prerequisites

The structures and their content objects must be checked in.

Features

With this function you can

  • Enter and change text
  • Insert and edit graphics
  • Set hyperlinks

Activities

  • Change content objects starting with the Info Object List
    1. Choose the content object in the Info Object List
    2. Choose Info Object ® Change Contents.

The Change Info Object screen appears:

  • Change content objects in the structure maintenance.
    1. Choose the structure object in the Info Object List
    2. Choose Info Object ® Change Contents.

The Edit Structure <structure name> screen appears.

You can change the content objects in the structure here. You can go directly to the editor by double-clicking.


Change content object

Use

You can change slides, texts and topics in the SAP System.

Prerequisites

You are in the SAP System of the Knowledge Warehouse, in the Info Object List or online processing.

Procedure

To change a content object:

Select the content object to be changed.

  1. Choose Info Object ® Change Contents.

You go to the appropriate Editor.
  2. Change the content object.
  3. Save your changes and close the document.

Result

The content object is changed.


Checking In a New Version of a Multimedia Object

Prerequisites

A version of the multimedia object has already been checked in.

Procedure

To check in a new version of the multimedia object:

  1. Place the cursor on the multimedia object to be changed and choose Info Object ® Change Content.
  2. Choose New Version.

The Select Source Object dialog box appears.
  4. Go to the directory containing the multimedia object.
  5. Choose the object and choose Open.

Result

The new version of the multimedia object is checked into the Knowledge Warehouse.


Changing Multimedia Objects in the Editor

Prerequisites

In order to edit a multimedia object you must have the corresponding Editor installed on your PC.

Procedure

To change a multimedia object in the corresponding Editor:

  1. Place the cursor on the multimedia object to be changed and choose Info Object ® Change Content.
  2. Choose Editor.

    3. The multimedia object is opened in the PC application.

  3. Change the multimedia object in the PC application and save your changes.
  4. Close the PC application.
  5. In the dialog box Edit Document choose Save Document.

Result

The multimedia object is changed.


Formatting of Content Objects

Use

The content objects that were edited are converted to the display format HTML. The format and layout of content objects are determined by the features and constraints of the page description language HTML and the conversion to HTML.

The following instruments are available to help authors and translators to format and layout objects according to the SAP information design:

  • Document templates for each content type
  • Styles
  • Standard toolbar with functions for formatting lists
  • Functions for inserting standard icons and hyperlinks
  • Autotexts for keyblock headings of the content types and standard texts


Maintaining Hyperlinks Between Content Objects

Use

You can use hyperlinks to link any content objects of the Knowledge Warehouse.

You can maintain hyperlinks by inserting links to content objects in other content objects.

Content objects can also contain links to:

  • Glossary definitions (info object class IWB_GLOS)
  • IMG documents (info object class IWB_IMG).

Hyperlinks are maintained independently of the context. The context (release, language, enhancement) controls which version of the content object is displayed at runtime. In this case you only have to set the hyperlink once.

Features

When working online, you can insert hyperlinks to:

  • Content objects found by searching in the Knowledge Warehouse.

When working offline, you can insert hyperlinks to:

  • Content objects that are checked out and stored in the same local context on the PC. This does not require an SAP System connection.
  • Content objects found with a global search in the Knowledge Warehouse. This does require an SAP System connection.

The global search can also be used to insert links to glossary definitions and to IMG documents.

The hyperlink hotspot can be any text in the content object or the title of the target object.

The hotspot is not automatically adjusted when the title of the target object changes.

You can remove hyperlinks by deleting the hotspot of the link in the relevant content object (mark the text and choose Ctrl 6).


Inserting Hyperlinks

Prerequisites

You are processing online.

You have opened a content object.

Procedure

To insert a hyperlink:

  1. Choose the insertion position or choose the hyperlink hotspot text.
  2. Choose Insert Hyperlink.

    3. The Info Object Class dialog box appears:

  3. Choose an info object class.

    4. The Find Info Object dialog box appears.

  4. Enter your search criteria for the content object and start the search.

    5. The content objects found are listed.

  5. Choose the desired content object and choose Copy.

Result

A hyperlink to the chosen content object is inserted in the content object.

The link hotspot is highlighted in blue and underscored.

If IMG documents are converted to HTML and stored in the Knowledge Warehouse, you can also insert hyperlinks to IMG documents in this way. Enter the name of the IMG document in the Technical Name field in the dialog box for the search for info objects.

Hyperlinks to glossary definitions can also be inserted in the same way.


Moving Information Objects to Another Folder

Prerequisites

You have authorization to move information objects to another folder.

You are in the Info Object List of a folder.

Procedure

  1. Select one or more information objects.
  2. Choose Info object ® Various ® Put in folder.

The Find Folder dialog box appears, in which you can enter the following search criteria:
    • Titles
    • Technical name
    • Owner
  1. Enter suitable values and choose Execute.

    2. The list of folders found appears.

  2. Select a folder and choose Continue.

A system confirmation message is output.

If you want to move information objects to folders that are flagged not productive, make sure that they are not used in productive structures or content objects.

Result

The information objects are moved to the selected folder.


Maintaining index entries

Use

Maintaining index entries makes it easier to find information.

Integration

The index entries are used in the Info Object Viewer (HTML help) to find the index.

The index entries are created in the terminology database and maintained with a special interface. The authoring system is directly linked to the terminology maintenance.

Prerequisites

You are in the Info Object List.

The content objects have Editing status and have not been checked out.

You can only maintain index entries for content objects.

Features

This function:

  • Assigns index entries from a list of proposals
  • Creates index entries in the terminology database
  • Changes index entries in the terminology database
  • Displays and prints an alphabetical index list
  • Displays and prints content objects with the corresponding index entries

Activities

Call the index list with Attributes ® Change ® Index entries.


Assigning Index Entries

Use

You can assign index entries for one or more content objects.

The index entries are created in the terminology database. This has the advantage that the index entries only have to be translated once.

Changes to index entries also affect all the content objects to which they are assigned.

Prerequisites

You are in the Info Object List.

The content objects have Editing status and have not been checked out.

Procedure

  1. In the Info Object List, select the content objects for which you want to maintain index entries.
  2. Start index maintenance .
  3. Select the content object for which you want to assign index entries.
  4. Choose Assign index entry.
  5. Enter terms.
  6. Start checking the terms you entered.

The system checks whether the terminology database already contains terms corresponding to or resembling the terms you entered.
    • If the terminology database already contains the terms you entered or similar ones, these are displayed in the Proposal column.

To display the corresponding terminology concept, click on the proposal.
    • If there is more than one proposal for the term you entered, you can display the other proposals by clicking on the Selection column.
    • If there is no proposal for the term you entered, you can search the terminology database generically or you can define the term in the terminology database as an index entry.
  1. Assign all the terms the proposal with a generic search in the terminology database or by creating the index entries in the terminology database.
  2. Copy all the terms for which proposals were assigned.

The proposals used are highlighted in gray and can be assigned as index entries for the selected content objects.

Result

After you have completed the assignment of index entries, the checked terms or proposals used are assigned to the selected content objects as index entries.


Assigning Proposals from the Terminology Database

Use

You can assign proposals to the given terms from the terminology database.

Prerequisites

You are in the Assign Index Entries dialog box.

Proposals have been found in the terminology database for the given terms.

Procedure

To assign terminology database proposals for the given terms:

  1. Check the given proposals in the Assign Index Entries dialog box.

    2. If the terminology database already contains the index entries you entered or similar ones, these are displayed in the Proposal column.

    To display the corresponding terminology concept, click on the proposal.

    If there is more than one proposal for the index entry you entered, you can display the other proposals by clicking on the Selection column.

  2. To display the other proposals, click on the icon in the Selection column.

    3. The Selection List Index Entries dialog box appears.

    You can choose one or more proposals in this dialog box and assign them to your terms.

  3. Choose one or more proposals and copy them or search generically in the terminology database.

The chosen proposals are assigned to the terms in the Assign Index Entries dialog box.

If you entered Request as index entry, you are given several proposals from the terminology database.

If you display these proposals in the Selection List Index Entries, for example, you can choose and copy Customer Request and Order.

In the Assign Index Entries dialog box, the proposals Customer Request and Order are assigned to index entry request.
  4. Choose the terms whose proposal you want to copy.
  5. Choose Enter.

    6. The checked terms are highlighted in gray in the Create Index Entry dialog box.

  6. To use the checked terms to the chosen content objects as index entry, choose Copy.

Result

The index entries are assigned to the content objects.


Finding Terms in the Terminology Database

Use

You can look for terms in the terminology database.

Prerequisites

You are in the Assign Index Entries dialog box.

Procedure

To find terms in the terminology database:

  1. Choose Find in Terminology.
  2. Enter a search term and start the search.

Result

A list of the terms found in the terminology database is displayed. You can choose terms from this list and assign them as proposals .


Creating Index Entries in the Terminology Database

Use

You can create index entries for one or more content objects.

If you chose several content objects, the index entries are assigned to all the chosen content objects.

Prerequisites

The content objects have Editing status and have not been checked out.

You are in the Assign Index Entries dialog box.

There are no acceptable proposals for the dsiplayed terms and a generic search in the terminology database does not find any suitable index entries either.

Procedure

To create an index entry in the terminology database:

  1. Choose the term to be created.
  2. Choose Create index entry.
  3. Confirm.

    4. If this term is already in the terminology database, you can display its terminology concept.

  4. Choose Continue.
  5. The Maintain Index Entry dialog box appears.
  6. Enter the required data.

    7. The source of the index entry is automatically maintained.

  7. Save your entries and return.

    8. The index entry created in the terminology database is assigned to the given term as a proposal.

  8. Choose the terms whose proposal you want to copy.
  9. Choose Enter.

    10. The checked terms are highlighted in gray in the Create Index Entries dialog box.

  10. To use the checked terms to the chosen content objects as index entry, choose Copy.

Result

The index entries were created in the terminology database and assigned to the chosen content objects.


Changing an Index Entry in the Index List

Use

You can change an individual index entry, e.g. correct a typing error.

Use this procedure to correct index entries for released content objects.

Prerequisites

You are in the initial terminology maintenance screen.

Procedure

To change an index entry:

Do not make any semantic changes; you should only correct typing errors or maintain further abbreviations or synonyms.
  1. Choose Selection Criteria in the initial terminology maintenance screen.
  2. Enter the index entry and application component.
  3. Choose Index Entries under Global Attributes and start the search.

    4. A result list appears containing all the index entries and terms used as index entries.

  4. Place the cursor on the index entry to be changed.
  5. Choose Maintain Entry.

    6. The Maintain Index Entry dialog box appears.

  6. Maintain the index entry and save the changes.

Result

The changed index entry is saved.


Deleting an Index Assignment

Use

You can delete the assignment of content objects to index entries in the terminology data base

Only the links in the content objects are deleted. The index entries are kept in the terminology database.

Prerequisites

You are in the index list .

Procedure

To delete the index assignment:

  1. Select the index entries whose assignment should be deleted.

    2. The Delete Index Assignment dialog box appears.

  2. Confirm.

Result

The assignment of the chosen index entries to the content objects is deleted. The term stays in the terminology database.


Displaying and Printing Index Entries for Content Objects

Prerequisites

You are in the Info Object List.

Procedure

To display index entries for several content objects:

  1. Choose the content objects for which you want to display index entries.
  2. Choose Info Object ® Attributes ® Display.

    3. The Attributes dialog box appears.

  3. Choose Index entry.

Result

A list containing the existing index entries for all the chosen content objects is displayed.

You can print this list with List ® Print.


Displaying/Printing an Alphabetical Index List

Use

You can display and print the index for the chosen content objects with this procedure.

This alphabetical index list contains:

  • Main entries and sub-entries
  • Synonyms and abbreviations as cross-references

You can check the structure of the index with this alphabetical index list.

Prerequisites

You are in the index list .

Procedure

To display the alphabetical index list:

  1. Choose the index entries to be included in the alphabetical index list.
  2. Choose Go To ® Alphabet. Index List.

Result

An alphabetical, two-level index is displayed.

To print this index, choose Print.


Linking Content Objects with the R/3 System

Use

To show the user information objects for the application context in the Application Help, you must create a link between content objects and R/3 contexts. You can set up this link with R/3 links. R/3 links are defined by entries in a control table that are evaluated at runtime by the R/3 System help processor. You can create an R/3 link to:

  1. an R/3 context (e.g. an application transaction),
  2. a content object
  3. the structure to which the content object is linked.

Content objects that are not assigned to any structure cannot be linked with the R/3 System.

Use the Link Assistant to create such links without having to edit the control table directly.

Integration

Transport Connection

R/3 links are not stored with the management data in the SAP Knowledge Provider like hyperlinks between content objects. They are stored in the R/3 application system. You must therefore maintain the R/3 links in the relevant R/3 development system. The Link Assistant provides a link to the development system where a transport request can be created. After maintaining the R/3 links, you must use the Workbench Organizer to release the change request directly in the relevant R/3 development system.

R/3 Contexts

The R/3 System help processor evaluates the current application and R/3 link control table context when Application Help is called. If there are R/3 links for the current context, the content objects they specify are displayed.

The standard contexts evaluated by the help processor are based on R/3 System application objects. The following R/3 contexts can be defined (in order of their resolution):

  • a screen of a program in a transaction
  • a screen of a program
  • a program in a transaction
  • a program
  • a transaction
  • a package of a program

You can identify the transaction, program and screen number of the current R/3 context at any time in the R/3 System by choosing System ® Status: The data is displayed in a dialog box. If the screen and GUI programs displayed are different, always use the screen program for R/3 links.

These R/3 contexts can be general or specific to different degrees. For example a transaction is a more general context than a screen in a program in this transaction. If the context applies to several content objects when Application Help is called, the content object linked with the most specific context is displayed. In the example the document linked to the screen of the program of the transaction is displayed, rather than the document linked to the transaction.

Programmed R/3 Links

In addition to R/3 links referring to such standard contexts, the Link Assistant can also define special R/3 links to an Application Help directly from the program, independently of the help processor. The activation of such R/3 links requires program changes.

Prerequisites

The table entries for R/3 links must be transported from the development systems. You must have the required authorization to create a change request in a development system with the Link Assistant.

You can only maintain R/3 links for information objects in productive folders.

To be able to display the content objects with R/3 links, there must be a released version of the content object.

Features

The Link Assistant functions are:

  • In the preview: (only for book structures)
    • Create R/3 links for a chosen content object in the structure
    • Change R/3 links for a chosen content object in the structure
    • Delete R/3 links for a chosen content object in the structure
    • Create R/3 links for a chosen content object within a structure include
    • Change R/3 links for a chosen content object within a structure include
    • Delete R/3 links for a chosen content object within a structure include
  • In structure maintenance: (only for book structures)
    • Create R/3 links for a chosen content object in the structure
    • Change R/3 links for a chosen content object in the structure
    • Delete R/3 links for a chosen content object in the structure
  • In the Info Object List:
    • Display R/3 links to chosen content objects or to a package
    • Delete R/3 links for chosen content objects

A content object can be linked to several different R/3 contexts.

R/3 links are not automatically adjusted for subsequent structure changes. This can result in an incorrect help display.
    • If a substructure containing a content object referenced by an R/3 link is split off, it is assigned to the new (sub)structure. In the online help it is still displayed with the structure to which it was assigned when the R/3 link was created.
    • If you assign the content object to another structure or remove it from the structure, the referenced combination of structure and content object no longer exists. An incorrect content object or no content object at all is displayed.
    • If the old structure is no longer delivered to customers, the content object is displayed in the Application Help without a structure. An error message appears in the structure frame.

The function Check R/3 links can be used to prevent an incorrect help display.


R/3 Links to Enhancements

Use

Enhancement context objects, as well as SAP standard documentation objects, can be linked to application objects in the R/3 System by R/3 links, to make context-sensitive Application Help possible.

All R/3 links created in an enhancement context are valid only for this context. It only works in appropriately configured R/3 Systems. Conversely, R/3 links created in the standard system also apply in the enhancement context if they are not overwritten by industry enhancement-specific R/3 links.

If enhancement documentation uses a structure link to refer to standard structures and their topics, R/3 links to these info objects in the standard system are also effective in the enhancement system.

This is still the case if a standard structure is enhanced in enhancement documentation, that is the standard structure was copied. In this case the enhancement structure overwrites the standard structure on which it is based in the online help: This means that R/3 links of the standard system still work in the enhancement system. They are effective until new R/3 links (e.g. transaction) are created in the enhancement context for the application objects. Enhancement-specific R/3 links overwrite standard R/3 links in enhancement systems.

Enhancement structures can be modified by removing standard topics. However, you must make sure that these topics are not referenced in R/3 links.

To check whether there are R/3 links to the standard topics in an enhancement structure, choose the structure in the Info Object List and choose Info Object ® R/3 Link ® Display.

If topics that are the targets of R/3 links are removed from your structure, the R/3 link becomes invalid, which can cause a display error in the Application Help. In the standard system, such R/3 links can be deleted before the topic is removed. In the enhancement context, R/3 links of the standard system that have become invalid in this way cannot be deleted. The invalid standard R/3 link must be overwritten by creating a new enhancement-specific R/3 link.

Integration

Enhancement-specific R/3 links can only be tested in a system in which the enhancement context has been activated by a customizing activity and is recognized by the R/3 Help processor.

If several enhancements are installed in a system, a help processor R/3 link evaluation sequence must be specified by a customizing activity. To be in the Application Help, an enhancement must be reached in the sequence from "more specific" to "less specific" enhancements. This sequence also determines which SAP Library is displayed, namely the "most specific" enhancement. In both cases the standard is the last choice.

Activities

You maintain R/3 links with the Knowledge Warehouse SAPgui front-end.

You can see R/3 links in the Info Object List. You see the enhancement-specific R/3 links or the Standard R/3 links, depending on the context.

See:

Maintain an R/3 Link for an Info Object

Display R/3 Links to Info Objects


Creating an R/3 Link for a Content Object

Prerequisites

You are in the preview or in online structure editing.

You can only maintain R/3 links if the displayed structure is a book structure.

You can only maintain R/3 links for content objects in production folders.

Procedure

  1. Choose a content object.
  2. Choose Edit ® R/3 Links ® Maintain.

The R/3 Link System Selection dialog box appears, in which you can choose an R/3 System where the content object should be linked with an R/3 context.
  3. Choose the R/3 System and log on.

The Maintain R/3 Links dialog box appears.

R/3 links should be maintained in the development system containing the original of the application object (R/3 context) to which a content object is to be linked.

There are several reasons for this:

  • It ensures that the application objects used really exist.
  • New application objects can be used for R/3 links early on.
  • R/3 links can be tested immediately in the development systems.

Prerequisites: You released the content object at least once because only released versions are displayed.
  • Context-sensitive help is available early on.
  4. Specify an R/3 context in which the content object should be displayed when Application help is called by making entries in the tab pages Transaction, Program or Package.

To link the content object to: | Maintain the entries:
a transaction | Transaction Code on tab page Transaction
a screen | Program Name and Screen Number on tab page Program
a screen in a particular transaction | Program Name, Screen Number and Transaction Code on tab page Program
a program | Program Name on tab page Program
a program in a transaction | Program Name and Transaction Code on tab page Program
a package | Package in tab page Package

You can display content objects directly in a program as well as link them to the contexts evaluated by the R/3 System help processor. The program must call a function module when a defined event occurs (e.g. a user action or an error).

To create a program link:

  1. In the Maintain R/3 Link dialog box, enter the program name and any text key (maximum 60 characters) in the Other Links tab page as identifier for the chosen content object.
  2. Tell the programmer the text ID for the content object and agree with him on the context in which it is to be displayed.
  3. Save your entries.

    4. The Change Request Query dialog box appears.

  4. Choose (with Own Requests) or create (with Create Request) a request and choose Continue.

    5. The entries are saved and linked in a change request.

  5. Release the transport request after you have maintained the R/3 links.

Result

When you call the Application Help in the corresponding context in the chosen R/3 System, the content object that you linked with the R/3 context is displayed.

To be able to display the content objects with R/3 links, there must be a released version of the content object.

The same applies in systems into which the R/3 link has been transported.


Changing and Deleting an R/3 Link for a Content Object

Prerequisites

You are in the preview and have opened a structure with the usage type Book Structure.

Procedure

  1. Choose a content object.
  2. Choose Edit ® R/3 Links ® Maintain.

    3. The R/3 Link System Selection dialog box appears in which you can choose an R/3 System.

  3. Choose the R/3 System and log on.

    4. The Maintain R/3 Link dialog box appears.

    R/3 links should be maintained in the development system containing the original of the application object (R/3 context) to which a content object was linked.

  4. Choose the tab page containing the R/3 context to which the chosen content object is linked.
    • To replace an existing R/3 link, overwrite it.
    • To delete an R/3 link, select it and choose Delete Line.
  1. Save your changes.

The Enter Change Request dialog box appears.
  6. Choose (with Own Requests) or create (with Create Request) a request and choose Continue.

The entries are saved and linked in a change request.
  7. Release the transport request after you have maintained the R/3 context links.

Result

If you changed the R/3 links, the content object is displayed with the new R/3 context.

If you deleted the R/3 link, this content object is no longer displayed for the deleted R/3 context.


Displaying R/3 Links to Packages

Prerequisites

You are in an Info Object List.

Procedure

  1. Choose Info Object ® R/3 link ® Display for Package.

    2. The R/3 Link System Selection dialog box appears.

  2. Choose the development system in which the R/3 links were maintained.

    3. A dialog box appears in which you can enter a package.

  3. Enter a package and choose Continue.

Result

A list is displayed of all R/3 links between content objects and R/3 contexts in the given package. The list is sorted by structure.


Displaying R/3 Links to Several Info Objects

Prerequisites

You are in an Info Object List.

Procedure

  1. Choose one or more content objects.

    2. You can also choose structure objects. All R/3 links to content objects in these structures are then displayed.

  2. Choose Info Object ® R/3 Link ® Display.
  3. The R/3 Link System Selection dialog box appears.
  4. Choose the R/3 System in which the R/3 links between the chosen content objects and the R/3 contexts (application objects) were maintained, and logon there.

Result

A list of all R/3 links to the chosen information objects is displayed. The list is sorted by structure.

Choose Settings ® Display variant ® Current to define what information about the R/3 links (author, etc.) should be displayed.


Deleting R/3 Links to Several Information Objects

Prerequisites

You are in an Info Object List.

Procedure

  1. Choose one or more information objects.

If you choose structure objects, all R/3 links to content objects in these structures are deleted.
  2. Choose Info Object ® R/3 Link ® Delete.

Confirm whether you really want to delete the R/3 link; the R/3 Link System Selection dialog box appears.
  3. Choose the R/3 System in which you maintained the R/3 links between the chosen content objects and the R/3 contexts, and logon there.

The Enter Change Request dialog box appears.
  4. Choose (with Own Requests) or create (with Create Request) a request and choose Continue.

The entries are saved and linked in a change request.
  5. Release the transport request after you have maintained the R/3 links.

Result

All R/3 links to the chosen content objects are deleted in the chosen system.

After the transport, the R/3 links are also deleted in the target system.


Testing R/3 Links

Prerequisites

You are in the R/3 System in which you maintained or transported the R/3 link.

There is a released version of the content object.

Procedure

To test an R/3 link:

  1. Go to the R/3 context in which you maintained an R/3 link.
  2. Choose Application help.

Result

If the R/3 link is correct, the referenced content object is displayed.


Checking R/3 Links

Use

You can check if the R/3 links that were set function properly.

You can also correct faulty R/3 links.

Prerequisites

You have maintained R/3 links.

Features

This function:

  • Checks R/3 links for chosen folders or packages
  • Corrects R/3 links

The R/3 links can be:

  • Correct R/3 links

All the R/3 links whose combination of structure and content object is correct are listed here.

However, these R/3 links can also contain:
    • Multiple identical R/3 links
    • R/3 links from application objects to several combinations of structure/content object
  • R/3 links to be deleted

R/3 links to be deleted can occur if:
    • The R/3 link refers to a combination of structure/content objects in a folder that is not productive and that only exists once
    • The information object (structure or content object), but not the R/3 link, was deleted
    • The content object is not part of any structure
    • There is no released version of the content object in either the current or earlier contexts
  • R/3 links that can be replaced

R/3 links that can be replaced can occur if:
    • The R/3 link refers to a combination of structure/content objects in a folder that is not delivery-relevant. There is also another relevant combination of structure/content objects in a folder that is not productive
    • Structure was deleted. The content object still exists in another productive structure.
  • R/3 links that cannot be replaced

R/3 links that cannot be replaced occur if:
    • The R/3 link refers to a combination of structure/content objects in a folder that is not productive There are also 2 more relevant combinations of structure/content objects in a productive folder

Activities

Check the R/3 links and correct them by deleting or replacing them.


Checking R/3 Links for Selected Development Classes

Prerequisites

You have maintained R/3 links.

Procedure

To test an R/3 link:

  1. In the initial screen choose Utilities ® Check R/3 links ® For development classes.

    2. The Select Development Class dialog box appears.

  2. Enter or select a development class and start the check.

Result

A hierarchical list containing the correct and incorrect R/3 links is displayed.

Correct any incorrect R/3 links in the hierarchical list.


Checking R/3 Links for Selected Folders

Prerequisites

You have maintained R/3 links.

Procedure

To test an R/3 link:

  1. In the initial screen, select the folders whose R/3 links should be checked.
  2. Choose Utilities ® Check R/3 links ® For selected folders.

Result

A hierarchical list containing the correct and incorrect R/3 links is displayed.

Correct any incorrect R/3 links in the hierarchical list.


Deleting Incorrect R/3 Links

Prerequisites

You checked that the R/3 links are correct and incorrect R/3 links are displayed in the result list.

The Check Result List for R/3 Links is displayed.

Deleting Single Incorrect R/3 Links

To delete a single incorrect R/3 link:

  1. Expand a category of the R/3 links.
  2. Double-click on an incorrect R/3 link.

    3. The Edit R/3 Link dialog box appears.

  3. Check the R/3 link.
  4. Choose Delete R/3 link.

Deleting Several Incorrect R/3 Links

  1. Expand a category of the R/3 links.
  2. Mark the R/3 links to be deleted.
  3. Choose Delete R/3 link.

Result

The R/3 link is marked for deletion.

To cancel the deletion, select the R/3 link to be deleted and choose Cancel.

To completely delete the incorrect R/3 links, choose Save.

You are asked for a change request that you must release when you have completed your work.


Replacing Incorrect R/3 Links

Prerequisites

You checked that the R/3 links are correct and incorrect R/3 links are displayed in the result list.

The Check Result List for R/3 Links is displayed.

Procedure

To replace an incorrect R/3 link:

  1. Expand a category of the R/3 links (R/3 link can be replaced or Select an R/3 link target).
  2. Double-click on an incorrect R/3 link.

    3. The Edit R/3 Link dialog box appears.

  3. Check the R/3 link.
  4. Select the R/3 link that should replace the incorrect R/3 link.
  5. Choose Copy selection.

    6. A deletion flag is set for the old R/3 link, and the new R/3 link is added as a white line.

  6. Choose Enter.

Result

The R/3 link is marked for replacement.

To cancel replacing, select the edited R/3 link and choose Cancel.

To replace the incorrect R/3 links conclusively, choose Save.

You are asked for a change request that you must release when you have completed your work.


Maintaining Information Object Attributes

Use

The information objects in the Knowledge Warehouse have a number of attributes that describe the information objects or their development process, e.g. content type, status, and creation date.

Some attributes are assigned by the Knowledge Warehouse user and some by the SAP System, depending on their functions.

The attributes have exactly one value. Only the "index entries" attribute can have more than one value.

An information object has the status (attribute) "Released" (value). This information object cannot have more than one status.

Integration

All attributes can be used to search for information objects.

Features

The attributes can be maintained for single information objects in the Info Object List or in online processing.

Some attributes (e.g. status) can be maintained for several information objects at the same time. This is only possible in the Info Object List.


Displaying the Attributes of an Information Object

Prerequisites

You are in the Info Object List or online processing.

Displaying Attributes in the Info Object List

  • To display the attributes of an information object, double-click on an information object.

The attributes and attribute values of the information object are displayed in a dialog box.
  • To display the index entries for more than one information object, choose the information objects and choose Info Object ® Attributes ® Display.

A dialog box appears in which you can choose if you want to display the index entries or the old keywords.

Displaying Attributes in the Structure Maintenance.

  1. Choose an information object in the structure.
  2. Choose Info Object ® Attributes ® Display.

The attributes and attribute values of the information object are displayed in a dialog box.


Changing Attributes of Information Objects

Prerequisites

You are in the Info Object List or online processing.

The information objects have the status Editing.

Procedure

  1. Choose one or more information objects.
  2. Choose Info Object ® Attributes ® Change.
  3. Choose the attribute that you want to maintain and choose Continue.
  4. Enter or choose values and choose Continue.

You can maintain the Status, Owner and Original Language attributes for several information objects at the same time.

To choose all the information objects in a structure, choose the structure in the Info Object List and choose Edit ® Selection ® Contained Info Objects.


Changing the Content Type

Prerequisites

You are in the Info Object List or online processing.

Procedure

Changing the content type affects all existing contexts.

To change the content type of a content object:

  1. Choose the content object.
  2. Choose Info Object ® Attributes ® Change.

    3. The Select Attributes dialog box appears.

  3. Mark Content type and continue.
  4. In the Content Type dialog box, choose and copy a content type.

Result

The chosen content type is assigned to the chosen content object.

Assign the corresponding content type templates to the content object in Word.


Changing Original Language

Prerequisites

  • A version of the information object exists in the new original language.
  • The information object is released in both the old and new original languages.
  • The released version of the information object in the new original language is a translation of the released version in the old original language. It can be a direct or indirect (via a third language) translation.
  • You have chosen the processing mode Change and are in the Info Object List.

Procedure

To change the original language of information objects:

  1. Choose one or more information objects in an Info Object List.
  2. Choose Info Object ® Attributes ® Change.

    3. The Select Attribute dialog box appears.

  3. Choose Change Original Language.

    4. You can choose from a list of languages that is displayed.

  4. Choose the new original language and choose Continue.

Result

The new original language is assigned to the chosen information object.

In Translate mode, column Translation Status is set to Do Not Translate.


Canceling "Released" Status

Prerequisites

  • You have already released an information object for translation and delivery in the current release in processing mode Change, but you want to maintain context-dependent attributes, for example R/3 links, for it.
  • You have already released an information object for delivery in the current release in Translate mode. However, you want to change it again even though the author did not create a new version.
  • You are in an Info Object List.

Procedure

If this function is used with an information object, a new version of this information object is created. The information object is placed in the translator’s worklist again.

To cancel Released status:

  1. Select one or more information objects in an Info Object List.
  2. Choose Info object ® Attributes ® Cancel release.

    3. Confirm or terminate the operation in the next dialog box.

  3. Choose Yes.

Result

The status of the selected information objects is changed from Released to Editing (in Change mode) or Translated (in Translate mode).

You can now change the information object attributes in Change mode without having to check them out again.

You can reset the status from Released to Editing in Change mode at any time by checking out the information objects.

You can now change the information object attributes and check out the information objects again in Translate mode.


Changing the Course Status

Use

This status defines whether course editing has been completed.

It can be either Beta (preliminary version) or Final (course is released for the customer).

Prerequisites

You are in the Info Object List.

Procedure

To change the course status:

  1. Mark the course structure.
  2. Choose Info object ® Attributes ® Change.

    3. The Select Attribute dialog box appears.

  3. Choose Course status.
  4. Mark Final or Beta and copy your selection.

Result

The course structure is assigned the selected course status.

See also:

Displaying Attributes of an Information Object


Changing the Technical Name

Prerequisites

You are in the Info Object List or online processing.

Procedure

To change the technical name of an information object:

  1. Select the information object.
  2. Choose Info Object ® Attributes ® Change.

    3. The Select Attributes dialog box appears.

  3. Select Technical Name and continue.
  4. In the Change Technical Name dialog box, enter the new technical name.

Result

The technical name entered is assigned to the selected information object.


Changing the Owner

Prerequisites

You are in the Info Object List or online processing.

Procedure

To change the owner of an information object:

  1. Choose the information object.
  2. Choose Info Object ® Attributes ® Change.

    3. The Select Attributes dialog box appears.

  3. Choose Owner and continue.
  4. In the Owner dialog box, choose and copy the new owner.

Result

The chosen owner is assigned to the chosen information object.


Changing the Usage Type of Structures

Use

You can change the usage type of a structure.

The usage types are:

  • Book structure

You can display a book structure independently of other structures.

A book structure can be used as a structure link or a structure include.

An HTML help file (.chm) is created for each book structure when the static help is generated.
  • Substructure

You can only display a substructure from another structure.

A substructure can only be used as a structure include.

Prerequisites

You are in the Info Object List.

The content object has Editing status and is checked in.

Procedure

To change the usage type:

  1. Choose a structure.
  2. Choose Info Object ® Attributes ® Change.

    3. The Select Attributes dialog box appears.

  3. Choose Usage type and continue.
  4. In the Usage Type dialog box, choose and copy the usage type.

Result

The usage type of the chosen structure is changed.


Where-Used List for Information Objects

Use

The Knowledge Warehouse contains functions to display hyperlinks and structure links that:

  • point from other objects to a particular information object (incoming links)
  • point from a particular information object to other objects (outgoing links).

You can check whether the hyperlinks and structure links to be delivered are complete using this function.

If you made larger changes to the contents of an information object, you can use this function to find the linked information objects and to inform the author about the changes.


Displaying Outgoing Links of an Information Object

Prerequisites

You are in an Info Object List.

Procedure

  1. Select an information object.
  2. Choose Info Object ® Uses ® Objects Used.

Result

A list of the structures and content objects referred to in the chosen information object is displayed. The information objects are sorted by folder.

You can use the function again in the list of information objects created. Choose Back (F3) to go back to the initial list.


Displaying Incoming Links of an Information Object

Prerequisites

You are in an Info Object List.

Procedure

  1. Choose an information object.
  2. Choose Info Object ® Uses ® Where-Used List.

Result

A list of the structures and content objects referring to the chosen information object (incoming links) is displayed. The information objects are sorted by folder.

You can use the function again in the list of information objects created. Choose Back (F3) to go back to the initial list.


Consistency Checks (Information Developer)

Use

Check the consistency of documentation before delivery to ensure its quality.

These checks check info objects for database inconsistencies and errors. You choose the context and folders of the info objects to be checked.

Prerequisites

Choose the context and the folders to be checked.

Features

The following checks exist:

Uses

  • Defective links

This check finds info objects in the chosen folders with links:
    • which point to info objects in folders that are not productive
    • whose target info objects do not exist
  • Status of the target objects

Use this check to find out if there are links in the information objects of the chosen folder whose target information objects are not released.

Only start this check at the end of development.

  • Unknown links

Use this check to find whether the information objects of the chosen folder have hyperlinks
    • whose source and target lie within a content object
    • whose target lies outside the Knowledge Warehouse (e.g. an address in Internet).
  • Unknown graphics

Use this check to find out if there are graphics in the information objects of the chosen folder that are unknown in the Knowledge Warehouse (e.g. Visio graphics).
  • Are all target objects in the chosen folders?

This check determines whether the target objects of the hyperlinks are in the chosen folders.

There is also a check whether the target object exists in the current context.

Use this check if only a subset of the folders (e.g. all the folders of an application component) is to be delivered.

Attributes

  • Check attributes

With this check you can find out if attributes that are no longer valid exist in the chosen folder, for example Person Responsible no longer exists in the SAP System.
  • Empty objects (only title)

This check determines whether the chosen folders contain objects that only have a title.

Structures

  • Number of objects in a structure

Checks whether the number of objects in the structures in the chosen folder exceeds the recommended upper limit (500).
  • Title document in structure without contents

This check determines whether the title document in the chosen folder only has a title.
  • Correct use of the substructures

Use this check to find out if the substructures in the chosen folders are only used as structure includes.

Activities

The checks are made in the background. You can thus continue with your work while the checks are being made.

The info objects with errors are listed.

You can go to the info object maintenance screen from the detailed check results list to correct the errors.

You can get error solution tips under Display Error Message.


Perform ing Consistency Checks

Prerequisites

Before starting the checks you must select the folders to be checked (in the Favorites or in the Entry Structure).

Each check overwrites previous check results.

Procedure

To perform quality control checks:

  1. Select the folders, which you want to check.
  2. Choose Utilities ® Check.

    3. The Select checks dialog box appears.

  3. Select checks and choose Continue.

Result

The checks are made in the background.

Check progress occasionally with Utilities ® Display check result .


Display Check Result

Use

This procedure describes how to display the results of checks performed in the background.

Prerequisites

You must have performed some checks.

The re sults of the most recent check are displayed.

Procedure

To display check results:

  1. Choose Utilities ® Display check results.
    2.

    If the checks have not finished, you get a message to that effect. In this case, try to display the results later.

    You go to the check results list.

    The check results list shows the results of checks that you performed.

    If errors occurred, the folders in which they occurred are listed under the check. They are highlighted in red.

  2. Select a folder to get check result details.
  3. Choose Folder ® Display Info Objects.

    4. You go to the Info O bject List, which contains the i nfo o bjects with errors.

  4. Select an information object with errors.
  5. Choose Error message.
    6.

    The error message for the i nfo o bject with errors is displayed in the status line.

  6. Click on the status line.

You go to the error message long text, which contains problem solution tips.

Result

You can correct the information objects from the error list.

Once you have corrected all the information objets, start the check again.

Repeat the steps until no more incorrect information objects are displayed.


Version Management of Information Objects

Use

Different versions of information objects are created.

The individual versions of a content object are displayed in the version management for information objects. You can also activate earlier versions with the version management.

Prerequisites

Versions of an information object were created.

Functionality

There are the following functions:

  • Display the versions of an information object (The current version is highlighted in green.)
  • Show and hide technical information about the individual versions (e.g. key, class description)
  • Show and hide the display versions
  • Show and hide deletion objects (deletion objects are highlighted in red.)
  • Display the contents of the individual versions in the Viewer
  • Copy a version as the new current version
  • Display the attributes of the individual versions
  • Display the references between the versions
  • Create layouts

Activities

You mark an information object in the Info Object List and call the version management with Info object ® Various ® Version management.

The colors shown in the list of versions are explained in the color key.


Setting the Version Display

Use

In the version management you can show and hide technical information about the versions:

  • Display versions (versions of the display formats)
  • Version key
  • Class description
  • Deletion objects (Information object was deleted in a context)

Prerequisites

You are in the version management.

Deletion objects must exist if they are to be shown.

Procedure

To show or hide technical information, choose Settings and then the technical information to be shown or hidden.

Result

The selected information is shown or hidden in the list of versions.


Displaying the Version of a Content Object in the Viewer

Use

You can display the contents of a version in the relevant viewer.

Prerequisites

You are in the version management.

Versions of content objects are displayed.

Procedure

To display the contents of a version:

  1. Select a version.
  2. Choose Display contents.

    3. The Define Directory for Storage on the Local Host dialog box appears.

  3. Define a temporary directory and choose Enter.

Result

The version of the content object is displayed in the viewer belonging to the format, for example Word documents are displayed in Word.


Copying a Version and Defining it as the Current Version

Use

You can copy a version of an information object. The copy of the selected version becomes the new current version and is now the basis for further editing of the information object.

The display version belonging to the copied version is also used as the new current display version.

Prerequisites

You are in the version management.

There are multiple versions for an information object.

Procedure

To copy a version:

  1. Select the version that is to become the new current version.
  2. Choose Version ® Copy.

Result

The selected version is copied and defined to be the new current version.


Displaying References between the Versions

Use

You can call a graphic display of the references existing between the individual versions of an information object.

Version references and translation references are displayed.

Prerequisites

You are in the version management.

Procedure

To display the references between versions, select the version and display the references.

Result

The references between the versions are displayed graphically:

  • Translation references (TRANSREF)
  • Version references (VERSIONREF)


Transporting Information Objects

Use

You can transport the contents of a Knowledge Warehouse system to another Knowledge Warehouse system.

New information objects and revised information objects with Released status are automatically included in a transport request.

Depending on the Customizing setting, the transport requests are created as follows:

  • Automatic creation of transport requests

The transports are performed folder by folder. If there is no transport request for a folder, the request is automatically created.

  • Creation of transport requests after query

When you release an information object, you are asked about the transport request.

The request owner is the person responsible for the folder. The person responsible for the released information objects is assigned a task within the request.

The owner of the task releases the task and the owner of the request releases the request.

The consolidation system therefore only contains the transported information objects that can be made public.

Transporting the information objects to the consolidation system also provides the transported information objects for the static help formats.

Integration

Only the information objects that are in a delivery-relevant folder and that have been transported to the consolidation system are delivered.

Prerequisites

The information object must have the status Released.

Activities

The released information objects are included in a change request.

You must release this change request.

The released change request is transported to the appropriate Knowledge Warehouse System by the system administrator.


Transporting Information Objects

Prerequisites

You are in the Info Object List.

The information objects have the status Released.

Procedure

To include information objects in a change request:

  1. Select the released information objects that are to be transported.
  2. Choose Info object ® Various ® Transport

The Change Request Query dialog box appears.

You can:
    • Confirm the proposed change request
    • Select a request with Own requests.
    • Create a change request with Create request.
  1. Confirm the change request

To transport the information objects, you must release the change request and check the transport log.

Result

The selected information objects were included in a change request.


Transporting Folders

Prerequisites

You are in the initial screen of the Knowledge Warehouse.

The information objects in the folders have status Released.

Procedure

To include folders and their information objects in a change request:

  1. Select the folders to be transported.
  2. Choose Folder ® Transport.

The Change Request Query dialog box appears.

You can:
    • Confirm the proposed change request
    • Choose a request with Own requests.
    • Create a change request with Create Request.
  1. Confirm the change request

To transport the folders, you must release the change request and check the transport log.

Result

The selected folders were included in a change request.


Display Folder Statistics

Prerequisites

You are in the initial screen of the Knowledge Warehouse or in folder maintenance.

Procedure

To display the folder statistics:

  1. Select the folders whose statistics are to be displayed.
  2. Choose Go To ® Folder Statistics.

Result

The following information is displayed for the chosen folders:

  • Folder attributes
  • Number of information objects (number of structures only in processing mode Change)
  • Number and sums of words, lines, paragraphs and pages

The statistical data (numbers) is displayed for each status (processing mode Change) or translation status (processing mode Translate).


Creating Entry Structures for Navigating with Contents

Use

To facilitate browsing access to the many folders in the Knowledge Warehouse you can create entry structures. An entry structure imposes a hierarchical structure on a set of folders thus creating a content hierarchy. By creating several entry structures you can provide content hierarchies which suit the needs of different user groups.

You can append folders from more than one area to the node of an entry structure. However, when users choose such a "mixed" entry structure, they may not see all the folders appended to it, depending on the areas they subscribed to (with Settings ® Choose areas).

In contrast to the structures used in the info areas Training and Documentation entry structures do not structure content, they structure access to content. Therefore, entry structures are maintained in the Management area.

Prerequisites

You have the authorization to create and edit info objects in the Management area.

Procedure

  1. In the user menu, choose Knowledge Warehouse ® Management ® Change.
  2. You set the version context in which you want to create the entry structure.
  3. You select the folder in which you want to keep the entry structure (or you create a new folder).
  4. You display the Info Object List of the folder.
  5. You create an info object of info object class Navigation Structure. This comprises creation of an info object of info object class Topic as the root node of the structure.
  6. You build a hierarchy by inserting nodes either of info object class Topic or General info object into the structure.
  7. You append folders to the hierarchy nodes of the structure.
  8. You save the structure and set its status to Released.

You can change an entry structure using the standard functions for structure editing.


Inserting Hierarchy Nodes into an Entry Structure

Use

With this procedure you append nodes to an entry structure, thereby building a navigation hierarchy.

Prerequisites

You are editing the entry structure and are on the Edit Structure <technical name of the structure> screen.

Procedure

  1. Select a node in the entry structure.
  2. Choose Info object ® Insert ® At same level or Info object ® Insert ® As subnode.
  3. In the next dialog box choose Create new info object.
  4. In the next dialog box, create entry structures for navigation with info object class Topic (IWB0NOD) or info object class General info object (IWB0GEN).
  5. Enter the required data and choose Continue.

    6. When you insert a node of info object class Topic, a document is opened in MS Word whose first paragraph contains the name (or title) of the info object. Enter further contents for the info object and save them.

  6. Insert further hierarchy nodes in the entry structure as required.
  7. Save the entry structure.


Appending Folders to a Hierarchy Node

Use

With this procedure you can append a folder to the nodes of an entry structure.

After defining the navigation hierarchy of an entry structure by inserting hierarchy nodes, fill this hierarchy with contents by appending folders to the nodes.

Prerequisites

You are editing an entry structure and are on the Edit Structure <technical name of the structure> screen.

Procedure

  1. Select a (hierarchy) node in the entry structure.
  2. Choose Info object ® Insert ® At same level or Info object ® Insert ® As subnode.
  3. In the next dialog box choose Use existing info object.
  4. In the next dialog box, choose Folders.
  5. Select the area from which you want to insert folders.
  6. Enter search criteria to find the desired folders in the selected area.
  7. In the hit list of folders found, mark the desired folders and choose Continue.

    8. The folders are inserted in the entry structure as folder nodes.

  8. Save the entry structure.

Make sure that the end nodes of the entry structure are all folders. Hierarchy nodes (info object class Topic or General info object) should not be end nodes.


Translating Information Objects

Purpose

Since structures are not language-specific, only the content objects are translated.

Create or change a translated language version of the content objects in a project.

You can check out all or some of the content objects of a folder for translation.

Prerequisites

  • The content objects to be translated were released by the author and have translation status New or To be translated in processing mode Translate.
  • The content objects were not checked out changeably by another translator.

Process Flow

  1. Choose processing mode Translate.
  2. Set the required context : the source language of the content objects, the target language and the release.

    3. If you are translating enhancement information objects, enter the enhancement name and release as additional context attributes.

  3. Select the folder of the project to be translated or the content objects to be translated.
  4. Create a translation package.

    5. Only those content objects with translation status New or To be translated are checked out.

  5. Translate the translation package.
  6. Read the translated package back in from the R/3 System.
  7. Release the information objects.
  8. Transport the information objects to the consolidation system.


Translating Content Objects

Use

You can translate content objects with this function.

Prerequisites

The author released content objects.

If you want to translate using the TRADOS Translator's Workbench II, the following prerequisites must also be satisfied:

  • Installation of TRADOS MultiTerm 95 Plus! In the directory

C:\Program Files\Win16App\TRADOS\MultiTerm
  • Installation of TRADOS Translator's Workbench Version 2.2 Build 66 or higher

To translate PowerPoint graphics using TRADOS T-Window for PowerPoint, the following prerequisite must be satisfied:

  • Installation of TRADOS T-Window for PowerPoint 1.1 Build 3 or higher

Functionality

With this function you can

  • Create translation packages for translation with or without TRADOS Translator's Workbench II
  • Translate translation packages with or without TRADOS Translator's Workbench II
  • Read in translation packages
  • Correct translated content objects


Translation of Content Objects using Structures

Use

With this function you can select the content objects to be translated within a structure.

Integration

The content objects are translated in translation packages.

Prerequisites

You are in Translate processing mode in the initial screen.

Functionality

There are the following functions:

  • Create translation packages for
    • All the content objects of the structure
    • Content objects and their underlying content objects
    • Single content objects
  • Read translation packages
  • Display the context that is set
  • Display the c ontent o bjects in the Web Browser
  • Set the status

Activities

To go to translation using structures, double-click on a structure in the initial screen.


Displaying the Context that is Set

Prerequisites

You are in screen Translate using Structures: <structure name>.

Procedure

To display the context that is set, choose Goto ® Current context.

Result

The current context is displayed.

To go back to screen Translate using Structures: <structure name>, choose Continue.


Changing the Info Object Status

Prerequisites

  • Processing mode Change

You are in the Info Object List.
  • Processing mode Translate

You are in the Info Object List or screen Translation using Structures: <structure name>.

Procedure

To change the status:

  1. Select the information objects whose status should be changed.
  2. Choose Info object ® Change attributes.

    3. The Select Attribute dialog box appears.

  3. Choose Info object status.

    4. The Info Object Status dialog box appears:

  4. Select and copy a status.

Result

The selected status is set for the marked information object.


Creating a Translation Package

Prerequisites

You are in Translate processing mode.

You are in the initial screen or in the Info Object List.

The author released content objects for translation.

Procedure

For a Folder

To create a translation package for a folder:

  1. Select the folder to be translated in the initial screen.
  2. Choose Folder ® Translation package ® Create.

    3. The SAP Knowledge Warehouse - Translate dialog box appears.

  3. Enter the directory in which the translation package should be stored.
  4. Choose TRADOS TWB-2 or Word-97 and then Continue.

If you want to create a translation package for translation without TRADOS TWB-2, the package should be small so that it can be translated completely.

For Content Objects in Selected Structures

To create a translation package from a structure:

  1. Expand the folder to be translated in the initial screen.
  2. Double-click on a structure.

    3. A list of the content objects in the structure is displayed.

  3. Place the cursor on the content object.
    • To check out all the content objects of the structure, place the cursor on the first content object of the structure.
    • To check out a content object with underlying content objects, place the cursor on the uppermost content object.
  1. Choose Translation package ® Create.

    2. The Node Selection dialog box appears.

  2. Decide if the underlying content objects should also be included.

    3. The SAP Knowledge Warehouse - Translate dialog box appears.

  3. Enter the directory in which the translation package should be stored.
  4. Choose TRADOS TWB-2 or Word-97 and then Continue.

If you want to create a translation package for translation without TRADOS TWB-2, the package should be small so that it can be translated completely.

For Selected Content Objects

To create a translation package for selected content objects:

  1. Select the content objects to be translated in the Info Object List.
    2.

    To select all the information objects in a structure, first select the structure in the Info Object List and then choose Edit ® Selection ® Contained info objects.

  2. Choose Info object ® Check out ® Create translation package
  3. The SAP Knowledge Warehouse - Translate dialog box appears.
  4. Enter the directory in which the translation package should be stored.
  5. Choose TRADOS TWB-2 or Word-97 and then Continue.

If you want to create a translation package for translation without TRADOS Translator's Workbench II, the package should be small so that it can be translated completely.

Use the Create translation package function in the Info Object List.

Select the content objects to be included in your translation package and create the translation package.

Result

The translation package is created and stored in the specified directory.

The translation status of the content objects that were checked out is set to In translation in the Info Object List and on the Translation using Structures screen.


Translating Translation Packages

Prerequisites

You created a translation package.

If you want to translate using the TRADOS Translator's Workbench II, the following prerequisites must also be satisfied:

  • Installation of Microsoft Office 97 SR2b
  • Installation of TRADOS MultiTerm 95 Plus! 1.52 (or higher) in the standard directory
  • Installation of TRADOS Translator's Workbench II Version 2,3.0 Build 86 or higher

To translate PowerPoint graphics using TRADOS T-Window for PowerPoint, the following prerequisite must be satisfied:

  • Installation of TRADOS T-Window for PowerPoint 1.1 Build 3 or higher

Functionality

After opening a target language file in Word, you are offered the following functions:

Prepare

You do not need this function if you called the target language file from the ClickMe.doc file since in this case the target language file was already prepared for translation.

Prepare the target language file for translation

  1. Start the TRADOS applications (only if translating with the TRADOS Translator's Workbench II)
    1. TRADOS MultiTerm 95 Plus! is started.
    2. The terminology database is opened.
    3. TRADOS Translator's Workbench II is started.
    4. The TRADOS Translation Memory is opened.
  2. The target language file is opened as the central document. Subdocuments are expanded.
  3. The file with the last available translation version is opened in the background. Subdocuments are expanded.

Navigate

Navigate between the target language file and the original file

PowerPoint

Translate embedded PowerPoint graphics

Cleanup

Clean up the target language file or translation package (only when translating with TRADOS Translator's Workbench II)

  1. Check the title lengths and graphics
  2. Save the translated document
  3. Create subdirectory Trans, from which the translation package is read in
  4. Convert the translated target language files into RTF format and copy the RTF file to subdirectory Trans
  5. Clean up the RTF version of the translated target language files and update the Translation Memory
  6. Create logs SapTrExt.log and SapTrExt.clg for the cleanup in the directory in which the translation package is stored
  7. Convert the cleaned up RTF files back into DOC format
  8. Create document Trans<nnn>.doc in subdirectory Trans
  9. Check if errors occurred during the clean - up
  10. Open file Trans<nnn>.doc and expand the branch documents

Check

Check the target language file or translation package

  • Check the title length
  • Check that the graphics are correctly embedded
  • Check that the flag Put over text is not activated
  • Check that all the hyperlinks that exist in the original language document are defined and correct
  • Check that there are no more TRADOS markers in the cleaned up document
  • Report on inconsistencies
    •
  • Write m essage s in log SapTrExt.log in the directory of the translation package

Quit

Close all applications except for MultiTerm 95 Plus!

  1. Close Word 97 and all the documents it contains
  2. Close PowerPoint if no presentation is open
  3. Close the TRADOS Translator's Workbench II

About

Information about the offline translation macro version installed

The macros are checked out with each translation package. They are not installed with Word 97.

?

Documentation and error log (important for the hotline)

Activities

  1. C all the ClickMe.doc file, which is stored in the directory of the translation package.
  2. Translate the individual target language files dst<nnn>.doc that are stored in the translation package directory.
  3. Translate embedded PowerPoint graphics.
  4. Clean up the target language files (only when translating with TRADOS Translator's Workbench II)
  5. Check the target language files.

The translation package was translated and prepared to be read into the SAP Knowledge Warehouse.


Translating Target Language Files

Prerequisites

You created a translation package.

If you want to translate using the TRADOS Translator's Workbench II, the following prerequisites must also be satisfied:

  • Installation of Microsoft Office 97 SR2b
  • Installation of TRADOS MultiTerm 95 Plus! 1.52 (or higher) in the standard directory
  • Installation of TRADOS Translator's Workbench II Version 2,3.0 Build 86 or higher

To translate PowerPoint graphics using TRADOS T-Window for PowerPoint, the following prerequisite must be satisfied:

  • Installation of TRADOS T-Window for PowerPoint 1.1 Build 3 or higher

Procedure

To translate a target language file:

  1. On your PC, go to the directory where you stored your translation package.
  2. Double-click on file ClickMe.doc.

    3. A dialog box displaying the target language files contained in the translation package appears.

  3. Open a target language file dst<nnn>.doc.

    4. Word is started.

    Document dst<nnn>.doc is prepared for translation.

    The corresponding file src<nnn>.doc containing the last available version of the translation is opened in the background.

  4. Translate the document.

You can navigate between the original file and the target language file with Navigate.

If the target language file contains PowerPoint graphics:
    1. Select the graphic.
    2. Choose PowerPoint.

      3. The PowerPoint application appears.

    3. To open T-Window, choose TRADOS ® Open/Get.

      4. T-Window appears.

      The text to be translated appears. If translations already exist, they are displayed in the lower part.

    4. Translate the text and save your translation.
    5. Go back.

The PowerPoint graphic is translated.
  1. Save your entries.
  2. Start the spellcheck.
    3.

    Before starting the spellcheck, deactivate the display of hidden text.

    If you are translating the target language file with TRADOS Translator's Workbench II, also perform the following steps.

  3. Choose Cleanup.

    4. The target language file is cleaned up .

    Revised translation units are not put in Translation Memory if the target language files or translation packages were not first cleaned up.

    They are no longer available for later translations in this case.

    A message appears after the cleanup. Log file SapTrExt.log will contain further information about any errors that occurred.

    If errors occur that you cannot correct, please contact the SAP Hotline. Specify your translation package and log file SapTrExt.log.

  4. Check document Trans<nnn>.doc.
  5. Choose Check.

The target language file is checked .

Result

The target language file was translated.

If your translation package contains more than one target language file dst<nnn>.doc, repeat the procedure for each target language file.


Translating PowerPoint Graphics

Prerequisites

You created a translation package.

If you want to translate using the TRADOS Translator's Workbench II, the following prerequisites must also be satisfied:

  • Installation of Microsoft Office 97 SR2b
  • Installation of TRADOS MultiTerm 95 Plus! 1.52 (or higher) in the standard directory
  • Installation of TRADOS Translator's Workbench II Version 2,3.0 Build 86 or higher
  • Installation of TRADOS T-Window for PowerPoint 1.1 Build 3 or higher

Procedure

  1. Select the graphic.
  2. Choose PowerPoint.

The PowerPoint application appears.
  3. To open T-Window, choose TRADOS ® Open/Get.

T-Window appears.

The text to be translated appears. If translations already exist, they are displayed in the lower part.
  4. Translate the text and save your translation.
  5. Go back.

Result

The PowerPoint graphic is translated.


Cleaning up the Translation Package

Use

If you translated using the TRADOS Translator's Workbench II, you can clean up the target language files or translation package with this procedure.

Revised translation units are not put in Translation Memory if the target language files or translation packages were not first cleaned up.

They are no longer available for later translations in this case.

Prerequisites

You created and translated a translation package for translation with the TRADOS Translator's Workbench II.

Procedure

  • To clean up the target language file open in Word, choose Cleanup.
  • To clean up all the target language files of a translation package, choose Cleanup Package.

A target language file must be open in Word for Cleanup Package.

Result

The system performs the following activities during cleanup:

  1. Check the title lengths and graphics
  2. Save the translated document
  3. Create subdirectory Trans, from which the translation package is read in
  4. Convert the translated target language files into RTF format and copy the RTF file to subdirectory Trans
  5. Clean up the RTF version of the translated target language files and update the Translation Memory
  6. Create logs SapTrExt.log and SapTrExt.clg for the cleanup in the directory in which the translation package is stored
  7. Convert the cleaned up RTF files back into DOC format
  8. Create document Trans<nnn>.doc in subdirectory Trans
  9. Check if errors occurred during the cleanup
  10. Open file Trans<nnn>.doc and expand the subdocuments

A message appears after the cleanup. Log file SapTrExt.log will contain further information about any errors that occurred.

If errors occur that you cannot correct, contact the SAP hotline. Specify your translation package and log file SapTrExt.log.


Checking the Translation Package

Use

This procedure checks the quality of the target language files or the entire translation package.

Prerequisites

You created and translated a translation package.

The target language files must be cleaned up once you have translated a translation package with TRADOS Translator's Workbench II.

Procedure

  • To check the target language file open in Word, choose Check.

The following checks are started:
    • Check of the title length
    • Check if the graphics are embedded correctly (graphics must be embedded in the document.)
    • Check that the flag Put over text is not activated
    • Check that all the hyperlinks that exist in the original language document are defined and correct
    • Check that there are no more TRADOS markers in the cleaned up document
    • Report on inconsistencies
    • Message in log SapTrExt.log in the directory of the translation package
  • To check all the target language files of a translation package, choose Check Package.

In addition to the above checks, the KXF file is compared with the contents of the translation package.

Result

The target language file or translation package was checked.


Reading a Translation Package

Use

This procedure reads the translated information objects back into the translation packages.

Prerequisites

You are in the initial screen of the SAP Knowledge Warehouse in processing mode Translate.

You cleaned up and checked translation packages that you translated with TRADOS Translator's Workbench II.

Procedure

If you have not completely translated your translation package with TRADOS Translator's Workbench II, reset the checkout for the content objects that were not translated.

The translation package is read in without the information objects that were not translated. The translation status is reset to its status prior to check-out (new or to be translated) for the information objects that were not translated.

If you have not completely translated the translation package with Word 97, the revision marks are lost during check-in.

To read in a translation package:

  1. Choose Folder ® Translation package ® Read.

    2. The KXF File dialog box appears:

  2. Go to the directory where you stored your translation package.
  3. Select file TRANS.kxf and choose Save.

Confirm the information about the translation package.

Result

The translation package was read in.

The translation status for the translated content objects was set to Translated.


Correcting Translated Content Objects

Use

This procedure corrects content objects that have already been translated without creating a translation package.

The corrections must be entered into the translation memory manually.

Prerequisites

You are in the Info Object List.

The content object must already have been translated to the target language once.

Procedure

To correct a content object:

  1. Choose a content object.
  2. Choose Info Object ® Change Contents.

    3. You go to the Editor.

  3. Correct the content object and save it.
  4. Go back.

Result

The content object is changed. Translation status Translated is displayed.


Translating Index Entries

Prerequisites

You are in the R/3 System containing the terminology maintenance transaction.

Procedure

To translate the index entries:

  1. Call Transaction STERM.
  2. Choose Utilities ® Translation worklist.

    3. The Translation Worklist Terminology screen appears.

  3. Restrict the search using suitable search criteria. For example you can enter the person who created the term or the application component.
  4. Select the category Only index entries.
  5. Select the Degree of translation.
  6. Start building the translation worklist.

    7. The SAPterm Translation: Entry <x> to <y> of <z> screen appears..

    The lines are highlighted:

    red | The term was not yet translated.
yellow | The term was translated, but not yet released in the original or target language.
green | The term was translated and released in the original and target languages.

    The traffic light shows the status of the terms.

  7. Translate the index entries that are displayed and maintain the word category.
    1. Check if there are proposals for the displayed index entries.

      2. You have to call this function again for each page. This prevents performance problems with large lists.

      Proposal for untranslated entries gives you the proposal pool translations if there is 100% agreement. The translation that is found is entered in the relevant line.

      Your proposals are offered from the proposal pool with Compare with proposal pool.

    2. Check the proposals and translate the index entries.

      3. With SAPterm: Display same entries you can display the terms that already exist in the terminology database.

      You can display the corresponding object with Links to long documentation. Enter the desired context.

      If the term is the same in the original language and the target language, you can copy the original language term with Copy source text.

    3. Maintain the word category.
  1. Save your entries.

Result

The index entry translation was saved.


Maintaining Synonyms for Index Entries

Use

Since there can be several terms or synonyms in the target language for a term, you can maintain synonyms for index entries contained in the terminology database with this procedure.

Prerequisites

You are in the system containing the terminology database.

Procedure

To maintain synonyms for index entries:

You can only maintain synonyms for main entries.
  1. Call Transaction STERM in the system containing the terminology database.
  2. Enter the term and find it in the terminology database.

A list containing the search result is displayed.

Index entries are marked with an icon.
  3. Place the cursor on the index entry for which you want to maintain synonyms and choose Maintain entry.
  4. Choose Translation.

    5. The Maintain Translation of Entry screen appears.

  5. Choose Valid synonyms.
  6. Enter a synonym and choose Save synonym.

    7. The synonym is saved and you can enter further synonyms.

  7. Save the entry.

Result

The changed index entry is saved.


Status In Processing Mode “Translate”

Status In Processing Mode "Translate"

Use

The Status attribute defines the processing status of an information object in the target language. The status is maintained by translators.

Functionality

The status can be:

Status | Meaning
Migrated | Information object (IO) was migrated to the Knowledge Warehouse and has not been changed.
Editing | IO has not yet been released for delivery in the current context. This status is set automatically when an information object (with translation status new or to be translated) is checked out. It can also be set manually.
For release | This status is displayed when the approval procedure is activated. IO was planned for release in the current context. This status is set manually when the author has completed work. This information object appears automatically in the Business Workflow inbox of the approving person. The approving person can set Released or Not released status.
Not released | This status is displayed when the authorization procedure is activated. The author must revise the info object. This status is set manually when the approving person has completed work. This information object appears automatically in the Business Workflow inbox of the person responsible for the folder.
Released | IO was released in the current context for translation and delivery. This status is set manually when the author or the approving person has completed work. This information object then appears automatically for translation. A translation status specifying if the information object is new (translation status: new) or was changed (translation status: to be translated
Copy editing | IO is being copy edited. This status is set manually. If the copy editing procedure is activated, the information object is sent to the copy editor via the Business Workflow. Otherwise this status is only for documentation purposes. The copy editor can set Released or Resubmit status.
Resubmit | This status is displayed when the copy editing procedure is activated. IO was not copy edited. This status is set manually if the copy editor did not check the information object. This information object appears automatically in the Business Workflow inbox of the person responsible for the folder.
Review | IO is being reviewed. This status is set manually is only for documentation purposes.

An additional attribute that specifies the status of a target language version of an information object in relation to the source language version is displayed in Translate processing mode: the Translation status. This attribute is not assigned manually like the Status attribute; it is derived from the status values of the source and target language versions:

Translation status | Meaning
New | There is no target language version of the information object in any context.
To be translated | The author changed the information object and released it in the source language version. The target language version has not yet been released.
In translation | The information object is checked out for translation.
Translated | The information object was translated and checked back in.
Released | The source and target language versions of the information object have been released.
Do not translate | The information object is a structure or the original language of the information object changed.

If the author did not create a new or changed version for a released information object, the information object can only be checked out once the Released status has been canceled.


Troubleshooting

If errors occur in operations executed for more than one information object, the message Errors occurred... appears.

You can request error messages for individual information objects.

  1. Confirm the message.

    2. Information objects with errors are highlighted in red and the Error message key appears in the application toolbar .

  2. Select an information object that is highlighted in red and choose Info object ® Display error message.

The short text for the error message is displayed in the status line.


Glossary

Finding terms

To search for a glossary term, enter the term in the text field of the Index tab.

To search for a term in the full text, enter the term in the text field of the Search tab, and press Enter or the pushbutton List Topics.

Displaying terms

To display a term highlighted in the list box, double-click on it or press the pushbutton Display.


HTML Help Viewer Help

Use

With the HTML Help Viewer you can view the SAP Library in file format Compiled HTML (*.CHM).

Features

The HTML Help Viewer comprises:

  • A topic window for displaying the current help document.
  • A navigation window for displaying the current table of contents, the keyword search and the full-text search. (The navigation window can be hidden or shown: Hide/Show.)
  • A toolbar containing navigation and print functions, etc.

If you go to other help files while navigating through the online help, other HTML Help Viewer instances are opened. These instances can be closed individually. If you close the initial instance, all viewer instances are closed.

To go to the first page of the SAP Library, choose Home. You have access to the entire documentation from there: SAP Library, Glossary, Implementation Guide (IMG) and Release Notes.

Finding Help Documents

To find help documents:

  • Navigate in the table of contents tree structure (Contents tab)
    • To expand or collapse all branches of the table of contents tree, click the right-hand mouse key in the navigation window and choose Expand all or Collapse all in the context menu.
    • To move backwards and forwards in a navigation path, choose Back or Forward in the toolbar. This applies to the navigation path within an HTML Help Viewer instance.
    • To display only the entries for particular info classes in the table of contents, click the right-hand mouse key in the navigation window and choose Customize... in the context menu. Specify in the following dialog which info classes are to appear in the table of contents.
  • Perform a keyword search (Index tab)

The complete index is displayed if you are in the SAP Library; the index of the current help file is displayed if you are in another help file. No Index tab is displayed if no index exists for the current help file.

Loading the complete SAP Library index (approx. 8 MB) can take several minutes, depending on the configuration of your PC.

Select an entry in the list of keywords and choose Display.
If the selected keyword is assigned to only one help document, that document is displayed. Otherwise a list of documents found is offered for selection.

As Release Notes and IMG have no index, only full-text search is possible for them.
  • Perform a full-text search (Search tab)

Enter a search request and choose List Topics.
All documents are searched if you are in the SAP Library; only the documents in the current help file are searched if you are in another help file. The documents found are listed for selection.

To make complex searches:
    • Use the place holder ? for single characters and * for character strings in search terms.
    • Match similar words
    • Combine search terms with the operators:
      • AND (all terms appear in the document)
      • OR (at least one of the terms appears in the document)
      • NOT (the term does not appear in the document)
      • NEAR (the terms occur close together, such as in the same sentence in the document)
    • Restrict the search to document titles (Search titles only)
    • Restrict the search to the set of documents found in the previous search (Search previous results)

A global search in the SAP Library, in particular full-text search, requires a large amount of main memory. Global full-text search should only be used if the help files are on the local hard disk.

Finding the Current Help Document in the Table of Contents

If you found the current topic by search or hyperlink, the position of the topic in the table of contents is not displayed. To find the topic in the table of contents, choose Locate in the HTML Help Viewer toolbar.

If you found the current topic by a global (full-text or keyword) search in the SAP Library, the help file containing the topic must first be found. Click on the Locate icon [image] in the topic title. Then choose Locate in the toolbar to expand the help file table of contents and find the position of the topic.

Printing Help Documents

You can print individual help documents or several documents at the same time:

  • To print the current topic, choose Print with the option Print the selected topic.
  • To print the current topic and all its subtopics, choose Print with the option Print the selected heading and all subtopics.


SAP Library
Release 4.6D, March 2000
SAP Library

Glossary

Getting Started

Release Notes

Implementation Guide
© Copyright 2000 SAP AG
All rights reserved.


Broken link

Error: Broken link

You tried to follow a link that points to an unknown target document.